      dviout for Windows  Ver.3.18.5（Windows95/98/Me/NT/2000/XP/Vista/7用）

                         August 20, 2013 by SHIMA


            ****************************************************
            *** Windows95/98/Me/NT/2000/XP/Vista/7版について ***
            ****************************************************

  Windows版では、とくに GUI の部分に関して、乙部氏に多大な協力を頂いていま
す。ここに感謝の意を表します。その他、多くの方（とがし氏、奥村氏など）のア
ドバイスを頂いています。

  旧来の dviout/dviprt は、多くの人々の協力を得て成長し、MS-DOS における 
TeX のデバイスドライバとして広く用いられて来ました。現在 MS-DOS は、過去の
OS になりつつあります。1996年5月に、乙部氏から dviout の MS-Windowsへの対
応の話が持ち出されました。私(SHIMA)は、MS-Windows を使用していなかったので、
躊躇いたしましたが、乙部氏が協力してくださる、ということで、以下のような移
植の計画を立てました。

   MS-DOS 版 dviout/dviprt
→ djgpp 版 dviprt（32 bit化）
→ UNIX  版 dviprt（コードの汎用化）
→ Windows95版 or X-Windows版 dviout+prt

  djgpp版 dviprt と UNIX版 dviprtは、比較的順調に進み、その後 dviprt の 
BMP出力ルーチンを改良し、乙部氏に作っていただいた BMP 表示プログラムと、
WinAPIによるプリンタ出力ルーチンを組み合わせて作成されたのが、最初の
Windows95版 dviout+prt です（1996年6月, Ver.2.43.3c）。

  その後、文字列サーチやHyperTeXなどに対応し、マウスやページスライダによる
スクロール、ツールバー、ルーペなどの GUI を付加させて改良を重ねてきました。
Windows API を使ったこれらの Windows に関する GUI の基本的部分や、DDEのルー
チンは乙部氏によって書かれました。Windowsプログラミングを全く知らなかったに
もかかわらず、dviout for Windows を作成することができたのは、乙部氏に負うと
ころが大きく、多くの点で相談に乗っていただきました。

  最初は PC-VAN の SIG SCIENCE で，公開前のテスト段階のものを発表し，開発を
行っていました。1996年12月 dviout User's 倶楽部という Mailing List を発足
させ，それを通じての多くの人の協力を得て，1997年3月にdviout for Windows の
初版が公開されました。その後も，主に dviout User's 倶楽部を通じて，改良や
不都合箇所の修正などが行われています。

　バグの多い初期の段階やテスト版の dviout for Windows に付き合って頂いて，
ご意見やバグの報告を送って下さった dviout User's 倶楽部の大石氏をはじめと
する多くのユーザの方々に感謝いたします。


                  ******************************
                  ***   公開版の機能の拡張   ***
                  ******************************

Ver.3.00  March 18, 1997
          最初の公開版
          gray scale表示，文字列検索，HyperTeX，キー機能割り当て，ルーペ，
          拡大／縮小／袋綴じ印刷，DDEによる制御，preview 自動更新，Online Help，
          アンインストール機能，tpic specials, BMP/EPSなどの白黒画像取り込み，
          画像形式出力機能

Ver.3.01  May   29, 1997
          カラー画像の取り込み
          dviprt機能
          フォントのパスのサーチ機能([Guess])
          IntelliMouse対応

Ver.3.02  June  10, 1997
          LaTeX2eのgraphics packageで, \rotatebox の一部をサポート
          HyperTeXで，dviファイル以外へのジャンプのサポートとSecurityの強化
          Property sheetsでのファイル名入力に，コモンダイアログをサポート

Ver.3.03  August 3, 1997
          文字の色付け(LaTeX2e の graphics package の color specials)
          インストール時の初期設定ルーチンの導入

Ver.3.04  November 10, 1997
          DDE通信によるdvioutから他のプログラムへの情報伝達(XTYP_REQUEST)
          ユーザが機能設定可能な6個のツールボタン
          ルーペが2種類になった

Ver.3.05  January 31, 1998
          文字列の拡大縮小と鏡映，画像の一次変換
          dvips用出力との高互換性（LaTeX2e の graphics package の grfguide 
          に解説されている全てのコマンドについて，それをdvips用出力とした
          dviファイルに対応--ただし，カラー画像の場合は90度の整数倍以外の回転
          に非対応）
          フォントファイルの所在の自動保存（フォントサーチの高速化）
          プレビュー画面からの文字列のコピー(Cut & Paste)
          VC++ でもコンパイル可

Ver.3.06  August 1, 1998
          Virtual Fonts, 欧文TrueType Fonts対応
          PostScript画像の中間ファイルに独自の圧縮形式使用（Disk Space節約)
          Susie plug-in対応（各種画像ファイル読み込み）

Ver.3.07  September 14, 1998
          細かな不具合の修正と改良

Ver.3.08  December 25, 1998
          WindowsのTrueTypeフォントを出力するAPIを直接用いた印刷をサポート
         （Windowsのドライバにより，高速化や品質の向上が期待できる）
          2/4/16ページ同時表示機能
          WMF(Windows MetaFile)/EMF 形式画像の取り込み

Ver.3.09  April 12, 1999
          細かな不具合の修正と改良
          Windows標準の欧文TrueType fontsをTeXで使うための乙部氏のパッケージ

Ver.3.10  September 10, 1999
          細かな不具合の修正と改良
          DDE による印刷
          目盛りつきルーペ

Ver.3.11  February 18, 2000
          プレゼンテーション・モード
          任意のファイルのDVIファイルへの埋め込み
          tar形式中のDVIファイルや画像ファイルのサポート
          gzip で圧縮された画像ファイルやDVIファイルをサポート
          キーマクロ
          dviout specials
          source specials および srctex
          EMF(Enhanced Windows MetaFile)形式でのページ出力
          フォルダの履歴
          外観のアップデート

Ver.3.12  March 24, 2001
          PSfrag package のサポート（松田）
          dviout special で initialize をサポート
          プロポーショナル和文TrueTypeフォントをサポート
          フォントのDVIファイルへの埋め込み
          Cut edge機能
          オンデマンドのフォント検索
          Virtual font使用の場合の高速化

Ver.3.13    October 19, 2001
Ver.3.13.1  March 3, 2002
         MikTeXでの自動インストール対応
         TEXROOT の複数パス設定対応
         フォントパッケージの更新
         dviout の動作環境出力（Help → System Info.）
         画面の切り出し画像出力（EMF/BMP/PNG etc.）
         必要なフォント/画像ファイルの自動切り出しとDVIファイルへの埋めこみ
         初期設定のDVIファイルへの埋めこみ

Ver.3.14 October 20, 2002
         縦方向２頁同時表示／全頁連続スクロール機能
         プレゼンテーションモードでの線描画機能
         CTRL+SHIFT+矢印キー による紙面の上下左右への微小位置補正
         Windows がサポートする OpenType 対応
         dvioutでのトラブルに関するヘルプ（Help → Troubles in dviout）
         印刷ページ指定オプション
         source special+文字列検索機能（エディタからpreview画面へのジャンプ）
         EMF/BMP画像形式での矩形領域のクリップボードへのコピー

Ver 3.15 February 15, 2003
         subfonts をサポート
         手の形のマースカーソルの時も Alt+F, Alt+O 等が有効に
         メニューバーのサブメニューに，割り当てキーを自動表示
         小ヒント集をヘルプメニューに追加（Help → Tips on dviout 和文／欧文）
         パラメータファイルへのメニュー形式インタフェース（ユーザが追加可能）
         新パラメータ -Set: による dviout の制御機能
         プレゼンテーションモードでの，メニュー形式機能設定
         source specials で，マウスの左ボタンのダブルクリックに対応
         color special のため，ページ独立性が壊れたDVIファイルの自動修正
         Windows日本語TrueTypeフォント割り当ての簡便な変更機能
         ttfonts.map を map\ttfonts.map に移動

Ver 3.16 February 8, 2004
         CID コード → Unicode 変換をサポート
         Continuous Renew 機能
         指定した非対応 specials の無視
         グリッド線の表示
         取り込み画像に対応するグラフィックエディターの呼び出し機能
         印刷ダイアログでのdviprt機能のカストマライズ機能
         矩形領域のPDF画像変換

Ver 3.17 October 10, 2004
         dviout specials に，クリップボードへの文字列コピーを新設
         Help → Help TeX によるTeXのソース作成支援
         HyperTeX\keyin.sty によるクリップボードへのコピー機能の活用

Ver.3.18 February 12, 2006
         エディターへの直接の入力支援機能をサポート（ex. Help → Help TeX）
         Help → Help TeX からのドキュメントを充実
           Xy-pic や bar.sty などの解説
           和文の特殊記号やHTML用特殊文字のエディター入力（TeXとは無関係）
         \special{dviout `+<levels>} を新設（プレゼンテーション用）
         CID コード -> Unicode 変換において，Adobe-Japan1-6 に対応

Ver.3.18.4  February 12, 2012
         へルプの標準を HTML ヘルプに変更
         ペンを用いた描画が可能に
         プレゼンテーションでの再描画の際の画面のちらつきを軽減
         プレゼンテーション時のマウスカーソルの変更

Ver.3.18.5  August 19, 2013
         パラメータファイルを読み込むときの環境変数の展開機能
-------------------------------------------------------------------------------
                            Ver 2.43.3a

 *  最初の 32 bit版 dviprt (for DJGCC with go32)


                     Ver 2.43.3a → Ver 2.43.3b

 *  dviprt は，UNIX (gcc for SUN OS 4.1.3)などに対応


                     Ver 2.43.3b → Ver.2.43.3c

 *  最初の Windows95/NT版 dviout+prt


                     Ver 2.43.3c → Ver 2.43.3d

 1. Vector Font（TrueType, 書体倶楽部など）の展開で，詳細モードが常に off
    になっていたのを修正

    小さな文字の品質が悪くなっていた。

 2. DVIファイルの再読み込みなどの際に，必要最低限の再初期化のみを行うよう
    に変更

 3. サイズを縮小していって縦または横のスクロールの必要が無くなったとき，
    位置の修正がなされていなかったのを修正

 4. -y=A4L や -V の指定で縦横のサイズの交換を指定するとエラーになっていた
    のを修正

 5. PBM画像ファイルの読み込みにバグがあったのを修正


                    Ver 2.43.3d → Ver 2.43.3e

 6. DVIファイルの拡張子 .dvi が大文字になっていても認識するように修正(Win95)

 7. 英文TrueType Fontが扱えなくなっていたのを修正


                    Ver 2.43.3e → Ver 2.43.3f

 8. dviout で，あるDVIファイルを表示し，その Window を閉じずに 別の Window 
    に入った場合，DVIファイルが書き込み禁止になっていたのを修正

 9. Windows95/NT 版において，和文TrueType Fontのbit mapデータ取得に，WinAPI
    を使用できるようにした。この場合は，斜体，長体，平体などの指定もできる
    ようにした（dviout.vfn で指定する）


                    Ver 2.43.3f → Ver 2.43.3g

10. TM= LM= による調整は，印刷時のみ参照され，preview のときは無視するよう
    に変更した

11. Windows95/NT における和文TrueType FontのWinAPIでの取得において，文字を
    5%大きくした。Ver.2.43.3f における dviout.vfn で，x_adj, y_adj が 1050
    としていた場合は､ Ver.2.43.3g で 1000 とすると同じ大きさになる。

12. PKD ファイルを使用しての PK フォントのアクセスが正常にできなかったのを
    修正

13. dviout for Windows95 でのページ移動のキーの追加
    次のページ：Space, CTRL + N, PgDn
    前のページ：BS   , CTRL + B, PgUp

14. 文字の色付けや色付きアンダーラインになどに対応したが，この機能は未使用


                   Ver 2.43.3g → 2.43.3h

15. Windows95/NT版でもUNIX版と同様，8文字を超えるフォント名に対応した
    L=0: 8文字を超えた部分をカット（デフォルト）
    L=1: 8文字を超えると，中央部分をカットして8文字に縮める
    L=2: 8文字を超えていてもそのまま

    これは，TEXPK における ^s（または %s）で使われます。
    上記の L=2 を指定した場合でも，GTH や FAR Font library では，8文字を
    超えた部分がカットされます（これは，GTH や FAR の仕様に合わせた）
    将来，L=2 をデフォルトにする可能性あり。

16. dviout.ini や，パラメータファイルで行頭あるいは，空白の後に ; または
    [ または # があると，それ以降行末までは無視される。コメントなどに使用
    できる。
    また，dviout.ini は，実行ファイル dviout.exe の存在するディレクトリが
    最初に，次に，Windows のディレクトリを探すようになった。

17. dviout for Windows95/NT は，9個まで同時に起動できるようにした。

18. 存在しないフォントやフォントの代替など，若干のエラーメッセージの変更
    例えば，dpi=300 のときは，F=.300=.;cmr10.=.;cmr10.300 などというパラ
    メータが考えられる。

19. Windows95/NT での WinAPI による和文TrueType Fontのサイズをさらに若干
    調整した。Ver.2.43.3e のときのに比べ約7.7%拡大


                   Ver 2.43.3h → 2.43.3i

20. WinAPI を使った日本語TrueType Fontでの，文字間の空きの調整方法を，従
    来の日本語フォントの場合と同様な方法に変更した

21. Windows95/NT版で，表示の縮小率を変更した場合，画面の中央が保たれるよ
    うにした

22. Windows95/NT版で印刷時に確保していたメモリーを開放していなかったのを
    修正

23. 文字列サーチをサポート
    表示しているページからの，順方向，逆方向のサーチとその続行ができる
    欧文文字の大文字と小文字の区別をするかどうかを選べる

    単語間の空白は無視したサーチを行っている。fi などの合字に対応し､ 
    ハイフンをはずしてもマッチするかどうか調べており，数学記号かどうか
    などの判断をしていないので，間違ったマッチをすることがある。
    長目の文字列を指定した方が正確性が増す。

24. Windows95/NT版でHyperTeXをサポート
    Browser（Netscape や，Microsoft Internet Explorer）を起動する Hyper
    Jump と，表示中の DVI ファイル内部への HyperJump が可能。

    起動時に，ページ指定の代わりに

    dviout foo.dvi #refer1.2

    とすると，foo.dvi のラベル #refer1.2 の位置に直接移動する。

    HyperTeX specials は，以下の形式である。

    \special{html:<a href="xxxxxx">} yyyyyy \special{html:</a>}
    \special{html:<a name="zzzzzz">} wwwwww \special{html:</a>}

    xxxxxx は，HyperJump の飛び先で，例としては

    #Chapter1.2
    http://akagi.ms.u-tokyo.ac.jp/
    ftp://akagi.ms.u-tokyo.ac.jp/pub/TeX/dviout/

    など，# 以外のものは Windows のシステムに解釈を任す。# がついたも
    のは，# を除いた部分が同じ DVIファイルのジャンプ先のラベル名とみな
    される。

    yyyyyy は，HyperJump に対応した文字列で，デフォルトでは，明るい
    水色の枠で囲んで示される（縮小表示時）。そこをマウスの左ボタンで
    クリックすると，Hyper Jump が実行される。
    外部へのジャンプのときは，実行してよいかどうか尋ねられる。

    zzzzzz は，HyperJump 先として参照されるラベル名

    当然のことながら，\special{....}以外の部分（上の yyyyy, wwwwww
    などの部分）は通常のTeXやりかたで処理され，印刷の際には，HyperTeX
    の \special{..} は無視される。

25. ページ移動での逆戻り機能が付いた
    CTRL+H: 以前のページに順に戻る
    CTRL+J: 後のページに順に戻る
    CTRL+K: 最新のページに戻る
    ページの記憶は，以前に溯って32段階まで

26. 文字列サーチとHyperTeXに関する初期パラメータ
    hyperoff=0  デフォルト（HyperTeX機能有効）
            =1  HyperTeX機能は OFF
            =2  外部へのHyperJumpが指定されたとき，ユーザに了解を求めず
                に直ちに実行する

    hyper=0x....   HyperJumpを示す文字列の色指定        (default: 0x0046)
    search=0x....  文字列サーチで探された文字列を示す色 (default: 0x00c0)
    色付けは，現時点ではGray Scaleで縮小したときのみ有効であり，16進での
    指定を mode とすると

   mode & 0x8000 = 0 : box 全体，または，その中の文字，または枠に色をつける
   mode & 0x8000 = 0x8000  この時は色付きの線を引く（通常，mode & 0x80 = 0x80）
     このときさらに
     (mode & 0x4000)? : 縦書きのとき，線を右側にする？
     (mode & 0x2000)? : 横書きのとき，アンダーラインでなくオーバーライン？
     (mode & 0x1000)? : 横書きのとき，アンダーラインを下部に？

   mode & 0x02 = 0      : fill box
                 2      : draw boundary
 
   mode & 0x0c = 0      : or  color
                 4      : set color
                 8      : reverse  (ignore : mode & 0xf0)

   mode & 0x80 = 0      : background
                 0x80   : foreground

   mode & 0xf0 = 
     color box (with gray characters in black)
        0x00: original          0x10: yellow box      0x20: purple box
        0x30: red box           0x40: light blue box  0x50: blue box
        0x60: green box         0x70: black box 

     color characters (gray scaled with a white background)
        0x80: black char        0x90: blue char       0xa0: green char
        0xb0: light blue char   0xc0: red char        0xd0: purple char
        0xe0: yellow char       0xf0: while char

   mode & 1 は，無視される
   mode = 0xf0 は，文字列が消されることを意味する
   反転モードでの色がどうなるかは，試して見てください


                   Ver 2.43.3i → 2.43.3j

27. DVIファイルを読み込む前にマウスの左ボタンをクリックするとハングアップ
    していた（Ver 2.43.3i）のを修正

28. マウスの右ボタンを押すと，画面に赤の点が描かれていたが，それを取りやめ
    た

29. 文字列サーチの方向で，上方と下方が逆になっていたのを修正

30. 初期化パラメータ search にさらに 2つのフラグを追加

   search & 0x100  = 0: サーチされた文字列の色付けは，一つずつ
                  != 0: そのページで見つかった文字列全部を色付けする

   search & 0x200  = 0: マウスカーソルは移動しない
                  != 0: マウスカーソルは，サーチされた文字列を指す

   search=0x00c0  hyper=0x0040 を，デフォルトの値にした

31. 画面の縮小率を変えても，マウスカーソルを移動させないように変更

32. 見つかった文字列が2行に渡ったり，\TeX のように baseline が異なっていた
    場合，複数個見つかったときのように色付け表示が分割されてしまっていたが，
    それを一つにまとめた

33. gray scale の縮小モードでなくても，文字列サーチやHyperTeXの色付け表示
    が可能になった。但し（高解像度の場合，色付けにはメモリー消費が大きい
    ため）デフォルトでは，gray scale でなくて 150dpi を超えるときは，色付
    け表示されない。また，この値はパラメータ sdpi で設定できる（デフォルト
    は，sdpi=150）。

34. HyperTeX用のバッファサイズを，初期化パラメータで変更可能にした
    href : URL用の最大ラベル数              (default: href=0x1000)
    hname: HyperJumpで参照されるnameの最大数(default: hname=0x800)
    hbuf : URLやname用の文字列バッファサイズ(default: hbuf=0x20000)

    一つのDVIファイルの中では，この制限内でキャッシュされ，制限を超えた時
    点でフラッシュされる
    1ページでこの制限を越えるHyperTeXのページは扱えない
    HyperTeX の \special が現れない限り，これらのバッファは確保されない

35. F= オプションによる代替フォントの使用で，置き換わるフォントの解像度
    の部分を ! と指定すると，ページ展開に用いられる dpi の値で置き換わる

36. ページ移動の逆戻り機能で，同じ個所が続けて重複登録されてしまうことが
    あったのを修正

37. 文字列サーチで，単語単位で探す機能をつけ，単語の境界を推測して判定す
    るようにした。これは，アルファベットのみよりなる単語以外では無効。


                   Ver 2.43.3j → 2.43.3k

38. HyperJump で，<a href="file:...."> の形式で，file の拡張子が .dvi と
    なっているものは，システムに任せずに直接 HyperJump を行うようにした

39. HyperJump を実行する際，CTRLキーを押しながらマウス左ボタンをクリック
    すると，ジャンプ先を表示し，実行して良いかどうかユーザの確認を求める
    ようになった

40. バッファの使用状況や，使っているフォントの情報を表示できるようにした
    （ヘルプのメニューの中）

41. previewしたDVIファイル（とそのDVIファイルを抜け出たページ）のヒスト
    リーを（16個まで）保持し，ページジャンプのヒストリーとともに，Windows
    のリストボックスで選んで，ジャンプできるようになった。
    また previewしたDVIファイルの情報は，dviout.ini のあるディレクトリに
    dviout.rec として保存され，次回に起動された dviout が自動的に読み込む。

42. HyperTeX specials のキャッシュが効いていなかったのを修正。また，
    HyperTeX specials を（最初の読み込み時に）見つけられないことがあった
    のを修正。


                   Ver 2.43.3k → 2.43.3l

43. TEXPK および TEXFONTS で，Ver.2.43.2 でサポートされた kpathsea風の指定
    を可能にした。\\ または // が，ディレクトリの列（ひとつの指定につき合
    計最高15個）に展開される。Ver.2.43.2 では，ひとつの指定につき \\ また
    は // が一個所だけ許されたが，その制限は無くなった。

44. ページジャンプのヒストリーの表示を改良


                   Ver 2.43.3l → 2.43.3m

45. マークしたページが，ジャンプのヒストリーのリストのトップに表示される
    ようにした

46. dviout.ini の最後の行がコメント行であると，起動時にエラーが生じていた
    のを修正

47. 終了時のWindowの位置やサイズを記憶し，次回の起動時に参照するようにした。

48. ツールバーによる各種メニューやスピンコントロールとトラックバーによるペ
    ージ移動，ステータスバーなどのグラフィックインタフェースを組み込んだ。

49. 移動キーの変更／拡張
    Home                           : 紙面最上部へ
    End                            : 紙面最下部へ
    CTRL+HOME                      : 最初のページへ
    CTRL+End                       : 最後のページへ
    SP, PgDn, CTRL+N               : 次ページへ（その他，N）
    SHIFT+SP, SHIFT+PgDn           :  5ページ後へ
    CTRL+SP,  CTRL+PgDn            : 10ページ後へ
    CTRL+SHIFT+SP, CTRL+SHIFT+PgDn : 50ページ後へ
    BS, PgUp, CTRL+F               : 前ページへ（その他，P, F）
    SHIFT+BS, SHIFT+PgUp           :  5ページ前へ
    CTRL+BS,  CTRL+PgUp            : 10ページ前へ
    CTRL+SHIFT+BS, CTRL+SHIFT+PgUp : 50ページ前へ


		  Ver 2.43.3m → 2.43.3n

50. preview画面が白黒反転されていても，印刷は反転されないように変更した

51. 文字列サーチの際に，dviファイルにコード 0x20 の文字が入っているとペー
    ジ違反のエラーで終了してしまうことがあったのを修正した

52. 終了時におけるdviファイルのヒストリー記録におけるバグを修正し，仕様も
    若干改良した

53. コマンドラインからの dviout の起動で

        dviout [parameters] <file_name> h

    と，最後に h（大文字でもよい）をつけると，dviファイルのヒストリーを後か
    ら順に探し､見つかったらヒストリーに基づいて preview を行う
    <file_name> は，拡張子やディレクトリ名（の先頭から適当な所まで）を省略
    することができる

54. HELP のフォント情報の表示内容（ALT+H F）を改良した
    dviファイルにあるフォント名も表示し，代替フォントを用いた場合は，その後
    に * をつけて示すようにした

55. HELP にパラメータの簡単な説明の表を入れた（ALT+H P）

56. HyperTeX の ON/OFF のスイッチをつけた（ALT+J J)

57. キーの機能の割り当てが再定義可能になった

           key=<x><y>=<zz>:<x><y>=<z>:...:<x><y>=<z>

    の形で  ATL+<x> <y>  の機能を <zz> の各キーに割り当てることを意味する

    <x>, <y> は，それぞれ１文字であるが，<zz> は１文字以上の文字とする

    割り当てられるキーは，0x7f 以下のコードのものに限る

    <zz> の中の各キーは，\<z1><z2> として２桁の１６進数（合計３文字）で表し
    てもよい。\ 自身は，\\ であらわす。: は，１文字目にあると区切りキーとは
    みなされない。

    例：   key=JN=\0dNn:JF=Pp:^^=Ff:JT=T:JL=L

    先頭の <x><y>=<zz>: の代わりに $$: とすると，すべての定義のクリアーを
    意味する（その後に定義を書いてもよい）

    <x><y> が ^^ の場合は，<zz> のキーの定義のクリアーを意味する

    新たな定義は，以前のものに上書きされる。上記の例では，P と p に ATL+J F
    の機能が割り当てられるので，P や p に別の機能が割り当てられていたら，元
    の定義は無視される。一方，たとえば，b に ALT+J F の機能が割り振られてい
    たら，それはそのまま保たれる。

    ただし，Spaceキーの機能割り当ては変更できない。

    定義されたキーの一覧は，ALT+H K で表示される


		  Ver 2.43.3n → 2.43.3o

58. キーの機能割り当てで，一部機能の割り当てができなかったのを修正し，
    ALT+H K における表示をより自然なものにした。

    この表示の ALT+<x> <y> の左にあるキーは機能変更ができず，また，右
    にあるキーは，機能割り当てによって定義されたものとみなしてよい。

59. ページのマークを行っていない状況で，ALT+J H によってページ移動の一
    覧表使ったジャンプでは，表とジャンプ先とで一段ずれが生じていたのを
    修正した。

60. 印刷を行うと，縮小表示が解除されてしまうエラーを修正
    関連して，メモリーのリソースを消費していた点を直した

61. 文字列サーチのダイアログボックスを表示し，サーチ文字列を設定していな
    いない状況でツールバーの前方／後方検索ボタンを押すと，ページ違反のエ
    ラーがおきていたのを修正


                 Ver 2.43.3o → Ver 2.43.3p

62. キーの割り当てを，いくつか変更した。詳しくは，ALT+H K で参照のこと
    57. にあるキー割り当て機能を拡張し，<x> が ! の場合は ALT+<x> <y>でな
    くて，以下のものを表す。

    <x> <y>
     !   H    : 紙面最上部へ移動（Home キー）
     !   E    : 紙面最下部へ移動（End キー）

    また，メニューバーの機能でも，ALT+H K の表に載っていないものは，機能の
    割り当てができない。

63. dviファイルをロードしていない段階で，スピンコントロールを操作すると
    ページ違反のエラーが起きていたのを修正

64. 画面のx, y 軸方向の縮小率とガンマ補正の値を4組プリセットするオプション
    を追加

       scale=<x1>:<y1>:<z1>:<x2>:<y2>:<z2>:<x3>:<y3>:<z3>:<x4>:<y4>:<z4>

    例：
       scale=4:4:800:2:2:800:6:6:800:5:6:-800

    デフォルト
       scale=4:4:800:2:2:800:6:6:800:1:1:800

    ALT+D 1, ALT+D 2, ALT+D 3, ALT+D 4 でそれぞれの設定値に変更される

65. dviout 起動後の（Warning など，ウインドウが開いて表示される情報の）log
    が取れるようにした。ALT+H <y> による情報表示も記録される（<y>=a 以外）。

    log=<file_name>

    記録するファイル名を，フルパス名 <file_name> で与える。
    ただし = 以下を省略した場合，および <file_name> = "+" の場合は，
    dviout.exe のあるディレクトリに，dviout.log というファイル名で記録され
    る。<file_name> = "-" のときは，記録を行わない。

66. DVIファイルのパス名をパラメータとして dviout を呼び出すプログラムで，
    空白を含んだパス名を正しく dviout に渡さないものがあるが，それに対して
    若干の対策を講じた。

67. key= における定義で，キーのコードに16進数を使う代わりに，CTRL+D を ^D 
    のような形式にも書けるようにした。^ 自身は，\^ と書くことができる。

68. いくつかのツールボタンが追加された

69. ツールバーのページ番号の横に，nombre のページが表示されるようになった。
    ページ番号の直接入力では，以下のように，nombre の番号や相対ページ数で
    も指定可能になった。

    +<number>  : 後方に <number>ページ相対移動
    -<number>  : 前方に <number>ページ相対移動
    .<number>  : 最後のページから（文頭に向かって）数えて<number>ページ目
                 に移動。<number> を指定しない場合は，最終ページに移動

    終了時に SHIFT または，CTRL を押しながら ENTER を入力 
               : nombre のページの指定
                 上の .<number> のときは，nombre が最大のページから文頭に
                 向かって数えたページになる。

    また，トラックバーのスライダーを（マウスの左ボタンを押し下げることに
    よって）操作中，これらのページ番号が連動して動くようになった。

70. Ver.2.43.3o で，ALT+H A が動作しなかったのを修正。

71.トラックバーの上方あるいは下方クリックで，2ページの移動が起こっていた。
   これは，システムのバグと思われるが，これに対する対処をおこなった。

72. -FB オプションにより，フォントが見つからない場合，代替フォントで表示す
   るのでなく，空白にしたり Black Box を描くことができるようにした。また，
   サイズの違う代替フォントを用いた場合，拡大／縮小を行ってサイズをあわせる
   ことができるようにした。

    FB=0: -F で設定した代替フォントを用いる
       1: -F で設定した代替フォントを元に，空白を空ける
       2: -F で設定した代替フォントを元に，黒の箱を描く
       3: 代替フォントの解像度(dpi)が異なるとき，拡大／縮小を行って
          大きさを合わせる

   たとえば

    F=.!=.;cmr10.=.;cmr10.!

   などと設定しておくとよい（! は通常使う dpi の値に変えておくとよい）。
   サイズのみが異なるフォントで代替した場合（-FB オプションの如何に関わら
   ず）前後の文字との間隔は，正しい値になる。
   
   dpi=300 で preview を行うとき，欧文フォントとして 300dpi のもののみを
   用いて（通常は 360dpi,... など各種用意する） -FB=3 -F=.300 とすると，
   欧文フォントはすべて正しいサイズで表示される（印刷には適さないが，
   preview では，文字品質の低下はあまり目立たない）。

73. -F オプションでの指定で，代入される解像度の数字の変わりに t とすると
   tfm ファイルが（パラメータ TEXFONTS のサーチパス情報を元に）探される。
   それが見つかった場合は，オプション -FB の如何に関わらず空白が空けられ
   る。元のフォントの tfm ファイルであった場合は，前後の文字の空きは，正
   しく調整される。

   たとえば，

    F=.t=.;cmr10.t

   あるいは，

    F=.!=.;.t=.;cmr10.t

   などの指定が考えられる（下で，-FB=1 とすれば上と同じ結果になる）。

74. フォント情報の表示(ALT+H F)で，下のように代替フォントの情報を示すよう
   にした。
   
    A       B   C D                                         E   F
   95 cmcsc10(240)*	c:\tex\fonts\pk\dpi300.gth cmcsc10.pk  PK
   53 min8(300) 	c:\wintex\jfms\min8.tfm ＭＳ 明朝(30x29) WinAPI

   A: DVI ファイルに書かれているフォント番号（通常 1 から 255 までの値）
   B: フォント名
   C: 要求されたdpiの値
   D: *  代替フォントをそのまま用いる
      !  代替フォントにより空白を空ける
      #  代替フォントにより黒い箱を描く
      +  代替フォントをスケール変換して用いる
      t  tfm ファイルを用いて空白を空ける
   E: 実際に使われるフォントのパス名
   F: フォントの種類（これが，? の場合はまだ使っていないので未定というこ
      とを表す）

75. 手の形のマウスカーソルによるpreview画面のスクロールをサポート

76. DDE において以下のサービスをサポート

    サービス名
        DVIOUT または WinDVI
    トピック名
        DVIOUT または WinDVI のみ（ファイル名不可）
    
    これでDVIOUTをDDEサーバとして接続ができます。
    接続後，以下のXTYP_EXECUTEトランザクションを指示することができます。
    
    [WinNormal]
        DVIOUTのウィンドウをアクティブにします。
    [FileOpen(filename)]
        filenameを開きます。たとえば，
        [FileOpen(c:\\document\\foo.dvi)]
        のような文字列を送信してください。
        filenameがフルパスでない場合，動作は保証できません。
    [FileReopen]
        DVIOUTに現在開いているファイルを再度開き直すように指示します。
    [FilePrint]
        DVIOUTに現在開いているファイルを印字するよう指示します。
        メニューでプリントを選んだときと動作は同じで，ダイアログが開きます。
    [FileExit]
        DVIOUTに現在のDDE接続が終了したときに，自動的に終了するように
        指示します。
    ========================================================================
    
    一言でいえば，WinDvi, WinDviPROとの完全互換です。
    
    なおこれらの機能はすべて独立にインプリメントされているので，今後の機能
    拡張に関してDDEを気にする必要はありません。
    
    たとえば，秀丸のマクロ言語では以下のように記述します。
    -----------------------------------------------
    ddeinitiate "DVIOUT", "DVIOUT";
    ddeexecute "[FileExit]";
    ddeexecute "[FileOpen(c:\\document\\foo.dvi)]";
    ddeexecute "[FilePrint]";
    ddeterminate;
    -----------------------------------------------
    これによって，c:\document\foo.dviファイルをオープンし，印刷ダイアログを
    表示します。印刷関係が終了すると，DDE接続も終了し，DVIOUTが終了します。
    （もちろん，事前に起動しておくようにしてください）

76. ツールチップのサポート
    マウスカーソルをツールバーのボタンの上に置いておくと，その機能が表示
    される

77. マウスの右ボタンのクリック（およびドラッグ）によるルーペ機能
    ルーペのサイズ，拡大／縮小率，ルーペの形（正方形 <-> 円形）の変更を
    サポートした

78. ステータスバー，トラックバー，ツールバーの取り外しボタンをつけた

79. ツールバーのコンボボックス（直接入力，あるいは，ヒストリーからのコピー）
    からの文字列サーチをサポート

80. 偶数ページあるいは奇数ページのみの印刷，袋とじ印刷などのオプション印刷
    をサポート。
    袋とじ印刷では，preview 画面を横に二つならべた形で出力します。現時点で
    は，dviout のパラメータと，プリンタのダイアログの両方を調整して出力する
    ことが必要です。たとえば，-y=A5 というパラメータで dviout を起動し，プ
    リンタの設定（ALT+F P S）で，A4 横置きを選びます。 

81. -mline=<number> オプションにより，フォントやキーの情報表示におけるメッ
    セージボックスの最大行数が変更できる（デフォルトは，30行)。いずれリス
    トボックススタイルなどにするかも知れません。

82. オプション -e が正常に動作していなかったのを修正

83. 和文の文字の‘  ’“  ”（JIS code 0x2146, 0x2147, 0x2148, 0x2149）の
    スペーシングが不適切であったのを修正

84. マウスを使わないでページ指定ジャンプ（ALT+J I）ができるようになった。
    ALT+J I で，ページ入力ボックスへ移動する。入力したものの意味は 69 に
    述べたのとまったく同じである。単に Enter で，元に戻って抜け出る。

    デフォルトでは，/ が ALT+J I の意味を持つように定義されているので

    /20 Enter
    /+7 Enter
    /. SHIFT+Enter

    というようなキー入力のみでページジャンプが実行される。
    単に Enter を押すと，ページは変わらないで入力ボックスから抜け出る。

85. オプションパラメータ -TEXROOT=<string> を設けた
    フォントのサーチパスを定める初期化変数 TEXPK および TEXFONTS において
    ^r というオプション文字列があると，-TEXROOT=<string> で指定した文字列
    で置き換えられる。ルートからの共通のパス名などに用いると，TEXPK の指
    定が短くなる，という利点がある。

86. dviファイルをロードしていないときに，ページ移動のスライダーをドラッグ
    するとページ違反のエラーが起こるのを修正。

87. 印刷メニューの拡張
  ・縮小／拡大印刷機能：可変サイズのフォント（例えば和文TrueTypeフォント）
    以外（例えばPKフォント）の文字品質は悪くなる。

  ・ページ毎のポーズ機能：各ページの印字に先立って，ページ毎にポーズして
    ユーザの指示を待つ。各ページ毎に別のジョブとしてWindows95/NTのシステ
    ムに渡される（通常は，全体で一つのジョブとなる）。

  ・Selection: このボタンを押すと，

      マークした範囲
      マークした範囲の最終ページのみ
      マークした範囲の最初のページのみ
      現在のページのみ

    が，印刷するページ範囲として設定される。
    押す毎に上の4つが順に設定される（ただし，マークしたページがないとき
    は現在のページのみが設定される）が，そのあと表示を修正して変更するこ
    ともできる。
    
    範囲をマークしていなければ，マークしたページと現在のページとの間が範
    囲とみなされる。マークしたページがなければ，現在のページのみが範囲。

  ・袋とじのときのページの幅の調整機能：関連するラジオボタンを押して変更
    したときに表示されるのは，縮小／拡大を考慮したページの横幅で，これを
    もとに変更できる。その値を 0 にすると，２ページが重なった印刷となる。

  ・袋とじにおいて，ページの順が右側から左に進むオプションをつけた。

    袋とじで，1ページから７ページまでの印刷では
      Reverse Topが空白 右が先
                                 (1,2) → (3,4) → (5,6) → (7, )
         X                       (7, ) → (5,6) → (3,4) → (1,2) 
                  X              ( ,1) → (2,3) → (4,5) → (6,7)
                           X     (2,1) → (4,3) → (6,5) → ( ,7)
         X        X              (6,7) → (4,5) → (2,3) → ( ,1)
         X                 X     ( ,7) → (6,5) → (4,3) → (2,1)

    なお，袋とじなどでは，Setup で，用紙サイズや縦横の向きなどを正しく設
    定するとともに，実際のプリンタ側の用紙と適合していなければ正しい印刷
    はできないので注意。

  ・印刷データ出力中には，途中でキャンセルすることが可能なように，そのた
    めのダイアログが表示されるようになった。

88. スクロールバーの取り外しボタンをつけた。

89. DVIファイルをロードしていないときは，各バーにおいて使えないメニューや
    ボタンがGray表示になるようにした。

90. キー配列やフォントの情報などの表示をリストボックススタイルにした。
    キー配列の表で，[FO] のように書かれているのは，他のキーにもその機能を
    ユーザが割り当て可能なキーで，-key=FO=O のように指定する（cf. 57）。
    それより右側に表示されているのが，割り当て機能により定義されたもので
    変更可能。

91. Loupe の機能変更のためのメニュー（ユーザインタフェース）をつけた。
    円形の Loupe の周囲を線で描いた。また，縮小して，紙面の上や左の外側が
    Loupe に入るとき，像の位置がずれていたのを修正

92. ポップアップで現れるダイアログボックスの位置がおかしかった（位置が絶対
    座標とみなされていた）のを修正

93. 特定の２バイト文字（SHIFT JIS コードの下位が 0x9f）を含む文字列の検索
    に失敗していたのを修正

94. 範囲をマークする機能（ALT+J R）がついた。これにより，マークしたページ
    と現在のページとの間が範囲と指定される。マークされたページが無ければ，
    現在のページのみが範囲と指定される。複数ページが範囲と指定された場合
    は，その範囲がトラックバーに表示される。ここで指定した範囲のみを印刷す
    るということが可能


		Ver.2.43.3p → Ver.2.43.3q

95. 文字列サーチで，サーチしているページを表示するようにした（キャンセル
    ボタンをつけたが，サーチ中は反応しないのはどうしてか？）

96. ツールバーのエディットボックス（文字列サーチとページジャンプ）での入力
    終了で Enter を押すとエラー音がしていたのを修正

97. Information などの表示のダイアログボックスがモードレスとなり，表示させ
    たまま別の処理ができるようになった。また，前の画面に戻ったり（32段階ま
    で戻れる）それを編集してログファイルにセーブ，あるいはクリップボードに
    コピー，などが可能。前の画面に戻ると，編集した内容はキャンセルされる。

98. 偶数ページ，奇数ページのみの印刷がおかしかったのを修正

99. 紙面が画面に入ってスクロールの必要がない場合は，手の形のマウスカーソル
    に変わらないようにした。

100.  Property Sheets のインストール

    これにより dviout の各パラメータが dviout 内で設定でき，レジストリに保
  存されるようになった。それを使えば dviout.ini は不要になる。

    レジストリに設定したパラメータをまず読み，dviout.ini が存在すればさらに
  それを読んで上書きされる。

    なお（まだバグの可能性が多いこともあり）コマンドラインから -NULL という
  パラメータをつけて起動すると，レジストリからのパラメータの読み込みをキャ
  ンセルすることができる。

    レジストリへのパラメータの記録は，10セットまで可能（それぞれ mode 0,...,
  mode 9 と呼ぼう）で，どのセットのパラメータを自動的に読み込むかを指定する
  ことができる。デフォルトは，mode 0 である。また，印刷のときのみ自動的に
  別の mode に変更することも可能。また，どのパラメータを自動的に読み込むか
  を，各 mode 毎に個別に設定可能。これらは，REGISTRY の sheet で設定する。


   「REGISTRY と 表紙」以外の sheets では，Save, Restore のキーと，共通の 
  OK, Apply, Cancel, Help のキーがある。
  
  Save: その sheet の現在の内容を，current mode（REGISTRY の sheet で変更
      できる）のレジストリに書き込む

  Restore: Current mode のレジストリから，内容を表示中の sheet に読み込む
  
  Apply: 現在の dviout を表示中の sheet のパラメータに変更する
  
  OK:   Apply と同様だが，さらに Property sheet からの Quit も含む
  
  Cancel: そのまま Quit する（それまでの Apply/Save の結果はキャンセルされ
        ない）
  
  HELP: ヘルプ情報が表示される（予定）

  各 sheet での変更は，Save あるいは，OK, Apply ボタンを押さない限り，何の
  効果も持たない
  
  Apply, OK のボタンを押したとき，現在表示中の sheet 以外に変更があった場
  合，そのページに移動して，その sheet の内容を現在の dviout に適応してよ
  いかどうか聞かれ，Yes/No/Cancel が選択できる。
  
  Yes:   その sheet の内容を現在の dviout に反映
  No :   その sheet はスキップする
  Cancel: OK/Apply を現時点でキャンセル


    REGISTRY の sheet での Selected mode で

  Default: 起動時に自動的に読み込む mode番号
  Current: 現在の Property sheets が Save/Restore 対象とする mode番号
  Current Print: dviout が Current: で表示されている mode番号にあったとき
           印刷時に自動選択される mode番号（両者が一致していれば，mode
           の変更は行われない）
  Current name: 各 mode に名前をつけて目印にすることができる

  Auto Load で選択して + がついたパラメータで，その mode のレジストリに
  Save したパラメータのみが上記の自動読み込みで読み込まれる。
  
  この設定（パラメータの自動読み込み）は，REGISTRY の sheet で Save ボタ
  ンを押すと有効になる(Apply/OK は REGISTRY の sheet では無視される)。


    Loupe および Key の sheets の内容は，レジストリで各mode共通の部分に記
  録されるので，mode 毎に別の設定はできない。


    REGISTRY の sheet での Current mode の変更は，現在の dviout に反映さ
  れる(パラメータの読み込みはされない）。
  
    Apply, OK で行った dviout のパラメータの変更は，次の表示や reNew など
  のアクションから有効になる。

101. モードの切り替えメニュー（ALT+O M）が加わった

102. オプション -multi= により，同時に起動できる dviout の最大数が設定できる
　ようになった。この数まで起動されていて，ファイル名をパラメータとして dviout
  が呼ばれた場合は，最後の dviout は新たなファイルをプレビューする。
  　これは，WWW ブラウザなどから dviout が呼ばれた場合，dviout を沢山立ち上げ
  ないで，表示内容を交換したいときに用いるとよい。

103. 上記と関連して，これ以上 dviout の起動を行わない，というメニューをつけた。
  dviout <dvi_file> が実行されると，No more dviout を指定した dviout にその情
  報が渡され，表示中のファイルが，<dvi_file> に変更される。
  　Windowsからすべての dviout の実行が終了してそれが消えると，この情報はクリ
  アーされる。

104. TeX ファイルの編集中などに便利なように，タイムスタンプを監視して preview
  の自動更新ができるようになった（-renew オプション)

105. MS Windowsのヘルプシステムの導入を始めた。

106. 12個のファンクションキーと，SHIFT+ファンクションキーにも機能の割り当て
  が可能となった。dviout.iniなどのパラメータでの指定では，\#1,...,\#9,\#A,\#B,
  \#C および，\$1,...,\$9,\$A,\$B,\$C でこれらのキーを表わす（Property Sheets
  を使えば割り当ては易しい）。

107. PostScript \specials を処理する GhostScript のデフォルトを gswin.exe に
  変更し，呼びだし後，自動的に GhostScript が close されるようにした。


		Ver.2.43.3q  →  Ver.2.43.3r

108. Windows95のTrueType和文フォントを使用する場合，外字の利用を考慮して，使用
  可能なJIS codeを，0xffff までに拡大した（従来は，0x7e7e までであった）。

109. ツールバーのボタンが，２通り選べるようにした。dviout終了時の状態は，次回
　に引き継がれるが，-button オプションを使うと起動時の設定もできる。

110. 終了時のカーソルの形を保存して，次回に引き継ぐようにした。

111. Property Sheets で，? ボタンをクリックし，更にマウスの左ボタンのクリッ
　クすることによるコンテキストヘルプをサポート。

112. ツールボタンの新しいセットのうち，最右端のものは，その機能をユーザが定義
　可能になった（Property Sheets → Key）。-key= のパラメータでは，\&1 と指定。

113. 印刷のときに，プリンタの解像度とdviout側の解像度とが異なっている場合，
  Warningのダイアログが出るようになった。

  [OK]      プリンタの解像度に変更して印刷
　[NO]      dviout側の解像度で出力する
  [Cancel]  やり直し or 中止

　が選択できる。

114. 複数ページ印刷のとき，それをWindowsの一つのジョブにまとめるかどうか，
  選択できる（１ページづつポーズを入れるように指定した場合は無効）。

115. -bright オプションがついた。これによりプレビュー画面の明るさが調節でき
　る。最も明るいとき，-bright=255 でそれ以外は，0 と 255 の間の値をとる。

116. dviout のアンインストールのため，dviout が設定したすべての registry の
　キーと値を消去するオプションがついた。


                Ver.2.43.3r → Ver.2.43.3s

117. LaTeX2e の graphics Package などの dvips 用の EPS \specials の一部をサポ
　ートした。graphicx.sty などが使用できる。クリッピング，スケール変換をサポ
　ートしている。ただし，graphicx.sty でなくて，graphics.sty の方でのスケール
  変換は（複数個の PS \specials に分割されて出力されるという理由で）サポート
  されていない。

118. フォントをNetwork drive上に置くことができるようにした。

119. TEXFONT で kpathsea の \\ あるいは // が効いていなかったのを修正。

120. dvi ファイルを読み込もうとする前に，Property Sheets → [Font] でフォン
　トのチェックを行うとエラーが生じていたのを修正。

121. monochrome GIF がエラーが生じて読み込めないことがあったのを修正。

122. Windows で扱われる monochrome BMP 画像ファイルの取り込みをサポート。

  \special{bmpfile=<file_name> [paramaters]}

  の形式で，[parameters] は，

  hsize=  vsize=  hscale=  vscale=  scale=  hoffset=  voffset=
  truesize  reverse

  が使用できる。


                             Ver.3.0 β1


123. dviout を空白が含まれるパス名のディレクトリに入れると，アイコンのダブル
　クリックや，ファイルの関連付けによる起動などでWarningのメッセージが出てい
　たの修正（Borland C 4.5J のバグ）

124. [HyperTeX] のシートで，システムがサポートしていない WWW Browser
　（netscape navigatorなど)を，実行ファイルのフルパス名を -Browser: に設定
　することで，対応できるようにした。

125. Ghostscript の起動などで新たな Window を開かないで，タスクバーのみに表示
  が現れるようにした。

126. WinAPI を使わない和文のフォントで，縦書きを -g: で表示させたとき，約物
　などの文字の位置がおかしくなっていたのを修正した。

127. [Loupe] のプロパティーシートで，Speed: のオプションがついた。これは，
　画面の書き換えが遅いシステムで，ルーペの移動の際に残像が生じて見難くなる
　のを防ぐためである。

128. Registryに定義したすべてのパラメータを起動時に読み込むのをデフォルトに
　変えた。これに伴い，[REGISTRY] のシートに最初入ったとき，左のリストボック
　スは，current mode において起動時に読み込むように設定されたパラメータに +
  の印が付いて表示されるように変更した。また，すべてのパラメータに + 印を付
  けるボタン [All Set] を新設した。

129. Option → All Parameters, Option → Non-default Parameters のオプション
　をメニューバーに新設した。Option → All Parameters は，すべてのパラメータ
　とキーテーブルの設定値を，Option → Non-default parameters は，デフォルト
　と異なるすべてのパラメータ（キーテーブルは除く）を，dviout.ini の形式で出
　力して表示する。これをコピーして dviout.ini とすれば，そのまま dviout.exe 
  が取り込むことができる。Option → All parameters の幾つかの値は 0 などの
  正常でない値になっていることがあるが，これはデフォルトを表わす。
  ある時点でのパラメータを保存したり，パラメータの設定値の検討，コンピュータ
  間でパラメータをコピーする場合，などに用いることが出来る。

130. 文字列を定義するオプション<para>で，定義する文字列<string> が 「'」を含
  まないときは 「'」で，あるいは，「"」 を含まないときは 「"」 で囲って表わす
  ことが出来るようにした。これにより改行や空白などの特殊文字を含む文字列が設
  定できるようになった。

  <para>='<string>'
  <para>="<string>"

  また，以下の指定は NULL String を表わす

  <para>=^$

  vfn= の定義で，定義された文字列の先頭が改行記号となっているものは，
  dviout.vfn の内容と見なして解釈するようになった。

　従って，従来の dviout.vfn の内容も dviout.ini の中に記述可能になった。
　デフォルトの vfn= は，以下のようになっている。

vfn='
%version=2
%vfont_list
1,"ＭＳ 明朝",1000,1000,0
2,"ＭＳ ゴシック",1000,1000,0
3,"@ＭＳ 明朝",1000,1000,0
4,"@ＭＳ ゴシック",1000,1000,0
%jfm_list
min,1,a,a,n,400;0;0,,1,0
goth,2,a,a,n,400;0;0,,1,0
tmin,3,a,a,n,400;0;0,,1,1
tgoth,4,a,a,n,400;0;0,,1,1
'

131. インプレスの WinTeX Ver 1.03c における DDE に対応


                             Ver.3.0 β2

132. 手の形のカーソルのとき，情報表示や文字列検索などのダイアログを操作で
　きなかったのを修正。

133. 印刷の時のモードの自動切り替えがうまくいかなかったのを修正。

134. プロパティーシートからの -dpi: の設定がうまくできなかったのを修正。
　これにともない，今までの -DPI: を -dpiv: に変更した。

135. オプションの設定ファイルのデフォルトのファイル名を dviout.ini から
  dviout.par に戻した。また，dviout.par で文字列を設定するパラメータのと
  き，" " や，' ' で囲ってやることにより，空白や改行記号などを含むものを
　設定することができるようになった。たとえば，パス名に空白文字が混ざった
　場合に用いることができる。


                              Ver.3.0 β3

136. [System] と [Key] のシートに　[Default] ボタンを付けた

137. WindowsNT の縦書きにおける和文フォントの位置の不正に対処

138. -TEXFONTS: において，^r は正常に処理されたが，%r は -TEXROOT: による
　変換がなされていなかった（-TEXPK: ではこのような問題は無かった）のを修正。

139. Option → Non-default Parameters... においても，キーテーブルをデフォ
　ルトとの差分の形で出力するようにした。従って，Option → Non-default 
  Parameters を dviout.par というファイル名で dviout.exe のあるディレクト
  リにおいた場合

  dviout -NULL

  により，Registry の如何にかかわらず，出力時のパラメータに設定される。
  一方，Option → All Parameters の方は，-NULL を付けなくても上書きされ
  るので，出力時のパラメータの設定になる。

140. Display→Fit, Display→Full を設けた。前者は，スクロール無しに，後者は
　縦または横の高々一方のみのスクロールで，preview可能な最大のサイズになる
　よう紙面の縮小を行う。ただし，縦横比は変更しない。

142. パラメータの設定値を読み込む順序を dviout.par → Registry と逆にした。
　（後から読んだものによって上書きされる）。
　これは，WindowsNT でマルチユーザの場合，共通設定を dviout.exe の存在する
　ディレクトリのファイル dviout.par に書き，各人の設定を（各人毎に別れてい
　る）Registryに書く，という使い方を可能にするため。


                              Ver.3.0 β4

143. 縮小率とGray scaleの情報が，mode 変更に追従していなかったのを修正。

144. Ver.3.0 β 3 で，-TEXFONT: の情報を読むとページ違反が起きる，という
　バグが生じたのを修正。

145. Ver.3.0 β 1-3 で，Property Sheets の　[HyperTeX] で Non-default 
  Browser を選択すると正常に動作しなくなっていたのを修正。


                              Ver.3.0 β5

146. フォントの自動生成や，Ghostscript の起動時にメッセージが表示される
　ようにした。

147. フォントの自動生成の template で，^e を指定するとページ違反が起きて
　いた（β3-4）のを修正。

148. 終了時のマウスカーソルの形の保存は，そのときの実際の形でなく，どちら
　のモードになっているかに変更（手の形のモードであるが，文書サイズが小さ
　いなどのため矢印の形になって終了した場合でも，次回の起動後にスクロール
　の必要のある文書では，手の形のマウスになる）。

149. tpic specials において，図形の塗りつぶしにバグがあったのを修正。


                              Ver.3.0 β6

150. Property Sheet の [Font] で min10 を Check すると，正常であるのに

          Error in TEXPK for '.tfm'.
          It should only match jfm files.

  というエラーメッセージが出ていたのを修正。

151. 印刷の際に自動的にモード切り替えを行うように設定してある場合に起こ
  る不都合で，印刷時に用いるモードの方の -bright= のパラメータの値がデ
  フォルトの 255でない場合に，背景が gray scale で印刷されていた。また，
  両者の -dpi= の値が異なるとき，袋綴じ印刷の場合の右側のページの位置が
  正しくなかったのを修正。

152. Property Sheet の [System] に，file= の設定を設けた。これは従来の
  -= と同じで，パラメータファイルの読み込みを意味する。
　  これを，起動時のデフォルトに設定すると（[Save]ボタン），Registry か
  らパラメータを読んだ後，このパラメータファイルの内容が読み込まれて上書
　きされる。
    file= の内容をエディットして，[Apply]あるいは[OK]を押した場合は，
  その時点でパラメータファイルの内容が読み込まれる。


                              Ver.3.0 β7

153. Property Sheets でフォントのチェックを行ったあと，動作がおかしくな
　るバグを修正。


                              Ver.3.0 β8

154. 印刷の際，プリンタドライバに設定した用紙サイズや向きと，dviout側の設
　定とが合致しているかどうかのチェックをするようにした。

155. 印刷のメニューで，拡大／縮小を指定したとき，dvi原点の位置もそれに応じ
　て調整するかどうか，指定できるようにした。

156. 表示中のページをBMP形式でファイルにセーブできるようになった（メニュー
　バーの File Menu → Save as image）

157. Property Sheets の Font のページをレジストリにセーブする場合や，フォン
　トを指定しないで Check を押した場合，欧文 tfmファイルが誤って TEXPK に設定
　されていないかのチェックをするようにした。

158. dviprt, dvips などのコンソール版の印刷プログラムを dviout for Windows
  から呼び出せるようにした。呼び出すための手続きは，-dviprt: でユーザが自由
  に設定可能。通常のバッチファイルの形式だが，以下のキーワードが使える。

  +  -dviprt: の先頭にこれを付加すると，dviprt を呼び出す印刷がデフォルトに
     なる（印刷ダイアログから[Setup...]を読んだときの表示には，先頭の + 削ら
     れているので，付加しないようにしてください）。
  ;  マルチステートメントでの改行を表します。
 ^t  テンポラリファイル（環境変数 TMP または TEMP が設定されていれば，その
     ディレクトリ，それが存在しなければ，dvioutの存在するディレクトリの
     dvitmp.$$$ というファイルになります）。
 ^q  対象のdviファイルのフルパス名
 ^p  dviprtの書式での印刷する範囲（マクロが含まれることもある）
 ^f  オプションパラメータ（-harf: -mag: -lc: -Z: -OX: -OY: -varf: -e: -o: -y:
     -nf: のうちで必要なもの。ただし，-y: を常に含む）を書き出したファイル。
     具体的には，^t と同じディレクトリの dvitmp.par というファイル。  
 ^x  起動されているdvioutの存在するディレクトリ名
 ^s  空白を表す。続く文字がアルファベットでなければ，s は，省略してもよい。
 ^a  開始ページ（物理ページ）
 ^b  終了ページ（物理ページ）
 ^c  コピー部数（-lc: に対応)
 ^e  縮小／拡大率（-e: に対応）
 ^m  Printのダイアログで，Option for Pagingで選択したものを表す（0から5までの
     数字）
 ^n  袋綴じのときの右のページ位置を表す（printのダイアログの W: に対応。
     14,85cm などという cm で示した幅）
 ^y  用紙サイズと向き（-y: に対応，A4P など）  
 ^h  横位置調整（-OX: に対応し，1.25cm などのようなcmの形式）
 ^v  縦位置調整（-OY: に対応し，cmの形式）
 ^o  印刷するページの順など（-o: に対応し，r, o, e, re, ro または，空，の６種
     のうちの何れか）

  -dviprt: が空，あるいは，+ のみのとき，設定される文字列のデフォルトは，

  echo^-O=^t^>>^^f;dviprt^-=^f^^q^^p;copy^^t^sprn^/b;del^^t

  となります。このとき，環境変数 TMP が c:\windows\tmp と設定してあって，
  foo.dvi を１ページから５ページまで印刷する場合は，

  echo -O=c:\windows\temp\dvitmp.$$$ >> c:\windows\temp\dvitmp.par
  dviprt -=c:\windows\temp\dvitmp.par foo.dvi 1-5
  copy c:\c:\windows\temp\dvitmp.$$$ prn /b
  del c:\windows\temp\dvitmp.$$$

  というバッチファイルが作成され実行されます。
  dviprt 実行時の c:\windows\temp\dvitmp.par の中身は，たとえば

  -y=A4L -O=c:\windows\temp\dvitmp.$$$

  という具合です。

159. -gdat は，テンポラリに作成した PBM や GIFファイルのパス（ディレクト
  リ）になると共に，EPS/PS/PBM/GIF/BMP ファイルのサーチパスの一つにもなっ
  ていました。複数のパスを ; で区切って指定することにより，複数のサーチパ
  スを指定できるようにしました。そのうちの最初のパスは，作成するPBM/GIF
  ファイルのパスにも用いる，という仕様になりました。

160. メニューバーの Option に，Read Parameters... が追加された。これはパラ
　メータの書かれたファイルを，ダイアログを使って選択して読み込むことにより，
　パラメータの変更を行うために用いられる。

161. 本の形のアイコンを閉じたり開いたりする，Windows95でのHelpの形式をサポ
　ートした。dviout.cnt を，dviout.exe, dviout.hlp と同じディレクトリに入れ
　ればよい。

162. 印刷のダイアログで，物理ページだけでなくて論理ページも表示されるよう
　に変更した。

163. dvioutでの表示をLandscapeで行っていたとき，dviファイルの更新などで，
  Portraitに変わってしまうことがあったのを修正した。


                              Ver.3.0 β9

164. WindowsNTで，Ghostscriptの起動時にdvioutがフリーズしてしまう場合があっ
　たのを修正。

165. tpic specials で，\special{Bz 0}, \special{Bz 1} が使えなくなっていた
　のを修正。

166. 文字列サーチでどのような色付けをするか，の設定のレジストリへのセーブに
　バグがあったのを修正（cf. readme.txt）。


                               Ver.3.0

167. Option → Nondefault Parameters... の出力に無駄な部分があったので，簡素
  化した。

168. About dviout のツールチップが出なくなっていたのを修正。

169. dviprt による袋綴じ印刷で，B5→A5 の縮小のときのデフォルトの用紙サイズ
　がおかしかったのを修正。

170. 印刷のダイアログで，印刷を一つのジョブにするかどうかのデフォルトを，ディ
　スクの空き領域のサイズから判断するようにした。

171. フォントの自動生成で，フォントの dpi の値が，表示画面の dpi になっていた
　のを，生成されるフォントの dpi の値も表示するように変更した。

172. 手の形のマウスカーソルのとき，紙面の側からスクロールバーにマウスカーソル
　を移動しても，スクロールバーを操作できなかったのを修正。

173. 紙面の端でルーペを動かすと，紙面外にごみが表示されることがあったのを修正
　し，ルーペで紙面の端が見えるようにした。

174. 印刷ダイアログの選択で，ファイルにも出力できるようにした。

175. ツールバーのマウスカーソルの変更ボタンの押し下げ状態は，スクロールが必要
  な紙面を表示する場合に，手の形のマウスカーソルになるかどうか，を示すように
  変更した。

176. フォント自動生成の時に作成して実行されるバッチファイルは，カレントディレ
　クトリでなく，環境変数 TMP または TEMP で示されるディレクトリに変更した。

177. Property Sheet の [DISPLAY] の Start: の項に表示されるものが，起動時の
　デフォルトになっていたのを，現在の状態が表示されるように戻した。

178. -dviprt: で，^y などのパラメータのいくつかが，正しく解釈出来ていなかった
  のを修正。

179. -dviprt: で，^A, ^B により，印刷の開始，および，終了の論理ページを出力で
　きるようにした。

180. Help → About dviout で，アイコンも表示されるようにした。

181. WinAPIを使った和文TrueTypeフォントの場合，-J: オプションが無効になってい
　たのを修正。ただし，縦書きモードでは無効。

182. 表示中のdviファイルのあるディレクトリが，カレントディレクトリとなるよう
  に変更した。

183. pTeXにおける横書き和文フォントをWinAPIによる和文TrueType Fontで代替して
  いる場合で，対応する jfm ファイルの base line 位置が標準と異なるとき，その
  差が base line 位置に反映するようにした（従来の版との互換性のため）。

184. malloc() の使用をやめて，すべて GlobalAlloc() にした。malloc() で失敗す
　ることがあったが，これは多分 BC のバグであろう。

185. パラメータ -dviprt: で，dviprt.exe^-=^f^^q^^p を表すパラメータ ^P が使用
　可能になった。Windows95/NT のコンソール版 dviprt.exe が，たとえば c:\dviout
  に存在する場合，-dviprt: に

  c:\dviout\^P

  と設定すれば，デフォルトで dviprt.exe による印刷がサポートされる。


                             Ver.3.01a-1

186. 使用フォントのパス名に空白が含まれていても，正しく認識できるようにした。

187. 従来の dviprt の汎用ドライバを組み込んだ。

188. dviファイルを読み込まないとき，Property Sheet の [Display] のページの
  Start: の項がデフォルトの値を示していなかったのを修正した。


                             Ver.3.01a-2

189. カラー化を行い，Postscript specials や BMPファイルで，カラー画像が取り込
　めるようになった。Windows対応のカラープリンタにより，カラー印刷も可能。
  これにともない，パラメータ -GIF: がフラグ型から整数型（0から5まで）に変更に
  なった。

190. Ver.3.01a-1 で用紙サイズや向きの変更にバグが生じたのを修正。


                            Ver.3.01a-3

191. Ver.3.01a-1, a-2 で GTHやFARに入ったフォントが読めなくなっていたのを
　修正。


                            Ver.3.01a-4

192. [WinJFont]のProperty Sheetで，変更後[OK]または[Apply]のボタンを押した
  とき，Saved のメッセージが表示されていたのを修正（このメッセージは，[Save]
  を押したときに表示されるもの）。

193. [Font]のProperty Sheetに，[Guess]ボタンを設けた。このボタンで，-TEXROOT
  -TEXPK の自動推測を行うことができる。欧文PKフォントファイル，和文JXL4フォン
  トファイル，和文JFMファイル，GTHフォントライブラリに対応している。欧文のPK
  フォントの場合は，cmr10.pk または cmr10.300pk という形式のファイル名に対応
  しているが，後者が推奨される。

194. 和文TrueTypeフォントの設定で，jfm での名前に default, tdefault というも
　のを設定しておくと，定義されていない和文フォントのとき，その設定が用いられ
　る（default は横書き，tdefault は縦書き用）。


195. 付属の32bit版 chkfont.exe で，GTHフォントライブラリの内容が表示できなく
　なっていたのを修正。


                            Ver.3.01a-5

196. Ver.3.01a-4 でフォント自動生成機能が働かなくなっていたのを修正

197. dvioutの内蔵プリンタドライバで，follow default dpi を設定すると，エラー
　が起きていたのを修正

198. Ver.3.01a-1,...,a-4 で，dvioutの内蔵プリンタドライバで，LBPによる印字を
　行ったとき，和文フォントにWindowsのTrueTypeフォントが使われていたが，デフォ
 ルトでは，プリンタの内蔵フォントを使うように変更


                            Ver.3.01a-6

199. bmpfile= によるカラーBMPファイルの表示が，reNewボタンを押さないとなされ
　なかったのを修正

200. 内蔵のLBP用プリンタドライバのサブオプション k などにおけるバグを修正し
　た

201. WindowsNTで[Guess]ボタンを押すとエラーで終了していたのを修正


                            Ver.3.01a-7

202. PKD, jxl4, 欧文TrueTypeフォントを使うと，"FPK_E" というワーニングが表示
　されていたのを修正


                            Ver.3.01a-8

203. 印刷出力でMicrosoft FAXを選択した場合，Windows95がハングアップしてしまう
　ことがあったのを修正。これは，FAXでの出力可能サイズより大きな画像をFAX出力
　しようとすると起きていたようで，Windows95のFAXドライバにバグがあるようであ
　る（本来はドライバが切り詰めるはず）が，dviout側で対処した。


                            Ver.3.01a-9

204. Windowsのプリンタドライバを用いるときに，ドライバのデフォルトの印刷不可
　能域の幅を用いる -area というオプションを設けた。これが ON がデフォルトに
　変わった。

205. ページ番号が1000を越えた場合，ツールバーやページスライダーでの矢印（キー）
  によるページ移動が正常に行われなかったのを修正。


                            Ver.3.01b

206. Microsoft IntelliMouse（「まわるマウス」）に対応した(by Otobe)
   ホイールを回転させるとスクロールし，ホイールを押し下げたままで回転させる
   と，ページを移動する。
   現在，ホイールを押し下げた状態のままでマウスカーソルをdviout外部に運ん
   で，そこでホイールを開放した場合，やや動作がおかしくなる。そのときには
   dvioutの中でホイールを一度クリックすれば正常に戻る。

207. ツールバーのページ入力ボックスの矢印でのページの増減を逆にするオプショ
　 ンを設けた（Property Sheet の [System]）。

208. 起動時の dviout.par, dviout.ini のサーチパスに Windowsのディレクトリが
　 落ちてしまっていたのを修正。


                            Ver.3.01b1

209. Property Sheets で，Apply the change to this sheet? のメッセージが現れた
　とき，OK ボタンが正常に機能していなかかったのを修正

210. 内蔵プリンタドライバでのLandscape印刷で，印刷毎に LM, TM, RM, BM が（回
　転して）変わっていたのを修正


                            Ver.3.01b2

211. ダイアログボックスにおけるキー操作での項目移動の不都合箇所を改善


                            Ver.3.01b3

212. 画像データファイルの取り込みの \special で ps, pbm, bmp などの拡張子を
　省略すると，取り込みに失敗することがあったのを修正

213. PostScriptファイルのファイル名に２ヶ所以上「 . 」が含まれると，画像ファ
　イルの取り込みに失敗することがあった。

214. DDE通信で，パラメータの変更コマンドを設け，マルチステートメントをサポー
　トした。

215. 内蔵のLBP用のプリンタドライバを使うとき，給紙方法が設定できるようにした。


                             Ver.3.01

216. カラー画像を取り込んで印刷する際，画像の上下の位置が若干ずれていたのを
  修正。

217. カラー画像取り込み機能を付加した改良で，Windows API による印刷を行うと
  メモリーリークが発生してしまっていたのを修正。


			                 Ver.3.02

218. DDE通信のマルチステートメントが，正常に処理されていなかったのを修正。
  さらに，各種機能を実行するコマンドを設けた。

219. LaTeX2eのグラフィックパッケージのgraphics.styまたはgraphicx.styを使った
  dvips用出力に対し，\rotatebox をサポートした。ただし，文字または白黒画像の
  回転に対応するが，カラー画像の回転はサポートされない。

220. 印刷ダイアログの印刷ページ範囲指定で，(  ) で囲んで表示される論理ページ
　番号が正しくなかったのを修正。

221. Warningのメッセージウインドウを非表示に切り替え可能にした。

222. LIPS III → LIPS IV では，テキストモードでのラスターイメージ描写が，重ね
　書きから上書きに仕様変更になったようなので，それに起因するバグ（文字の一部
  が欠けることがある，などの現象）に対処した。

223. LIPS IV による印刷で，プリンタ側のジョブが未終了で終わってしまうバグを
　修正した。

224. HyperTeX において，\special{html=<file:FILE_NAME>} における FILE_NAME が
　dviファイルでない場合も，ファイルの存在を調べてフルパス名でシステム（または
　WWW Browser）に渡すように修正した。

225. HyperTeXにおける外部資源のアクセスに関する security を高めた。すなわち

  ・html=<file:FILE_NAME>以外であった場合
  ・上記の FILE_NAME が，見つからなかった場合
　・FILE_NAME の拡張子が，exe, cmd, com, bat のいずれかであった場合
　・FILE_NAME に拡張子が無かった場合

　は，その資源にアクセスして良いかどうかを尋ねるダイアログを出すようにした。

226. 複数のdvioutのWindowを開くとき，同一の場所に重ならないよう調整するよう
　にした。

227. 印刷ダイアログで，標準的なサイズへの拡大ボタンを設けた。

228. 起動時の自動取り込みオプションの設定から -log: が抜けていた。

229. Property Sheets でファイル名を入力するのに，直接入力のほか，ダイアログ
　から選択すること可能になった。


                             Ver.3.02.1

230. 横書き和文フォントを縦書きに代替するときに位置補正を行う -g: オプション
  を，Property Sheet の [JFont2] に設けた。

231. 文字の色付けを行う special をサポートした。これを有効にするかどうかの
　オプション -color: を Property Sheet の [Graphic] に設け，ツールバーの 
　Display → Color special による切り替えもサポートした。デフォルトでは，
  CTRL C のキーが当てられている。
  epsfdoc の最後のページにサンプルを載せました。


                             Ver.3.02.2

232. 文字の色付けで，dviファイルに色のパレット情報でなくて，名前で記録された
　場合（68色）の対応にバグがあったのを修正。


                             Ver.3.02.3

233. 文字の色付けで，白抜き文字をサポート。また，色の上塗りで，REPLACEのモー
　ドをサポート（cf. On line Help の -color: および，付属のサンプルの 
   graphic\color\color.tex）

234. ツールバーの Display → Color replace で，色の上塗りがREPLACEモードに切り
　替わるようにした。

235. dviout起動時のコマンドライン，あるいは，DDEで開くことを指示したファイル
　がdviファイルでなくてディレクトリ名であった場合，そのディレクトリの中のdvi
  ファイルを開くダイアログが表示されように修正。


                             Ver.3.02.4

236. color specials の background（背景色）のサポート

237. dviout for Windows + LaTeX2e graphic packages 用のグラフィックドライバ
　の添付。


                             Ver.3.02.5

238. グラフィックドライバを若干修正

239. color specials の文字表示において，アンチエリアシングに対応。
  関連して，-cmode: オプションを追加


                             Ver.3.02.6

240. アンチエリアシングの auto mode で非効率な点を修正し，-bright: を設定した
　り，反転モードにした場合でも，なるべく妥当な表示になるようにした。


                             Ver.3.02.7

241. ページ展開バッファが256色BMPのとき（文字列サーチ，または，HyperTeXを
　使った場合），color specials を使用するとメモリー違反のエラーが起きたのを
　修正。また，ページバッファはなるべく16色BMP or 2色BMPを使用するようにした。


                             Ver.3.02.8

242. パラメータの自動インストール機能をつけた。TeXのシステムとの統合パッケー
　ジなどで dviout のインストールを支援するため。
　dviout を起動したとき，TEXPK が設定されず，mode 変更もなされていない場合，
　起動した dviout のディレクトリで install.par というファイルを探し，存在すれ
  ばそれをパラメータファイルとみなして読み込むと共に，そこに設定してあるパラ
  メータの値がデフォルトと異なればそれをすべて Registry に書き込む。ここで
  TEXPK が設定されれば，次回以降の起動の際は，install.par を読まない。

243. MakeTeXPKなどを使う場合のように単一のコマンドでフォントが生成可能な場合
　テンプレートファイルを用意せずに -gen: に ` に続けて直接コマンドを書けるよ
　うにした。たとえば

   -gen:`MakeTeXPK ^s ^d ^D ^d/^D cx

244. Install コマンドをつけた。起動したときに TEXPK が設定されていないと，こ
　のコマンドを実行するどうかをたずねるダイアログボックスが開かれる。この 
  Installでは，-dpi: 用紙サイズ -TEXROOT: -TEXPK: の基本的パラメータの設定が
  なされる。


                             Ver.3.03b

245. ttindex.exe をパッケージに含めた

246. Windows NTにサービスパック３のパッチをあてたシステムでのバグ（WinAPI
  GetGlyphOutline( )で，変形行列を指定するとシステムがフリーズしてしまう）
  に対し，縦書きのデフォルト和文フォントに対しては，淺山氏の提案による回避
  の方法を用いた。

247. 色付け文字の印刷に関して，一部バグがあったのを修正（色をつけた背景の上
　に，白黒以外の色つき文字を重ねた場合，文字とその周りの色がおかしかった）。

248. Option → Install によるインストールプログラムで，Windows のスタート
　メニューのプログラムへのdvioutの登録，拡張子 ".dvi" の dviout への関連付
　けなどが行えるようにした。

249. ファイルの所在などについて，dviout.exe の存在するディレクトリを ^x で
  表すことができるようにした。-vfn=^x\utility\dviout.vfn などと指定できる。
  -TEXPK の中などでも使用可能。


                             Ver.3.03b1

250. -gfit: オプションを設けた。これは，gray scaleを使って縮小してプレビュー
　しているとき，カラーのPostScriptファイルをGhostscriptで処理したカラーBMPの
　サイズを縮小したものにするかどうかのフラグ。BMPファイルのサイズがある限界を
　越えると，極端に処理スピードが落ちることがることに対処するため。


                             Ver. 3.03

251. -gfit: オプションが ON の状態をデフォルトにした。


                             Ver. 3.03.1

252. １ページ内で多色の同一のBMPファイルを複数回取り込んだとき，２回目以降が
  正常に表示されなかったのを修正。

253. \special{background ...} によるバックグランドの色指定で，指定した色にな
　らなかったのを修正。

254. Gray scale を使って表示中のページを印刷するとき，表示中のページにカラー
  画像が含まれていると，おかしなエラーが表示されることがあったのを修正。


                             Ver. 3.04

255. [HyperTeX] あるいは [Search] のプロパティーシートでの色付け指定に関する
  [Save], [Restore] が正常に機能していなかったのを修正。

256. dviprt機能で LBP による印刷のとき，複数部印刷で Collate copies をサポー
  トした。これは，一部ずつ別々に印刷する指定である。

257. [WinJFont] のプロパティーシートで，デフォルトに戻す [Default] キーをサ
  ポートした。また，[JFont2]のプロパティーシートで，[Save]ボタンを押すと，和
  文TrueTypeフォントの設定が解消されてしまうことがあったのを修正した。

258. 印刷のダイアログボックスで，Option for Paging をデフォルトから変更して
  印刷を複数回繰り返すと，２回目以降，正常に印刷されないことがあったのを修正。

259. 他のプログラムからのDDE通信で，XTYP_REQUESTトランザクションをサポートし
  た。任意のパラメータの値の他，表示中のdviファイルのパス名やタイムスタンプ，
  表示中のページ番号や全ページ数，dvioutのバージョン番号を，他のプログラムか
  ら取得できる。

260. ユーザが自由に機能を定義できるツールバーのボタンを，1つから6つに増やした。

261. ２種類のルーペが設定できるようになった。新たに加わったルーペは，CTRLキー
　を押しながら，マウスの右ボタンをクリックする。設定は，Property Sheet→[Loupe]
　で行う。


                             Ver. 3.04.1

262. -WShow: オプションを新設した(Property sheet → System → show child 
   windows)。これは，欧文フォントの自動生成やGhostscriptの起動の際にWindows
   を開く機能をONにするオプションである。タスクバーの状態での実行がうまくい
   かない場合や，テストの際に用いるとよい。


                             Ver. 3.04.2

263. dviprt機能による印刷で，袋綴じと A5→A6 あるいは B5→B6 の縮小とを同時に
　 指定した場合に，ページの右端に空白が多く取られてしまっていたのを修正。

264. メニューバーの Display → Graphics で，グラフィック画像の取り込み機能の
   ON/OFF を切り替えられるようにした。この機能もユーザが再定義可能なツールボ
   タンに設定可能。ON のときは，-GS: (Property Sheet → Graphic)の指定に従っ
   た取り込みを行い，OFF のときは取り込み画像の位置のみを枠で示す。

265. メニューバーの File で，以前に起動したdvioutで表示したdviファイルが９個
   まで表示され，それを選択できるようになった。


                             Ver. 3.04.3

266. 上下左右のスクロールも，キーに再定義可能な機能になった。

267. 拡大，縮小，鏡映を行う tpic specials の \special{sc <h> <v>}を新設した。
   （これは，Ver.3.05 で，\special{rt ...}に吸収され，廃止となる）。

268. LaTeX2e の graphics package の拡大縮小(\scalebox, \reflectbox, 
   \resizebox)に対応した。dvips用の出力形式と互換となるようにした。ただし，
   カラーの文字列や画像，および，dviprt機能におけるプリンタ内蔵和文フォント
   やダウンロードフォントには対応していない。
   これにより，若干の制限はあるものの，grfguide.tex に解説されている全ての
   コマンドに対し，dvips用の出力形式がサポートされたものと思われる。


                             Ver. 3.04.4

269. File → History に [Hide] ボタンをつけ，過去に読んだdviファイルのリス
   トの記録から消去できるようにした。


                             Ver. 3.04.5

270. よく使うフォントの所在の情報を記録しておき，それをdvioutが新たにdviファ
   イルを読むときに参照することによって，最初のページの表示を高速化した。こ
   の機能は，-TEXPK: に \\ を用いている場合に，特に効果がある。この機能は，
   新設のパラメータ -Fkeep: により，ON/OFF できる。

271. [Guess]ボタンを使ったフォントの所在の推測において，
      Do you include the font directory which contains the following font?
   に，Yes と答えた場合，正しく TEXPK: が設定されないことがあったのを修正。

272. 最新の TEX のフォントのディレクトリ構造を用いている場合，[Guess] ボタン
   によって推測される -TEXPK: に，通常 \\ を含むように変更した。


                             Ver. 3.04.6

273. タスクバーに極小化した dviout が，不自然に開かれてしまうことがあったの
   を解消した。


                             Ver. 3.05

274. スクリーンの解像度をより低く変更してからdvioutを起動したとき，前回の
   dvioutのWindowサイズが大きすぎるならば，それを縮小するようにした。

275. LaTeX2eのgraphics packageでdvips用出力を使ったPostScript画像の表示で，
   サイズやスケールに負の値を指定したときの表示位置が正しくなかったのを修正。

276. 回転を行ったとき，描写の一部（回転を行う前に紙面の上側にはみ出た部分）
   が欠けることがあったのを修正。

277. tpic specials の rt の機能を大幅に拡張した。これは，座標のアフィン変換
   を行った描写を行うためのものです。引数の数によって，以下のように異なった
   機能をもちます。

   \special{rt 1}       現在の変換をスタックにプッシュ
   \special{rt -1}      スタックからポップ（ただし，スタックが空のときは，無
                        変換に戻す）
   \special{rt h v}     横を h 倍，縦を v 倍にスケール変換する（負の値も可）
   \special{rt x y f}   (x, y) だけずらした点を中心として，反時計回りに f 
                        radian 回転する（従来からあった機能）
   \special{rt h v w z} (X,Y) →  (h*X + w*Y, z*X + v*Y) という変換をする

   これらは，カレントポイントを基準とします。

   実際の変換は，上の変換の後でさらにスタックの最上位のもの（スタックが空の
   ときは，恒等変換）を施したものになります。

   スタックは，ページが変わるとクリアーされます。

   スタックの深さは，16段まで確保されています。

278. LaTeX2eのgraphics packageでdvips用出力を使ったとき，PostScript画像のス
   ケール変換を\resizebox, \scaleboxで出来るようにした。よって，PostScript画
   像のスケール変換は，graphicx.sty のみならず，graphics.styを使うことも出来
   るようになった。

279. Property Sheetからは，和文TrueTypeフォントが16個までしか登録できなくなっ
   ていた（本来は32個のはず）。修正するとともに，48個まで増やした。

280. 情報表示などで使われる編集ウインドウの内容をクリップボードにコピーする
   ボタンを設けた。

281. SHIFTキーを押しながらマウスの左ボタンをクリックすると，マウスカーソルの
   指す部分の文字列を取得できる機能を設けた。これは編集したり，クリップボー
   ドにコピーすること，あるいは，URLのジャンプ先や拡張子が関連付けられたDISK
   上のファイルならば，それを実行することができます。

282. 上記でさらに，CTRLキーも押しながらであると，クリックした文字の情報が表示
   される。

283. PostScript画像で，90度の整数倍の角度での回転をサポートした。スケール変換
   と併用できる。この場合，Ghostscriptで画像を生成するので，画像の質は落ちな
   い（白黒の場合，従来より画像の質が改善される）。

284. カラー文字や線の回転をサポートした。スケール変換と併用できるが，スケール
   変換するとその文字や線の画質が下がることがある。

285. View → Small Editor で，小さなエディターが開く。これは，画面から文字列
   の取得で開くエディターと共通。

286. VC++ Ver.4, VC++ Ver.5 でもコンパイル可能になった(by 頼本賢治氏）。
   ソースファイルのパッケージの source.txt と makefile.vc を参照してください。

287. -mode=x オプションが新設された。これにより，起動時，あるいは，DDE によっ
   てmodeを変更することができる。x は，0 から 9 までの数字。この設定の後の表
   示から有効になる。

288. 2つ以上のdvioutを同時に開いたとき，Windowの位置やツールバーの状態などを
   保存するのは，最初に開いたdvioutのみとする（次回の起動時に使われる）。

289. -gow: オプションが新設された。これをONにすると，取り込み画像の描画を，下
   にある文字や画像を消去してから行う。

290. \special{rt x} で，x=1, -1 の他（cf. 277)，以下がサポートされた。
   x=0 : \special{rt 0 0 0} などと同じで，現在の画像の一次変換をスタッ
         クのトップのものにする（スタックのポップはしない)。
     2 : 取り込み画像を，下絵を消さないで色を混ぜるモードにする(-gow:-)。
     3 : 取り込み画像を，下絵を消去してその上に描くモードにする(-gow:+)。
     4 : -gow: を，直前の \special{rt 2} または \special{rt 3} を実行
         する前の状態に復元する。

291. IntelliMouse のホイールを回したときの仕様が以下のように変わった。
   中央のホイールを回すと上下スクロールし，押しながら（あるいは，SHIFTキーを
   押しながら）回すと，ページを移動する。押しながら回すとき，SHIFTキーを押し
   ていると5ページ飛び，CTRLキーを押していると10ページ飛び，両方のキーを押し
   ていると50ページ飛びに移動する。また，CTRLキーを押したままホイールを押さ
   ずに回すと，画面の拡大／縮小が行われる。

292. 英語版の HELP ファイル(dvioute.hlp, dvioute.cnt)を dviout から使えるよ
  うにした。OS が日本語をサポートしている時は，英語版の HELP と日本語版の 
  HELP を dviout の中から選択できるようにした。

293. -cmode: 4(patch) を新たに設けた。これは１文字ずつWindows APIを使って描画
  するモードで，表示は遅いが，逆にWindowsのドライバによる印刷では高速になる
  可能性がある（インプレスのWinTeXのドライバに似た手法）。dviprt機能による印
  刷はできない。

294. コマンドパラメータを指定して起動するとき，最初のパラメータを
  -NULL=(<x0>,<y0>)-(<x1>,<y1>)
  とすると，dvioutのWindowサイズが指定される。(<x0>,<y0>), (<x1>,<y1>)は，
  Windowの左上，および右下のピクセル単位での座標である。たとえば，1024 x 768
  のピクセルサイズの画面であるとき，dvioutの各種バーを消して

  dviout -NULL=(0,-40)-(1024,768)

  と起動すると，画面全体がプレビューWindowになるので，プレゼンテーションなど
  に用いると便利（なお，このときの画面サイズなどは終了時に保存されない）。


                               Ver. 3.05.1

295. フォントの所在のキャッシュの記録方式を若干拡張した。何度か使っていると，
  記録サイズがより小さくなるであろう。

296. BMP形式の画像を圧縮した独自のフォーマットをサポートした。拡張子は，bmc 
  となる。EPS画像は，Ghostscriptを通じてビットマップ画像に変換された後，この
  BMC形式の形でファイルに保存され，その形式でそのまま読み込まれる。
  dviout では，*.bmp を読む前に必ず *.bmc が存在するかどうかチェックし，存在
  すればそれを用いることにした。従って，foo.bmc を取り込む場合でも，
  \special{bmpfile=foo.bmp} あるいは，\special{bmpfile=foo} とすればよい。
  BMC形式の圧縮は，圧縮率よりは，圧縮と復元の速度に重点を置いてあり，ファイル
  サイズの減少を考慮すると，元のBMPファイルよりも取り込みが速い場合が多いと思
  われる。なお，BMP形式画像ファイルとBMC形式画像ファイルの相互変換を行うコマ
  ンド版のプログラム bmc.exe も開発した。


                               Ver. 3.05.2

297. PBM/BMP の他，JPEG/GIF/TIFF/PCD 形式を含む各種の画像ファイルの取り込みを
  サポートした。
  Susie というフリーな画像表示プログラムの plug-in として提供されている DLL が
  必要で，それを dviout のディレクトリ，Windows のディレクトリ，PATHの通った
  ディレクトリ，-spi: で指定したディレクトリのいずれかに入れておく必要がある。
  DLLのファイル名と拡張子は，
    JPEG: ifjpeg.spi	jpg/jpe/jpeg
    GIF:  ifgif.spi	gif
    TIFF: iftiff.spi	tif/tiff
    PCD:  ifpcd.spi	pcd
  などとなっている。
  取り込みは，拡張子を明示して，\special{bmpfile=foo.jpg <parameters>} のよう
  にする。
  上記以外の形式の画像ファイルの場合も，対応する Susie の plug-in を -spi: で
  指定したディレクトリ（デフォルトは，dviout のディレクトリ）に入れておけば，
  取り込みがサポートされる。

  なお，Susie plug-in は，http://www.digitalpad.co.jp/~takechin/ などから手に
  入れることができる。

298. dviout for Windows が，各種画像ファイルの取り込みに応じて，LaTeX2e の 
  graphics package の dviout 用の定義ファイルも修正した。たとえば，
  graphicx.sty と dviout.def を用いた場合，foo.jpg の取り込みは

  \includegraphics*[width=10cm, height=8cm]{foo.jpg}

  のように記述できる。

299. フルカラー(24 bit または 32 bitカラー)modeのBMPファイルが，白黒２色のみ
  で，grayなども使っていない場合，画像が横に延びて右端が切れてしまうことがあ
  ったのを修正。

300. Windows API を使った印刷のとき，１ページ全体を Winodows のプリンタドライ
　バに送るのではなく，BoundingBoxで切りつめたものを送るように変更した。
  -cmode: が 4(patch)のときや，dviprt機能による印刷では該当しないので無関係。


                               Ver. 3.05.3

301. Windows側の問題で，高解像度での大きなサイズのカラー画像の表示や印刷に失敗
  することがあったので，100万 PIXEL を超えるカラー画像は，それ以下になるよう分
  割して扱うように対処した（白黒画像は，dviout側で処理するので問題ない）。

302. BMC画像ファイル用の Susie plug-in として ifbmc.spi を作成した。また， 
  bmc.exe は，各種 Susie plug-in を利用して，各種画像ファイルをWindows標準の
  BMP画像ファイルに変換する機能をつけた。



                               Ver. 3.05.4

303. メニューバーの Option→Read Parameters からパラメータを記述したファイル
  を読み込んで設定することができるが，そのファイル名の先頭の2文字が $_ とな
  っていた場合，dvioutの設定が変わるだけでなく，その内容がRegistryにも書かれ
  る。

304. 複数のフォントを連続して自動生成する場合，途中でエラーで止まることがあっ
  たのを修正した。

305. Virtual Fonts のサポート(by matsuda)。TEXPK の中で Virtual Fonts (^s.vf)
  を指定すればよい。
  Virtual Font の中では，specialsは使用できない。

306. Virtual Fonts サポートに関連しての追加修正。
 ・Virtual Fontsから呼び出されるフォントに対してもフォントの所在の記録を有効
   にした → フォントサーチの高速化のため。
 ・Virtual Fontsに対しても，文字列サーチ，文字列コピーや文字情報表示を有効に
   した（画面上の文字位置に関し簡便なやり方にしているため，文字列コピーや文字
   情報表示におけるマウスでのポイントの有効位置が若干不正確になることがある）。



                               Ver. 3.05.5

307. 欧文フォントに対しても，TrueTypeフォントをサポート。Property Sheetの
  [WinJFont]で欧文のTeXのフォント名とTrueTypeフォントとの対応を定義し，
  -TEXPK: でその tfm ファイルを指定する。また，[WinJFont]の code type で
  code の変換オプションを設け，BaKoMa, WinTeX, 無変換が選択出来るようにし
  た。これで対応できないときは，Virtual Fontsを用いればよい。

308. 上記に関連して -ttf: の仕様を変更した。
  -ttf: が 0 のとき，欧文TrueTypeフォントの使用禁止
  -ttf: が正の整数のとき，その値未満の dpi(-TEXPK: の ^d に対応）の欧文フォ
  ントには，欧文TrueTypeフォントの使用を禁止
  デフォルトは，-ttf=1
  このパラメータの変更は，Property Sheets→[Font2]の[Flush]ボタンを押さない
  と（過去の記録が用いられるため）有効にならない。

309. -TEXPK: で欧文tfmファイルが探され，それに欧文TrueTypeが当てられていなく
　てもエラーにならないように仕様を変更した。

310. Windows のドライバを使った印刷で，拡大/縮小を複数回行うと，紙面サイズが
  正常でなくなることがあったのを修正

311. VC でコンパイルした実行ファイルで，ファイルのタイムスタンプの比較が正常
  に行われていなかったのを修正



                               Ver. 3.05.6

312. CTRL + SHIFT + MOUSE LEFT BUTTON の文字情報表示機能で，ポイントした場所
  がカラー画像ならば画像情報を表示するようにした。

313. 白抜き文字など白黒のみでカラーが含まれていないページの画像合成をdviout
  内部で処理するようにした。これによりカラーが含まれていないページで白抜き
  文字が dviprt 機能でも印刷できるようになった。また，Windows95のPS Printer
  ドライバのバグで，白抜き文字が出力できなかった状況も対処された。



                               Ver. 3.06

314. ファイルまたは標準入力の内容をそのままプリンタに送るプログラム
  rawprt.exe を添付。



                               Ver.3.06.1

315. -gen: のパラメータが ` で始まるコマンドで，最初に実際に存在する実行ファ
　イルがフルパス名で書かれているとき，最初にコマンドプロセッサを起動せずに直接
　そのプログラムの実行を試みるようにした。

316. Binary Headerのついた EPSF に対応した。

317. bmc.exe を改良し，-b オプションで EPSF の BoundingBox の情報を出力できる
  ようにした。



                               Ver.3.06.2

318. Help → Information の OS で表示される Windowsのマイナーバージョン番号が
  正しくなかったのを修正。

319. Windows98 で印刷ダイアルログを開いたとき，Copies: にアップダウンコント
  ロールが二重に表示されたのを修正（原因不明）。

320. 一部の hypertex のマクロ（hyper.sty by Michael Mehlich）で，ホットスポッ
  トが一点になってしまうことがあったのを修正。

321. \color{push <color>} の状態で白黒画像がその<color>の色で描写されていたの
　を白黒のままに変更した（システムの負担が軽くなる）。

322. -gclip: オプションを新設した。EPSFファイルを取り込むとき，画像を
   BoundingBoxでクリップする機能である。これが OFF なら，周囲 1 inch を余分
   に取り込む。デフォルトは ON でシステムの負担がより軽い。

323. \color{push <color>} の状態で，欧文TrueTypeフォントを旧来の方法の normal
  modeで展開する場合にエラーがあったのを修正した。

324. -ttf: オプションのRegistryからの取り込みがサポートされていなかったのを
   修正。

325. On line Helpのデフォルトの文字サイズを小さくした。また，日本語のHelpに
   おいても，Help画面で オプション→文字のサイズ を選ぶことにより，文字サイズ
   の変更ができるようになった。

326. bmc.exe に Binary Header のついた EPSF ファイルから，PostScript code の
   部分を抜き出す機能をつけた。

327. -gen= の最初が ｀ で始まるときのフォント生成をバッチファイルから起動しな
  いようにした（315. の仕様の通りでなかったのを修正）。

328. dviout が限度一杯の数だけ起動されたされたとき，最後の dviout が，コマン
 ドラインからの dviout での dvi ファイルの表示を受け持つが，そのとき最初の表
 示ページの情報も受け渡すことができるようにした。また，HyperTeX のとき

    dviout  mytext #introduction
 
 の代わりに
 
    dviout  mytext.dvi#introduction
 
 のような起動も可能にした（後者では，拡張子 .dvi が必須）。またこれらも上記
 の情報の受け渡しに対応した。



                               Ver.3.06.3

329. -gow: を ON にしても，ページの最初の画像が replace のモードにならなかっ
  たのを修正。

330. dviprt機能の LIPS III/LIPS IV による印刷で，上部の印刷不可能領域の幅を
  減らした（10.3mm → 5.0mm）。



                               Ver.3.07

331. 白黒の文字または線が無くてカラー文字やカラー画像のみのページを，-color:
  オプションを patch 以外にして印刷すると何も印刷されなかった（300. で生じた
  バグ）。これを修正。

332. 欧文TrueTypeフォントを用いた場合，dviprt機能で内蔵のLBP用ドライバを使う
  とエラーが生じることがあったのを修正。



                               Ver.3.07.1

333. 秀丸のマクロからDDEで呼び出されたときなど，ログファイル名が dv.log と
  なってしまうことがあったのを修正。

334. LIPS IV 1200dpi のモードに対応（実験中）。
  LIPS III/IV のとき，ダウンロードする文字の最大サイズが，最大 127 x 128 で
  あったのを 600dpi では 245 x 245 に，1200 dpi では 490 x 490 までに拡大
  （これは 30 point 弱のサイズ）。



                               Ver.3.07.2


335. Virtual font に対し，文字の色づけ(color specials)や，CTRL+SHIFTを押しな
  がらのマウスの左ボタンクリックによる文字情報表示が無効になっていた。

336.  WMF(Windows Meta File) と EMF(Enhanced Windows Meta File)の画像取り込
  みを直接サポートした。BMP/BMC や Susie plug-in でサポートされるファイルと
  同じ形式，すなわち

  \special{bmpfile=sample.wmf ...}

  で取り込めるので，dviout.def による今までの LaTeX2e の graphics package を
  そのまま使うことができる。但し，拡張子 .wmf または .emf の明示が必須。
  なお，... にサイズ情報が無い場合の縦および横のデフォルトサイズは 1 inch
  となる（... には，hsize=5cm vsize=10cm などと書ける）。

337. HyperTeX の Direct outerjump の機能が有効でなくなっていた。



                               Ver.3.07.3

338. Display → View → two pages, rev-two pages により，２ページ同時表示がで
  きるようになった。このモードに移ったときに表示されていたページが左側
 （rev-two pages のときは右側）に来る。なお，文字列サーチ，HyperTeXなどは
  サポートされていない。

339. フォントのパスの推測機能を若干改良した。標準的な設定の場合，Virtual fonts
  にも対応できるようにした。

340. UNIX版 dviprt および Win32Console版 dviprt と共通のソースファイルとなっ
　た。

341. -gen: の拡大率を分数で表すパラメータとして，^M を新設した。^d が 1500, 
  ^D が 600 のとき，^M は 2+300/600 となる。^d/^D で ^d が 4096 以上のとき
  METAFONT の拡大率のパラメータがオーバーフローを起こすので，その対策になる。

342. Display → View → cross pages, 16 pages により，4ページまたは16ページを
  縮小して同時に表示するようにした。Page Up, Page Down などにより，前後のペー
  ジの縮小表示に移動する。一般のページ移動では，通常表示にもどる。また，マウス
  の右ボタンのクリックにより，マウスで指したページの通常表示に移ることができる。


                               Ver.3.07.4

343. Windowsのdriverによる(dviprt機能を使わない)印刷で，Property Sheetの
  [Graphic]の color special: で patch2 を選んだ場合，TrueType fontsをビット
  マップに展開してから Windowsのdriverに送るのでなく，直接Windows APIを用いて
  driverに出力するようにした。auto mode を選んだ場合(デフォルト)は，Windows
  driver を用いる印刷では，自動的に patch2 の mode となる。
  この patch2 のmodeでは，Windowsのdriverによっては，高速化や印字品質の向上
  が期待できる。

344. dviout for Windowsのタイトルバーに，現在のページ番号と全ページ数とを表示
  するようにした。

345. 画像を張り付ける Windows API の StretchDibBits() のバグをある程度回避す
　る処理を行った。Windows API を使った印刷で，TrueType以外の文字が変形してし
　まう（太くなる）という問題点が解消された。

346. Virtual fonts の処理に一部バグがあったのを修正した（松田）

347. [Graphic]の color special: が patch2 のときは，プレビューにおける画面
　表示のときもWindows APIを用いて直接TrueType fontsを描くようした。

348. -gen: によるフォントの自動生成，-gsx: による Ghostscript の起動の設定で
　それぞれ mktexpk.exe/MaKeTeXPK.exe, gswin32c.exe/gswin32.exe を探して，その
　パラメータを自動設定できるようにした。



                               Ver.3.07.5

349. 旧タイプのTrueTypeフォント展開ルーチンを使用していて，tpic=0 で詳細モード
  でない展開を行った場合，エラーが起きたのを修正。

350. TeX の specials で tpic specials のキーワードに最初の2文字が一致する tpic
  specials 以外のものを使用した場合エラーが生じたのを修正。

351. -ntt オプションを指定した場合，WindowsNT でdvioutの終了時にエラーとなる
  ことがあったのを修正。



                               Ver.3.07.6

352. TeXのフォントに対してそれと異なる名前のTrueTypeフォントを用いる場合，
  その対応表をファイルから読み込むことができるようになった。そのファイルは
  [Font2]の -ftt: で指定され，デフォルトの拡張子は map である。

  ファイルには，TeXのフォント名と対応させるフォント名を空白（タブでも良い）
  で区切って，１行に一組ずつ書いておく。フォント名が空白を含む場合は，" "
  で囲う。空白を除いた先頭が % # ; のいずれかの文字である行は無視される

  TeXのフォント名に基づいた tfm/jfm ファイルが参照されるが，その後この対応表
  で変換を行い，それを [WinJFont]の tfm/jfm に定義されたフォント名と見て，
  [WinJFont] で対応が定義された TrueType フォントが実際に用いられる。特に
  [WinJFont]で edefault が定義されていれば，この対応表にはWindowsに登録された
  任意のTrueTypeフォント名を指定することが出来る。

353. Windows APIを使うフォントで Italic, Bold, Underline, StrikeOut の指定，
  およびTrueType以外のフォントを dviout が扱えるようになった。ただし Underline
  Italic は [Graphic]→color specials:(-cmode:) が patch2 のときに限る。
  これらは，[WinJFont]で指定することが出来る。-ftt: で指定するときは，対応する
  フォント名の後に空白を空けずに / とさらに I, B, U, O の文字を書いて，それ
  ぞれ Italic, Bold, Underline, StrikeOut を意味する。

  さらに，Unicode, Regular の指定，および，Character Set として，
  ANSI, Arabic, Baltic, ChineseBig5, default, EastEurope, GB2312, Greek, 
  Hanguel, Hebrew, Johab, Mac, OEM, Russian, ShiftJIS, Symbol, Turkish, 
  Thai, Vietnames
  のいずれかが指定可能になった。これらは，大文字小文字が区別されない。

354. -ftt: に指定したファイルで，上記の指定が全て２種類の方法で可能になった。
  Character Setの指定は，/ の後にその番号を ( ) で囲って書く。たとえば，

   %sample
   wtmr    "Times New Roman"       regular
   wtmri   "Times New Roman"       italic
   wtmb    "Times New Roman"       bold
   wtmbi   "Times New Roman"       italic,bold
   symbol   symbol                 unicode,symbol
   min10    "ＭＳ　明朝/[936]"     unicode,shiftjis,Italic

   と書いたものは，以下と同じ。

   %sample
   wtmr    "Times New Roman/R"
   wtmri   "Times New Roman/I"
   wtmb    "Times New Roman/B"
   wtmbi   "Times New Roman/IB"
   symbol   symbol/U(2)
   min10    "ＭＳ　明朝/IC[936](128)"

354. CTRL+SHFT+left button of Mouse での文字情報表示で，TrueTypeフォントを
　使って表示された文字の時，その情報も示すようにした。



                               Ver.3.08

355. patch2のモードでの線画での一部バグや非能率な部分があったのを修正。



                               Ver.3.08.1

356. CD-ROM などの書き込み出来ないディレクトリにある dvi ファイルを読んだと
き，不足フォントの自動生成を設定していて生成に失敗した場合， dviout がアプリ
ケーションエラーで止まってしまうことがあったのを修正。

357. 印刷のダイアログで，袋とじ印刷のときの最初のページを白紙にする機能や，
左右を逆にする機能の指定方法を改良した。

358. パラメータファイルの先頭が ;` で始まるとき，それは説明文と見なされて
Option → Read Parameters で読み込む際に表示される。これは先頭の行からこれが
とぎれるまで。

359. -cmode: に auto mode(rep) を設けた。これは ver.3.07 までの auto mode と
同様な機能で，dviprt機能を使わない印刷の時 replace のモードになる。

360. Susie plug_in を使った画像取り込みで，白黒画像の取り込みが正しく行われな
いことがあったのを修正。



                               Ver.3.08.2

361. TrueTypeフォントで，Bold や Italic を使った場合のフォントの切り替えに一
部不具合があったのを修正。

362. 乙部氏による Windows の TrueTypeフォント（Times New Romanなど）を使うた
めのパッケージ ttmin.lzh を含めた。インストールは，以下のようにします。

  1. \texmf が存在する（すなわち \texmf の親の）フォルダに移動して

  lha x ttmin.lzh

  などとして，ttmin.lzh を展開する。

  2. dviout for Windows の Option → Setup Parameters... → Font2 → ttf:
  に，展開された  ....\bin\ttfonts.map  を指定し，そこの [Flush] ボタンを
  押す。

　3. dviout for Windows の Option → Setup Parameters... → Font において
  TEXROOT: が，....\texmf\fonts となっているとして，

  TEXPK: ^r\tfm\\^s.tfm;^r\pk\canoncx\\^s.^dpk;^r\vf\\^s.vf

  などのように，PKフォントの設定に加えて tfmファイルと vfファイルの設定を
  行う。

  正しく設定されていることを，サンプルの

    ....\texmf\tex\latex\ttnfss\test.dvi

  を dviout から開いて確かめてください。これらのソースファイル(*.tex)は LaTeX
  からの使い方の例となっています。

  なお，私の場合は上記の .... は，d:\usr\local となっています。

363. WindowsNT で，Printerを登録しないでパラメータの自動インストールを行うと
　エラーで終了していたのを修正(阿部氏)。



                               Ver.3.09

364. 乙部氏の ttmin.lzh を最新版(April 4,1999) に変える。



                               Ver.3.09.1


365. Visual C 6.0 でコンパイルした dviout.exe を公開版としたが，古い
Windows95/NT に付属の comctl32.dll との相性が悪いため（readme.txt の最後を
参照）Visual C 5.0 でコンパイルを用いることに変更。Microsoft で提供されて
いる修正パッチを comctl32.dll に当てれば問題ない。



                               Ver.3.09.2

366. ttfonts.map によって縦書き和文TrueTypeフォントを用い，patch2のモードに
すると，文字の位置がbaselineより右に寄ってしまっていたのを修正。

367. 線の高さや幅が負の時は，線を描かないように修正。
Virtual fonts を含んだ DVI ファイルを dvicopy で処理すると，このような DVI
ファイルが生成され，dviout で見ると縦線のゴミが表示されてしまうことがあった。

368. dviprt機能で Virtual font に関してフォントのダウンロードを行おうとする
とエラーが生じていた。なお，Virtual font は，フォントのダウンロードができな
い。

369. cross pages や 16 pages で BMPファイルが元の大きさのままで，一部が表示
されてしまうことがあった。

370. [Graphic] の [Restore] ボタンが -gclip: に対して無効であったのを修正。

371. Virtual font で，scaleをかけているときの移動量が正しくなかった。そのため
Small Capsなどで，文字の位置がずれた（松田）。



                               Ver.3.09.3

372. DDE による外部プログラムからの dviout の制御において，
[FilePrint(parameter:value ...)] をサポートした。これは，従来の[FilePrint]の
他に，さらにプリントダイアログに表示されたパラメータの値の変更や[OK]ボタンを
押して，印刷をすることができます。以下の parameter などの指定を，必要なもの
のみ空白で区切って並べます。たとえば

  [FilePrint(From:5 To:10 OK:50)]

  From:<n>      <n> は印刷開始ページ
  To:<n>        <n> は印刷終了ページ
  Copies:<n>    <n> はコピー部数
  Reduce:<n>    <n> は拡大縮小で，1000が等倍
  Odd:          偶数ページのみ
  Even:         奇数ページのみ
  U2page:       袋とじ
  BlankTop:     袋とじで最初のページを空白に
  LeftToRight:  袋とじで右側のページを先に
  Ujob:<n>      Unite job（<n>=1 ON, <n>=0 OFF)
  Collate:      Collate Copies
  Reverse:      Reverse order
  OK:<n>        <n>*100 mm 秒待ってから [OK] ボタンを押す。
                デフォルトは，1000 mm 秒 = 1 秒 で 最短 0.1 秒，最長2分
                なお，待ち時間の間に，[Cancel]などを押してもよい。

373. Property sheets などのフォントを変更した（IE 5.0での不具合対策）。



                               Ver.3.09.4

374. 目盛りつきのルーペをサポートした（[Loupe]→Shape→Measure）。一目盛り
は，4 pixel にあたる。Help→Information から，等倍の場合の 1000 pixel あた
りの長さが分かる。

375. -ftt: で指定するTeXのフォントとTrueTypeフォントとの対応付けを書いたファ
イルで，%skip とのみ書かれた行があれば，%endskip とのみ書かれた行が見つかる
まで読み飛ばす。



				Ver.3.10

376. ttmin.lzh を乙部氏の最新版に基づいて若干修正。

377. CTRL と SHIFT のキーを押しながらマウスの左ボタンをクリックすると，マウ
   スポインタの指す紙面上の位置を表示するようにした。

378. Property Sheet→[Loupe] で [Restore] が正常に動作していなかったのを修正
    （Ver.3.04からあった不具合と思われる）。

379. -cmode: が automode(p2) での印刷，あるいは  auto2 で，-GIF: が raw PBM
    あるいは，monochrome GIF の場合は，自動的に -GIF: を monochrome BMP に変
    更するようにした（-cmode:automode(p2), -GIF:raw PBM のときに，印刷されな
    EPSF があったのを修正するため）。

380. WinAPI によって欧文TrueTypeフォントを使う場合のフォントのチェックサム
    の照合にエラーがあったのを修正（[Font2] → CheckFontID(c:)）。

381. sample の direstory を作成して英文の dviout 用の sample.dvi 入れた。

382. 前回のファイルに移動する Jump → Last file のメニューを新設。また，
    Former History で，あるファイルの最初の部分にあるときは，この Last file
    を実行するように変更した。



                               Ver.3.10.1

383. 巨大文字も表示／印刷するには，Setup Parameters... → [System] の -br:
   を増やす必要があるが，そのエラー表示を表示するようにした。

384. 100000 以上のページ番号のページを扱うとエラーが起きたのを修正。

385. -gsx: の自動設定において環境変数 GS_LIB を見るようにし，vflib による日本
   語化版にも配慮した。

386. \psfig, \epsfigによる EPSF ファイルの取り込みをサポートした。但し，前後に
   EPSFファイルをつけて読み込む機能はサポートされない。



                               Ver.3.10.2

387. メニューバーに Display→Landscape という，Portrait と Landscape とのトグ
   ルスイッチを新設した。

388. -macro: を新設し，5つのキーマクロ（パラメータの定義やメニューバーからの
   選択などの一連の操作を定義して，一回の操作で行う）をサポート。これは任意の
   キーに割り当て可能。
   DDE機能でサポートされる [ValueSet(parameter=value)] や [Function(key)] の
   引数，あるいはそれの組み合わせた形式で，順に5つ（以下）を空白で区切って定
   義する。一つのマクロが組み合わせのため空白が入るときは，一つのマクロを "
   で囲む。前者は parameter の前に - をつけて後者と区別する。たとえば

   macro='DTDF "-y=A4L -LM=5mm -RM=5mm FN" JMJBJRJF JTSD JBSU'

   上記の ' ' で囲まれた内部を，Property Sheets→[Key] の -macro: に指定する。

389. bmc.exe の -b, -v オプションで WMF/EMF ファイルをサポートし，BoundingBox
   の情報を出力できるようになった。

390. DVI ファイルに隙間を作って（複数の）ファイルを埋め込む dviout 独自の拡張
   DVI形式をサポートした。この隙間および埋め込まれたファイルは，dviout 以外の
   通常の dviware からは無視される。
   dviout は，取り込み画像ファイル，および HyperTeX でのターゲットファイルと
   してこのファイルを利用できる（埋め込みファイルの中に存在しなければ，従来
   と同じように探される）。ただし，複数の dviout が起動されている場合は，
   ２番目以降に起動した dviout は BMP/BMC 以外には対応しない。
   埋め込みファイルは，通常はWindowsのテンポラリディレクトリに必要に応じて
   展開されて（dviout 終了後は消去される）用いられるが，BMP/BMC画像ファイルの
   取り込みの場合はファイルに展開されず直接処理される。
   Help→Buffer Info. によって，埋め込みファイルがあればそのリストが表示され
   る。
   DVIファイルに対し，ファイルの埋め込み，取り出し，などを行う dviadd.exe を
   添付した。

391. PostScript ファイルの読み込みで作成される中間ファイルのファイル名は，
　 PostScriptファイルのファイル名が .eps か .ps のときは，その部分を .bmp
   あるいは，.bmc などに変えたものに，それ以外の場合は，.bmp や .bmc を付け
   加えたものにした（foo.ps → foo.bmc, foo.1 → foo.1.bmc etc.)。
   2つの foo.1, foo.2 などというPostScriptファイルの読み込みに対応するため。

392. DDE を使った [PrintFile()] のパラメータが OK: の時に正常に処理されない
　ことがあったのを修正（by Fanrong Kong)。

393. EMF(Enhanced Windows Metafile）によるページ出力をサポートした。
  これは自動的に patch2 のモードになるので，フォントにTrueTypeを使っていれば，
  Scalable で良質な画像が生成される。EMFは，Word など他のプログラムで取り込
  みが容易にできる。

394. \special{bmpfile= ...}, \special{PSfile= ...} などの Graphic specials の
  パラメータで，hsize= , vsize= の代わりに width= , height= も使えるようにし
  た。

395. 各和文フォントのサイズ情報を「亜」の文字から得ていたが，jfm からの情報
  は char_type=0 のデフォルトのものとし，縦書きの時の横位置の調整に用いる和
  文TrueTypeフォントのサイズの縦横比はフォントによらず一定であるとみなした。
  修正のための調整は，[WinJFont] で行う。



                               Ver.3.10.3

396. tar形式でパックされたDVIファイルをサポート。拡張子は .tar であるか .dvi
  以外で POSIX のtarである必要がある。拡張子が .dvi.tar のファイルの場合，
  たとえば，foo.dvi.tar ならばfoo.dvi というファイルを優先して探して表示。
  それ以外は拡張子 .dvi のファイルを探し，複数個あれば選択のダイアログが出る。
  tar形式ファイルの中のDVIファイルが読み込む画像ファイルやHyperTeXのターゲッ
  トファイル（ローカルなもの）は，まずそのtar形式ファイルの中から探される。
  tar形式ファイル中のディレクトリ構造は無視している。

397. HyperTeX のホットスポットやサーチで見つかった文字列を示すのに，文字の色
　づけと線との両方を同時に用いることができるようにした（青色で下線をつけるの
  がデフォルトになった）。



                               Ver.3.10.4

398. dviout の Windowsの外観を変更し，Windows下部にWarningや情報表示などの
  Windowが埋め込まれるようにした。さらにページ移動のボタンを新設した。
  関連して，フラット・スクロールバーのON/OFF，新設ボタンの表示・非表示，下
  部に表示されるInformation Windowのサイズ調整などのメニューを設けた（乙部）

399. pTeXの縦書きにおいて，LaTeX2e の graphics package を用いて \resizebox 
  などで縦と横のスケール変換をした場合，縦と横の解釈が逆になっていたのを修正
 （すなわち縦書きモードでは，縦と横とが通常の意味と逆になるように修正）。

400. [WinJFont] における平体／長体などの機能に若干問題があったのを修正し，
  MS-DOS 版に付属していた明朝の平体／長体の jfm ファイルと，対応する[WinJFont]
  のパラメータファイルを含めた（jvar.par を Option → Read Parameters で読み
  込むと，サンプル testlens.dvi を見ることができます）。

401. HyperTeX のホットスポット上にカーソルが移動すると，カーソルの形状が変わ
  り，リンク情報がステータスバーに表示されるようになった（乙部）。

402. 内部プログラムによる monochrome GIF ファイルサポート部分を削除。従って
  \special{giffile=...} はサポートされなくなった。

403. Intelli Mouse Explorer に対応。側面のボタンに Backward History, Forward
  History の機能を持たせた（乙部）。

404. Visual C Ver.6.0 でコンパイルしたものは初期Windows95の下では Property 
  Sheet が開かない，という不具合を修正。



                               Ver.3.11

405. History からファイルを開く場合，実際にそのファイルが存在しないときには
  そのことを示すダイアログを出すようにした。

406. DVIファイルのパス名が長い場合，アプリケーションエラーが起きることがあった
  のを修正。

407. patch2 や auto mode(p2) での印刷，および，EMF 出力においてページカラーが
  有効でなかったのを修正。

408. Visual C 6.0 でコンパイルしたものを公開版とした。また，乙部氏の ttmin.lzh
  は新版の winttf.lzh と交換。

409. 2ページ表示モードでメニューのチェックが常にされない状態になっていた不具合
  を除去（乙部）

410. 2ページ表示モードおよび4,16ページ表示モードで印刷後表示が不正になっていた
  不具合を除去（乙部）

411. Paper Menuを設け，紙面サイズを大幅に増やした。これに伴い，Landscape のス
  イッチを Paper Menu に移した（乙部/SHIMA）

412. プレゼンテーション・モードの新設（乙部/SHIMA）
   移行やおよび復帰は [ESC]キーによる。このモードでは

 ・メニューバーなどの枠がなくなり全画面を使って紙面が表示される。

 ・プレゼンテーションの画面は以下の5つから選択できる。
   white screen:      白の紙面と背景，黒の文字
   black screen:      黒の紙面と背景，白の文字
   color screen:      色が付いた紙面に対応（\pagecolor などを用いる場合）
   black background:  黒の背景
   white background:  白の背景

   white screen, black screen 以外では，ページ移動やルーペで画面がちらつくこと
　 があるかもしれない。
   
 ・Disply → Size → Fit, Full は全画面に紙面が適合するよう gray scale を使った
   縮小と，-e: -varf: を使ったpixel単位の拡大・縮小が併用される。
   Fit（デフォルト[5]キー） では，紙面が全画面に丁度入るように縦横等倍で最大化
   される。
   Full（デフォルト[6]キー) では，縦または横の紙面が丁度全画面に入るように縦横
   等倍で最大化され，画面に余白がなくなる。

 ・cross pages や 16 pages（デフォルト[8], [9]キー）などを利用すると便利

 ・プレゼンテーション用の紙面サイズ（SVGA, XGA, SXGA, UVGA）を設けた

 ・現時点では，タスクバーが「常に手前に表示」かつ，「自動的に隠す」になってい
   ると（タスクバーでマウスの右ボタンをクリックしてプロパティーを選ぶ），全画
   面表示にならないで，タスクバーが残ってしまうようである。

413. Display → Seamless Hyperjump を設けた。
   プレゼンテーション用が主目的である。セキュリティー上で問題ないことが分かっ
   ているHyperjumpが使われているファイルの場合にのみ指定する。

414. dvioput special の \special{dviout [macro]} を設けた。
   [macro] は，-macro: におけると同様な指定をすることにより，dviout のパラメー
   タ変更やキー操作を，DVIファイルから直接操作することができる。たとえば，

   \special{dviout -y=A6L}

   などとする。

　 マクロの実行や定義に変化を及ぼすキー操作は，小文字に直して書く（たとえば，
　 次のページへの移動で，次のページにまたマクロがある場合など）。大文字の場合
　 は即座に実行されるが，小文字が混ざっているとそのページのマクロの解釈が全部
   終わった後，キー操作が全て順に実行される。Windowsレベルでは，SendMessage()
   と PostMessage() の違い。ただし，PostMessage() で実行されるキー操作で，実
   行時に画面書き換えの PostMessage() を生成するものがあるので注意。

415. dviout specials の ON/OFF のスイッチをメニューバーに設けた。

416. dviout specials を HyperTeX でもサポートした。

    \special{html:<a href="dviout: [macro]">} ... \special{html:</a>}

    のように指定する。

417. HyperTeX specials で実行ファイルを起動するとき，実行ファイルの拡張子の
   後に ^s を書いてその後に起動するときのパラメータが指定できるようになった。

418. dviout specials の機能拡張

   \special{dviout `<key> <parameter>}  をサポート。

  ・\special{dviout `timer <number>} , \special{dviout `wait}
　   次に続く dviout specials の実行までに <number>/1000 sec の時間を空ける
    （ほかのページやdviファイルに移動した場合は，もとのページのこの special
     より後に書かれた未実行の dviout speicals はキャンセルされる）。
     <number> が 0 の時は，それより前の dviout specials の処理が完了するの
     を待って，次の dviout specials を解釈することを意味する。

   `timer <number> の後ろに空白を空けて，その後に実行する dviout specials を
   続けて書いてもよい。

   また \special{dviout `timer 0} は，\special{dviout `wait} と書いてもよい。
   さらに

     \special{dviout <macro>}
     \special{dviout `wait}
     \special{dviout ....}

   は，一つにまとめて

     \special{dviout <macro> ; ....}

   と書くことができる。

   たとえば，各ページに

     \special{dviout `timer 60000 Je}

   と書き，最後のページには

     \special{dviout `timer 60000 Jt}

   などと書いておく（60秒後に次のページへ。最後のページの次は先頭ページへ）。

  ・ ブロック化    `"...."`
     `timer を除く dviout specials は，`" と "` で囲ってブロック化することに
     より（間に `wait が挿入され），後にさらに dviout specials を続けることが
     できる。たとえば，

     \special{dviout ...}
     \special{dviout `wait}
     \special{dviout ......}

     は，

     \special{dviout `"..."` ......}

     と書くことができる。


  ・\special{dviout `href <parameter>}
     <parameter> の中身は，HyperTeX の \special{html:<a href=".....">}
     における ..... の部分と同様に解釈されます。ただし，dviout:... は使えま
     せん。

   たとえば

   \special{dviout `href file:foo.mid}


 ・\special{dviout `keep <parameter list>} により，<parameter list> のパラメ
    ータを記録しておく。別の dvi ファイルの表示に移動した場合や，
   \special{dviout `restore} によりその値が復元される。

   パラメータが記録されていると，\special{dviout `keep ...} は無視され，上記
   復元を行うと，記録は解消される。たとえば

   \special{dviout `keep cmode y BMP}

   などのように書く。


 ・\special{dviout `message <MESSAGE>} により，<MESSAGE> が情報Windowに表示さ
   れる。

   <MESSAGE> は，`' と '` で囲むことにより，ブロック化することができる（ブロッ
   ク化すると，その後に空白を空けて dviout specials を続けても良い）。ブロック
   化した場合，その中に `' を入れて区切って複数行に分けることができる。複数行
   になった場合，最初の行はタイトル，その後の行はすべてメッセージの本体とみな
   される。たとえば，

   \special{dviout `message `'Warning`'Test Page`'January 2000'`}


 ・\special{dviout `ask `'<MESSAGE>'` `yes ... `no ...}

   <MESSAGE> を表示して，Yes か No を答えるダイアログが開く。Yes を選択すると，
   その後の `yes を探し，それが存在すればそれ以下の `no が現れるまで，現れな
   ければ最後までの dviout special を実行する。No を選択した場合も同様。
   <MESSAGE> はブロック化されていなければならない。たとえば

   \href{dviout:`ask `'Direction`'Landscape?'` `yes -y=A4L !i `no -y=A4P !i}
   {Change Direction}

419. プレゼンテーション・モード にカバーシート(cover sheet)機能を導入した。
   このカバーシートにより，表示紙面の一部を隠して表示できる。隠す部分を指定す
   るカバーシートはカーソルや pause special を利用して動かすことができる。

 ・メニューバーの View → Cover sheet のチェックにより，この機能が有効になる。

 ・カバーシートは，下方，右方，左方，下および右方，下および左方，を隠すものの
   の5種類ある。それは，メニューバーの View → Cover type で指定される。
   最初のものは上下，次の2つは左右，最後の2つは上下左右に動かすことができる。

 ・カバーシートをカーソルで動かすには，マウスの左ボタンを押し下げたた状態で
   （必要ならマウスの右ボタンをクリックして）マウスの形を上下・左右の矢印にし
   てマウスを移動すればよい。全ページが画面に入っているならば，マウスの右ボタ
   ンクリックは不要。カバーシートの境界が画面上に入っているときは，そこにカー
   ソルが移動し，マウスの左ボタンを放すと，カーソルは元の位置に戻る。

420. \special{pause} の新設
   \special{pause} を入れておくと，[Space]キーを押す毎に先頭の \special{pause}
   を置いた場所から順にカバーシートが移動する。すなわち

　 [Space] を押すと，そのページの次の \special{pause} の位置にカバーシートが
　 移動する。次の \special{pause}　がそのページに存在しなければ，カバーシート
　 が除かれた表示となるが，すでにカバーシートが除かれていれば，次のページに移
　 動する。次のページに移動した場合，先頭の \special{pause} の位置にカバーシー
　 トが置かれるが，そのページに \special{pause} が存在しなければ，カバーシート
　 でそのページが全て覆われる。

   よって，\special{pause} の存在しないページでは，[Space] はそのページのカ
   バーシートの除去を意味し（マウスを使ってカバーシートを動かした後でもよい），
   再度押すと次のページへの移動となる。

   ただし，Cover Pause のモードや，\special{pause 0} があった場合は，前のペー
   ジからの[Space]による移動で，カバーシートが除かれて表示される。

 ・\special{pause 0} とすると，そこでカバーシートが除かれた（紙面が全て現れる）
   表示となる。

421. プレゼンテーションモードのとき cover sheet を扱うためにいくつかのファンク
　ションキーに以下のような機能を定義した（これは，他のキーにも定義可能）。

   F5  On : カバーシートを使う。プレゼンテーションモードでは，そのページを全て
            カバーシートで覆う
   F6　Off:  カバーシートを使わない
   F7　Suspend :  カバーシートを一時的にはずす 
   F8  Return : 元のカバーシートがあった場所に戻る
   F9  On for Pause: \special{pause} があるページでは F5 と同じであるが，ない
       ページでは cover sheet で覆わないで始める。

　 上記は全てプレゼンテーションモードのときのみ意味をもつ。従って，プレゼンテ
　 ーションモードでないときの上記ファンクションキーには，別の機能が定義できる。

   上記 Suspend を行うと，カバーシートを用いていた場合はそのファイルの当該ペー
   ジが「もとのカバーシートがあった場所」として登録更新される。

   一時的にカバーシートがはずされている状態で（他のファイルやページに移った後
   など），「もとのカバーシートがあった場所」に戻ってくれば，自動的にカバーシ
   ートを使うモードになる。

   上記の Return で，「もとのカバーシートがあった場所」に戻ってカバーシートを
   使うモードになる。

   上記の Off の実行や HyperTeX などによるジャンプは，上記の Supspend を自動
   的に行ってからなされる。

422. IntelliMouseを使っている場合，ホイールを押しながらの回転でページ移動がな
　 されます。このとき，マウスの左ボタンをも押していると，前ページの最後，ある
　 いは次ページの先頭へのページ移動になります。

　 プレゼンテーションモードでカバーシートを使用し，ホイールを押しながらの回転
   によるページ移動で，マウスの左ボタンを押していない場合は，Suspend の状態に
   なりますが，左ボタンを押している場合は，[Space] を押すのと同様の結果で，
   Suspend の状態にはなりません。

423. 縦と横の縮小率が異なるとき，HyperTeX のホットスポットや文字列検索で見つ
　　かった文字列の色づけやアンダーラインが正しく行われていなかった。

424. EPSF以外の取り込み画像が HyperTeX のホットスポットになっているとき，実際
    のホットスポットがベースライン付近のみとなっていたのを修正。

425. Reverse などで紙面が黒の時，ルーペの枠や目盛りを白線で表示するようにした。

426. ルーペで背景を default とすることにより，紙面に色をつけた場合でもルーペの
   移動でのちらつきを押さえるようにした。

427. メニューバーにプレビュー画面の背景色の設定メニューを設けた。環境によって
  はスクロール時に画面にちらつきが生じることがあるが，それを軽減するため。

428. プレゼンテーションモードでは，マウスを動かしたときのみマウスカーソルを表
  示するようにした。一旦表示されても，2秒以上動かさないとマウスカーソルが消さ
  れる。

429. プレゼンテーションモードで，マウスの左あるいは右ボタンクリックの機能を
  [Space]キーと同じになるよう変更するオプションを設けた。また，メニューバーに
  Presentation の項を新設した。

430. anti-aliasing において，\pagecolor（紙面の色）を考慮するようにした。

431. 反転画面で色が重なった場合の anti-aliasing 処理に一部バグがあったのを修正。

432. !A および !B というKeyIDを設けた。!A で画面の書き換えを抑制し，!B で抑制
　を解除する。Presentation Mode で不要な画面書き換えを抑制するのが主目的。

433. cover sheet に Scroll to Pause の機能をつけた。この機能が有効になっていて
  紙面が画面に入らずにスクロールが必要なとき，[Space]キーを押すと，対応する
  \special{pause}の位置が画面に入るように，最小限のスクロールを行う。
  cover sheet 機能が無効のときは，この機能も有効でない。

434. LaTeX2e の graphics package の \includegraphic を使って，pLaTeX の縦書き
　で画像を取り込むと，90度回転されるのが仕様なので，dviout もそれに合わせた。
　縦書きでも回転せずに画像を取り込むには，取り込みの special のパラメータに
  truedirection と指定すすることとした。

435. Virtual fonts から TrueType フォントを使う場合，-cmode: が patch2 になって
  いても（たとえばデフォルトの印刷時）Windows API を用いたフォントの展開でない
  ことがあった。

436. メニューバーの File あるいは File → History で表示される DVI ファイルを
　選択する際 SHIFT キーを押していると，その DVI ファイルでなくそれが存在する
  フォルダが開くようにした。一方 CTRL キーを押していると，履歴に関わらず最初
　のページから表示される。さらに，CTRL キーと SHIFT キーの両者を押していると
  最後のページから表示される。

437. MikTeX と yap によってサポートされている source specials を，dviout でも
  解釈するようにした。source specials とは，TeX コンパイラによって special と
  して TeX のソースファイル名とソースの行番号の情報をDVIファイルに埋め込んだ
  ものであるが，それを元にプレビューアとエディターとの間の相互ジャンプが実現
　される。
　これに伴い，エディターを呼び出す手続きを設定するパラメータ -src: を設けた。
  また従来のプロパティシート [Loupe] を [Common] と改名し，-src: を入れた。

 ・source specials は，TeX コンパイラにより DVI ファイルに挿入される。各段落の
　 初めなどに，TeXのソースファイル名とソースでの行番号の情報が次のような形式で
   記述される。

      \special{src:235 foo.tex}

 ・source specials が設定されていれば，SHIFT + マウスの左ボタンクリックでの文
   字列取得で，[Execute] ボタンが [→src] ボタンとなり，それを押すと -src: の
　 指定に従ってソースファイルにジャンプできる。
   この機能は，Option → source specials によって無効に出来る。

 ・CTRL キーとマウスの左ボタンを押したまま，マウスの右ボタンを押すと，-src: の
   記述に従ってソースファイルにジャンプできる。こちらは縦位置（縦書きモードで
   は横位置）のみしかチェックしていないので，多段組などで不正確なジャンプとな
   ることがある。

 ・-src: は例えば以下のように指定する。

      c:\usr\local\bin\mule.exe^s+%d %s

   ここで，^s は実行ファイル名とパラメータとの区切りを，%d, %s はそれぞれ行番号
   とTeXのソースファイル名を表す。なお %s の代わりに %n とすると，拡張子を除い
　 たものが代入される。-src: が空で環境変数 TEXEDIT が設定されているときは，そ
   れが用いられる。

     秀丸を使う場合は，dviout のメニューバーから Option → Setup Parameters 
   → Common において -src: を

      c:\Program Files\Hidemaru\Hidemaru.exe^s/j%d "%s"

   などと設定し，秀丸の方は，その他 → 動作環境 → 設定の対象 → 排他制御
   → 秀丸で同じファイルを開く場合 → ファイルを読み込みなおしする

   を選択するとよい。

     DDEコマンドを指定することも可能で，そのときは ` ` で囲んで，DDEのサービス
   名，トピック名，XTYP_EXECUTEトランザクションで送る文字列を順に1文字の空白で
   区切って指定し，その後に DDEサーバが DDEML に登録されていない場合の処理を
   書く。たとえば，

     `myedit myedit [Open(+%d %s)]`c:\Program Files\myedit.exe^s+%d %s

   とする。なお，後者の ` を `` とした場合は，DDEサーバが登録されていない場合，
   `` 以下の処理を行ったあと最初のDDEコマンドを実行する。
     また複数の XTYP_EXECUTEトランザクションを指定する場合は，それらを | で区
   切って書く。

     なお，DDEが設定されていないときは，

      `srctex srctex %s: %d`

    が -src: の先頭についていると解釈される。一方 -src: に単に tag などと設定
    すると →src ボタンを押したとき，%s: %d に対応するタグジャンプ形式の文字列
    が表示される。

 ・source specials を用いてソースのある行番号付近を dviout に表示させるには，
   コマンドラインからは

      dviout foo.dvi "# 345 foo.tex"

   のように指定する（# の後に空白１つが必要）。DDE の場合も同様で OpenPage で

      # 345 foo.tex

  を指定する。これらにおいてTeXのソースファイル名を * と書くと，ファイル名の
  チェックを行わないことを意味する。

438. TeXのソースファイルに source specials を埋め込むフィルタープログラム
   srctex.exe を作成した。これは，\special{pause} の埋め込みにも使用できる。
   たとえば，以下のいずれでも foo.tex に source specials を埋め込んだ tmp.tex 
   が作成される。

     srctex foo
     type foo.tex | srctex -sfoo.tex > tmp.tex
     srctex -ifoo.tex -otmp.tex

   なお，たとえば

     srctex platex foo

   とすると，foo.tex が source specials を埋め込んだ tmp.tex に変換された後
   platex tmp.tex  が実行され，tmp.dvi が作成される。このとき，tmp.dvi を 
   dviout で preview すると，エディターを介して foo.tex と dviout の画面との
   間で，相互ジャンプが可能になる。

     srctex -ifo.tex -of1.tex platex foo

   とすると，fo.tex が source specials を埋め込んだ f1.tex に変換された後
   platex foo  が実行される。

     srctex -x foo.tex

   とすると，foo.tex から source specials が削除される。

   srctex のデフォルトの動作を変更するには，special\srctex.cfg を参照し，それ
   を変更して，-C オプションで読み込めばよい。

439. CTRL と SHIFT キーを押してマウスの左ボタンをクリックすると表示される文字
   情報は，その文字の DVI ファイル中の位置，および source specials があれば，
   TeXファイルでの行位置の情報も含めて，情報ウインドウに出すようにした。

440. １つの空白の後に続けて指定することにより，HyperTeX のアンカーやsource 
   special による文字列サーチ（その場所へのジャンプ）が出来るようにした。
   たとえば

   " name1"	    HyperTeX のアンカー name1
   "  234 foo.tex"  source specials による foo.tex の 234行目（先頭は空白2つ）
   "  234 *"        source specials による 234行目（先頭は空白2つ）

441. 現在のページの HyperTeX の URL, アンカー および source specials の一覧を
   情報ウインドウに表示する機能を設けた（メニューバーの Help から）

442. srctex.exe のための utility convedit.exe を作成した。
   srctex.exe で DVI ファイルを作成するとき，途中で *.tmp という中間ファイルが
   作成されるが，TeX コンパイラでのエラー処理でのエディター呼び出しで，もとの
   *.tex を編集するためのもの。たとえば

     srctex platex foo

   とするとき，convedit mule +%d %s に対応して

     convedit mule +100 foo.tmp

   が実行されると，実際は

     mule +100 foo.tex

   に変換されて実行される。

443. Susie plug-in による画像の読み込みに一部不備があったため，画像によっては
   読み込めないことがあった。

444. EPSF以外の画像取り込みに関して

     \special{em: graphic <graphic_file>,<width>,<height>}

   の形式をサポートした。これは

     \special{bmpfile=<graphic_file> hsize=<width> vsize=<height>}

   に変換されて解釈される。

445. 長さの単位として bp をサポートした。1 inch = 72 bp である。これは 475. の
   <width>,<height> にも使用できる。

446. gzip で圧縮した画像ファイルも取り込めるようになった。そのためには

       拡張子は，元のファイル名の末尾に .gz を付加したもの
       gzip -d <file_name>.gz  または gunzip <file_name>.gz によって 
       <file_name> が復元される

   という条件が必要。これにより，たとえば LaTeX2e の graphicx.sty のもとで

     \includegraphics[height=10cm][images/golfer.ps.gz]
     \includegraphics[width=8cm,height=5cm][picture.tif.gz]

   などという使い方が出来るようになった。

   同様に，gzip で圧縮した DVI ファイルも直接読み込めるようになった。

447. WindowsNT/2000において，縦書き和文TrueTypeフォントの変形（平体，長体）
   された画像データの取得に関してWindows95/98と互換性がなかったため（どちらか
   がバグであろう），表示が正しくなかった。この現状に対処した。

448. ルーペの時にマウスカーソルを消すオプションをつけた。



                               Ver.3.11.1

449. HyperTeX における，\special{html:<base href="...">} をサポートした。ただ
  し，これを用いたホットスポットが有効になるには，同じページにこの \special が
　があるか，それの存在するページを既に表示している必要がある。あるいは，dviout
  special の `initialize を使う。

450. src=... を install.par や dviout.par に書いた場合，dviout の起動時に設定
  されなかったのを修正。レジストリにも設定してあれば，そちらが優先される。
  なお，レジストリの設定を消すには，Option → Setup Parameters... → Common の
  src: を空にして，[Save] を押す。

451. 縮小印刷の後，紙面サイズがもとに戻らないことがあったのを修正。

452. 縦書きの和文に Virtual Font 経由で和文TrueTypeフォントを使うと，文字が90度
　回転してしまうことがあったのを修正。

453. Enhanced MetaFile形式で，表示ページを画像出力すると，その後文書の先頭に
　戻ってしまっていたのを修正。



                              Ver.3.11.2

454. Ghostscriptやメタフォントの起動で，タスクバーに最小化したWindowsを出して
　いたが，Windowsを出さないようにした（乙部）

455. Borland C++ 5.5 (Free Version)用の Makefile (Makefile.b55）を添付。
  dvioutbcc55.def, dvioutbcc55.rsp も同じディレクトリに入れてコンパイルすれば
  よい（角藤）。



                              Ver.3.11.3

456. DDEのXTYP_EXECUTEトランザクションで，[Function(key)]を使うとエラーが生じ
  ていたのを修正。

457. graphics package を使って多数 (十数個) の pbm file を貼込むと ! No room 
  for a new \read  で止まってしまうことがあったため，dviout.def を修正（松田）

458. Source specials で，-src: が設定されていない場合，環境変数 TEXEDIT によ
  る処理が正しく行われていなかったのを修正。

459. graphics packages の color.def で，余分に空白が入ってしまうことがあったの
  で dviout.def を修正（乙部）

460. メニューバーに Reverse move button を設けて，メニューバーのページ移動ボタ
  ンの移動方向を逆にできるようにした（乙部）

461. Down to next page, Up to previous page の機能をつけた。前者は，紙面の途中
  を表示していれば，再下部の表示に，最下部を表示していれば次のページの最上部の
  表示にと切り替える機能。後者は，紙面最上部 → 前ページ最下部となる。

462. 手の形のマウスカーソルのときも，ALT+F4 で dviout が終了するようにした
（乙部）

463. dvioutのアイコンにDVIファイルなどのショートカットをドロップしたときも，
  リンク先のファイルとして正常に処理できるようにした（乙部）



                              Ver.3.11.4

464. PSfrag への対応を行った（松田）。
   PSfrag における文字列の置き換えを実現するには，以下の操作を行っておく。

   Ghostscript が参照する環境変数 GS_LIB に指定したディレクトリに PSfrag 付属
  の psfrag.pro というファイルをコピーしておく。

   PSfrag package(Version 2)に付属していた ps2frag.ps も同じ場所にコピーしてお
  く（このファイルは，dviout のパッケージに付属）。

  拡張子 .pfi のファイルが作成されるが，それをたとえば

   dviadd foo.pfi foofoo.dvi 

  としてDVIファイルに埋め込んでおくと，そのDVIファイルは，ps2frag.ps がなくて
  も dviout でも dvips でも同じように扱える。

  なお，PSTricks の一部の機能が対応された。

465. dviout special の <key> として initialize がサポートされた。これは
  \special{dviout `initialize <macro>} として dvi ファイルの先頭に置くことに
　より，dviout がこの dviout を読むときに最初に実行される。先頭でないページ
　から読むときも有効である。
  dvi ファイルの先頭に置くには，最初のページの冒頭に

    \AtBeginDvi{\special{dviout `initialize -y=B4L}}

  のように書く。再度これを実行したいときは，その場所に

    \special{dviout `initialize}

　と書いておく。

466. Loupe がスクリーンの端にきても，端からはみ出ないようにするオプションを
  つけた（菅野）。

467. Presentation Menu に Cut edge 機能を入れた。全ページをスキャンして上下左
  右の空白を削る機能で，トグルスイッチ。パラメータ -edge: で残しておく空白の幅
  を指定することができる。

468. -TEXPK: で，^F\ または ^F/ の指定をサポートした。これは，dviadd で DVI
  ファイルにフォントを取り込んで使うことを意味する。dviout や DVI ファイルを
  CD-ROM などに入れ，その DVI ファイルを表示することなどが出来る。

　たとえば，-dpi=300 で cmr10.300pk と cmr10.360pk のみを使うDVIファイル 
  test.dvi は，そのソースの最初の部分が

    \AtBeginDvi{\special{dviout `initialize -dpi=300 -TEXPK=^F/^s.^dpk}}

  となっていて

    dviadd  cmr10.300pk cmr10.360pk test.dvi

  を実行して test.dvi の中に cmr10.300pk と cmr10.360pk とを組み込んでおけば
  test.dvi の表示には外部のフォントファイルが不要である。

  このようなフォントを使うと，フォントのキャッシュ機能(-Fkeep)は Off になる。

469. dviout special の `initialize に page というオプションを設けた。これは
  各ページの冒頭で実行することの指定を意味する。また，dviout special に `sp 
  というキーワードを設け，TeX の special をそのあとに指定してその実行を意味す
  る。たとえば

    \AtBeginDVI{\special{dviout `initialize page `sp backgound Yellow}}

　などのように用いる。

470. \special{papersize=<width>,<height>} をサポートした。たとえば
  \special{papersize=21cm,297mm} のように指定する。指定は -y= のパラメータの形
  式，たとえば \special{papersize=A4L} などでもよい。なお DVI ファイルの冒頭に

    \AtBeginDvi{\special{papersize=29.7cm,21cm}}

  のように指定しておけば，dviout の表示が最初のページからではない場合も，この
  指定が最初に解釈される。
  このオプションは，一つのDVIを開いてから閉じるまでの間で，最初に解釈されたも
  のみが有効となり，後は無視される。

471. dviout のパラメータ指定で読み込むファイルの DVI ファイルへの埋め込みをサ
  ポートした。-TEXPK: の指定と同様にファイル名の先頭に ^F\ または ^F/ をつけて
　指定する。たとえば

    \AtBeginDvi{\special{dviout `initialize -ftt:^F/ttfonts.map}}

  などのように用いる。

472. \special{dviout `initialize ...} におけるパラメータの初期化において，ファ
  イルの所在を ; で区切って複数定義可能な TEXPK, TEXFONTS, TEXKNJ, gdat に対し
  パスの追加をサポートした。そのときは，パラメータ名の前に - でなくて + をつ
  け，先頭に追加する場合は追加定義するパスの末尾に ; を，末尾に追加する場合に
  は先頭に ; をつけてどちらかを指示する。この \special{dviout ... } での追加
  定義の一つには，一つのパラメータ名の追加のみが定義でき，その他の指定はでき
  ない。また，既に定義されているものの一つと同じパス名の追加は無視される。
  たとえば

    \AtBeginDvi{\special{dviout `keep TEXPK}}
    \AtBeginDvi{\special{dviout `initialize +TEXPK=^F/^s.pk;^F/^s.tfm;}}

  のように DVI ファイルに書く。その DVI ファイルを読み込む前の TEXPK が

   ^r\tfm\\^s.tfm;^r\pk\\^s.pk

  であった場合は，この DVI ファイルを表示中のみ

    ^F/^s.pk;^F/^s.tfm;^r\tfm\\^s.tfm;^r\pk\\^s.pk

  と変更される。この場合は，^F:/^s.pk;^F:/^s.tfm が TEXPK に既に定義されて
　いるかどうかのチェックがなされるので，再度同じものを追加する指示があって
  も無視される。

473. 初期化に無駄な部分があったのを修正（DVIファイルの読み込みの際，ポストア
  ンブルの解釈を２重に行っていた）。

474. Property Sheet の [WinJFont] の tfm/jfm の文字数の制限をはずした。

475. -cmode: が patch2，または，automode(p2)での印刷のとき，欧文と和文の間の 
 baseline の調整（-J:）が行われていなかったのを修正。

476. -Jbt: オプションを設けた。これが ON のときは，Windowsの和文TrueTypeフォン
 トのbaselineを，対応するjfmファイルの標準character typeのheight:depthに応じて
 調整する。min10.tfm や jis.tfm などの通常のjfmファイルでは，この比の値が標準の
 値となっているため，ON/OFF いずれでも結果は同じ。

477, プレゼンテーションモードで，Fit/Full 機能を使用中は，用紙サイズ変更が無効
 になるようにした。対応して，プレゼンテーション中での Fit/Full 解除キー !F を新
 設した。

478. いくつかの標準的な拡張子をもつ画像ファイルを Susie plug-in を使って読み込
 むとき，標準として提供されている plug_in が存在しないと，読み込みに失敗してい
 たのを修正。

479. -ftt: で読み込まれる ttfonts.map のフォント名のソートをクイックソートに変
 更した。

480. Windowsの和文TrueTypeフォントの使用において，TeXでの幅の狭い文字で幅の食
 い違いが生じた場合，文字コードによって調整する従来の方法でなく，jfmファイルに
 おける標準文字とのglueを元に調整を行う方法も選択できるようにした（-Jgt:）。
 主目的は，「仮名詰組版」を jfm ファイルを使って実現するため。



                              Ver.3.11.5

481. プロポーショナル和文TrueTypeフォントに対応した。対応する winttf.lzh およ
 び，jfm ファイルの作成プログラム propw が新たにパッケージに加わった。詳しく
 は，FONT\newjfm.txt と FONT\propw.txt を参照。

482. min*, goth*, tmin*, tgoth*, jis, jisg, jis-v, jisg-v, newmin, newgoth の
 jfm ファイルの必要な情報が dviout に内蔵された。和文を扱う際に min10.tfm や 
 jis.tfm などを必要としなくなった。これを使わない場合は，[JFont2] の -Jfm: を 
 Off にします。

483. 内蔵dviprt機能で印刷する場合，LPT0 を選んだ時の動作を「デフォルトのプリン
 タ」から「選択中のプリンタ」(カレントプリンタ)に変更した（松田）。

484. -ftt: で参照されるフォントマップファイル（ttfonts.map が添付）から，他の
 フォントマップファイルを読み込めるようになった（ネスティングも可）。

  %input	<file_name>

 のように書く。ファイルは，-ftt: で指定したファイルのあるディレクトリに置き，
 ファイル名のみを指定する（あるいは，そこからの相対パスで指定してもよい）。
   また，このファイルで TeX のフォント名に対応する TrueTypeフォント名の欄を，
  - と指定しておくと，そのTeXのフォントに対してWindowsのTrueTypeフォントを使用
 しない。

485. 用紙指定の種類を若干増やした（乙部）

486. ファイルメニューに Automatic Save を設け，表示中の各ページを自動的に画像
 ファイル（BMP または EMF）としてセーブする機能を設けた（乙部）

487. TEXPK における(tfm/jfm)ファイルの指定で，^s.tfm の変わりに ^s^tfm とする
 とWindowsに登録されたTrueTypeフォントのみを指す。和文のVirtualフォントを使う
 とき，^s.vf の前に指定すると便利。

488. Virtual Font における各文字の位置情報のテーブルを作成して参照するように
 変更した。



                              Ver.3.11.6

489. DVIファイルで使われているファイルの -TEXPK: に基づいた解決を，そのフォン
 トが初めて使われるときに行うようにした（オンデマンドフォント検索）。これによ
 り，起動が高速になった。従来通り，起動時に解決するには，[Font2] の -Fod: 
 (Font search on demand) のチェックをはずせばよい。

490. オンデマンドフォント検索でフォント見つからなかった場合，対応するtfm/jfm/vf
 が見つかっていればそれに基づいて正しい空白を開ける。そうでなければ jis.tfm に
 基づいて空白を開ける。フォントの自動生成機能が有効で，それにも失敗していた場合
 以降見つからないフォントがあった場合に自動生成を試みるかどうか選択できる。なお
 ここで自動生成を止めるように変更しても，別のDVIファイルに移れば元に戻る。

491. Paper size を Post Card や HalfLetter を指定すると，Landscape などが機能
 しなかったのを修正。

492. 和文フォントのサイズの基準を，「高さ+深さ」から「幅」に変更。通常のjfm
 ファイルでは（付属の平体，長体のものも含めて）結果に差異はない。

493. フォントのサーチのとき，そのフォント名をステータス・バーに表示するように
 した。フォントのパスのキャッシュや内蔵のjfmファイルが使われる場合は，表示され
 ない。

494. 表示の自動更新（Auto Renew）がONのとき，表示中のDVIファイルを再生成中に
 dvioutのWindowをアクティブに変更すると，不完全なDVIファイルのためエラーが起き
 て表示が消えてしまっていた。それを修正。



                              Ver.3.12

495. 付属の winttf.lzh を乙部氏による最新版の ttmin13.lzh (Feb. 2, 2001) に。

496. Font OnDemand が ON のとき，virtual font が virtual font を使っていると
 エラーが起きたのを修正。

497. Font OnDemand が ON のとき，NTT JTeX のフォントの代替機能（-ntt:）を ON
 にしているとエラーが起きたのを修正。

498. 文字列検索における「単語単位で探す」と「大文字と小文字を区別する」の設定
 が，dviout を終了したあとの再起動後も引き継ぐようにした。

499. virtual font を用いて Windows TrueType Font を使った場合，patch2 モード
 や印刷の際にエラーが生じることがあったのを修正。

500. PSfrag を使ったPostScriptファイルを読み込む場合，*.pfi ファイルのタイム
 スタンプをチェックしてPostScriptファイルより古ければ *.pfi を再生成するように
 修正。

501. -G: オプションで，複数の指定が可能になった。さらにこのオプションは，プロ
 パティーシートから設定可能になった（[JFont2]）。



                            Ver.3.12.1

502. -TEXROOT: において ; で区切ることにより，複数の指定が可能になった。

503. フォントのパスのセッティングのための [Guess] で，MikTeX の環境があれば，
 それをRegistryから読むようにした。

504. JISコード上位（0x8000以上）の文字を SHIFT+Mouseボタン左クリック で取得
 しようとすると，エラーが起きたのを修正。

505. dviout.sty を更新（乙部氏）

506. フォントパッケージを更新（乙部氏）

507. Susie がインストールされているとき，plug-in のサーチパスに Susie での
 設定も加えた（Registryから取得）。

508. 乙部氏の createBB.exe （Graphic ファイル用の *.bb ファイル作成のための
 インタフェース。要bmc.exe）を添付。

509. Help → System Info. を新設した。これは，dviout が動作する基本的な環境
 を表示する。

510. [Guess] ボタンを押して，TEXROOT/TEXPK にデフォルトの値を設定することが
 できるようにした（デフォルトで動く環境が大部分となったため）。

511. tpic special での座標の精度を上げた（従来は，最悪 2 pixel の誤差が生じ
 る余地があった）。

512. 回転の合成により単に平行移動となった場合，patch2 での出力位置が正しくな
 いことがあったのを修正。



                             Ver.3.12.2

513. 画面の矩形領域指定の機能を付加した。Display → Region
 On: SHIFTボタンを押しながら，マウスの左ボタンクリックで，左（上）の点を，右
     ボタンクリックで右（下）の点を示して，矩形を指定する。初期状態は，全紙面。
     On の選択は，この機能の ON/OFF の切り替え
 Cut: 矩形領域を切り出して，それを紙面にする
 Recover: カットを行う前の紙面に戻る
 help → Information で，矩形領域の位置と，対角線の長さが表示されるので，２点
     間の距離を求めるのにも使用できる。

514. 画面を画像データファイルとして書き出す機能（File → Save as a Image）で
 矩形領域が選択されていれば，紙面全体でなく，その領域を画像データとして切り出
 すことが出来るようにした。

515. 画面を画像データファイルとして書き出す機能で，BMC画像形式に対応した。

516. [Font2] の ftt: ボタンで，ttfonts.map が dviout のディレクトリに存在すれ
 ば，^x\ttfonts.map と設定するのをデフォルトとした（cf. 621）。

527. ifbmc.spi (BMC画像ファイル用 Susie plug-in）に不具合があったのを修正し，
 それを Ver.0.2 とした（Susie 以外のものから使われる場合に不具合の可能性があっ
 た）。

528. 画像データ出力で，ABC 出力プラグインをサポートした。ex<TYPE>.xpi という名
 前の DLL で，<TYPE> は bmp, png, jpeg などが公開されている。この DLL を dviout
 のディレクトリ，あるいは，-spi: または Susie のインストールディレクトリか，
 その下の exp_plug に入れておくと認識され，それらの画像形式での出力が可能とな
 る。出力の画像形式は，拡張子で認識される。png 出力が 1/4/8 bit colorで使用可
 能。jpeg, j2k は 24 bit color のみサポートなので，これらは dviout で使用でき
 ない。expng.xpi は，以下で開発／提供されている。

   http://www.asahi-net.or.jp/~kh4s-smz/

529. NTT JTeX で，和文フォントをアスキーのpTeXの和文フォントで代替し，OnDemand
 (Fod:）を On にしていると（Ver.3.12 以降），和文フォント取得に失敗することが
 あったのを修正。

530. bmc.exe が ABC 出力プラグインに対応した。-x オプションで Susie plug_in 
 を使って画像ファイルを読み込み，ABC 出力プラグインを使って画像ファイルを出力
 することができる。

     bmc -x [<ext>] input_file output_file

 の形式で，

     bmc -x jpeg foo.tif foo.jpg
     bmc -x foo.bmc foo.png

 などとする（出力プラグインは，ex<ext>.xpi を使う。デフォルトの <ext> は，出力
 画像ファイルの拡張子）

531. BMC画像用の ABC出力プラグイン exbmc.xpi を作成し，パッケージに含めた。

532. 不足フォントの自動作成失敗や，GhostscriptによるPostScript画像処理に失敗し
 た場合，再度それを MS-DOS（コマンド）Windowで実行して結果を見る，という選択が
 できるようにした。



                             Ver.3.12.3

533. dviprt 機能が ON のとき DDE による XTYP_EXECUTEトランザクションで 
 FilePrint(...) を使ったとき，引数の設定が無視されていたのを修正。

534. 上記 FilePrint(...) の引数で dviprt:<n> が新設された。<n> は 1 または 0
 で，dviprt 機能の ON または OFF を指定する。

535. Virtual フォントなどを使って Unicode でのフォントの使用が正しくできなかっ
 たのを修正。

536. 文字単位でのフォントの画像データを DVI ファイルに埋めこむ機能を新設。
 File→Font/Image Embedding から行うが，フォントの他に画像データもサポート。

 これらが埋めこまれたDVIファイルは，従来のものと互換性があり，dviout 以外の 
 DVIwareでは埋めまれたものが無視されるだけである。

 dviadd.exe が dviout のディレクトリに存在する必要がある。dviout.etf という
 名前のファイルとしてフォントが埋めこまれるので，dviadd でそれを除去できる。
 埋め込まれるフォントは，以下のものが可能であるが，さらにフォント毎に個別に
 指定できる。

 1. 欧文のWindows TrueTypeフォント（BaKoMaフォント対応）
    内蔵のフォント展開ルーチンを使って表示して，File → Font Embedding を指定
    する。具体的には，-TEXPK= の先頭に ^w\fonts\^s.ttf などと BaKoMa のフォン
    トを指定し，-TEXFONTS= には ^r\tfm\\ などとしてその tfm ファイルを指定して
    おく。使われる tfm と TrueType のデータが文字単位で重複せずに埋めこまれる。
    0x00 - 0x20, 0x7f のTeXの文字コードは，BaKoMaで用いられている規則で変換さ
    れ，それ以外は無変換。

 2. PKフォント
    基礎の解像度を複数指定できる。表示や印刷では，最も近い解像度を用いるが，
    一致する解像度のものが無い場合は，最も近いものを用いてスケール変換される。
    文字単位でデータが埋めこまれる。

 3. Virtual Font（VF/OVF）
    使用されるデータのみが，文字単位で埋めこまれる。

 4. 和文のWindows TrueTypeフォント
    [JFont2] の -vfn: で与えたフォント定義ファイルにおいて，dvioutで展開する
    ように指定した和文フォント（拡張子が .ttf または .ttc の和文TrueTypeフォ
    ントに対し，ttindex.exe を使って，拡張子が .ttc のインデックスファイルを
    あらかじめ作成しておく）。文字単位でTrueTypeとjfmのデータが埋めこまれる。

 5. フォントマッピング/TFM/JFM
    WinAPIを使うTrueTypeフォントに対し，フォントマッピング（edefault 対応のも
    の）とtfm/jfmデータ。tfmデータは文字単位。一方，jfmデータはファイル単位で
    あるが，中身の同じものは（ファイル名が異なっても）重複して埋めこまない。

537. dviout の初期化の指定を initial.par というファイルに書いて DVIファイルに
 埋めこむことができる。dviout 以外の DVIware では無視される。

 \special{dviout `initialize ...} の ... の部分の形式で指定する。ただし，# で
 始まる行は無視される。また，#rem で始まる行があると，以下 #end で始まる行まで
 （なければ最後まで）無視される。
 改行で区切って，複数の指定が可能。たとえば initial.par

   # This is a test.
   `keep TEXPK
   +TEXPK=^F/^s.tfm; -y=A4L 

 などと書いて，dviadd で DVIファイルに埋めこめばよい。

538. dviadd をアスキーの日本語pTeXによる縦書き文書に適応しようとするとエラー
 になっていたのを修正。

539. [WinJFont] で，[Default] および [Restore] において，direction の設定が
 されなかったのを修正。



                             Ver.3.12.4


540. 埋めこみフォントのフォーマットを若干変更した。Ver.3.12.3 のものは以降，
 サポートされない。

541. フォントマップファイル（添付のものは，ttfonts.map など）の変換先に，欧文
 TrueTypeフォントファイルをフルパス名で指定できるようになった。たとえば，以下
 のように記述する。

  wnsr8r	^w\fonts\times.ttf

 この場合は，内部展開ルーチンで欧文フォントを展開する。-TEXPK: で対応する tfm
 ファイルが該当し，さらにそれは -TEXFONTS: で指定されるディレクトリにあること
 （上記の例では，対応するfm ファイルとは，wnsr8r.tfm のこと）。コードの変換は
 ある程度自動的になされるが，次の指定が適当（フォントファイル名に続けて / で
 区切って数字で指定）。

  /1  2 byte系, Format形式 4 の Code Table を使う
      BaKoMa
      Times New Roman など Windows の標準欧文TrueTypeフォント

  /4  1 byte系, Format形式 0 の Code Table を使う
      Impress
      その他，TeX用の欧文TrueTypeフォント

  /5  2 byte系, Format形式 4 の Code Table を使うシンボルフォント
      Symbol

  /<num>  <num> が 256 より大きいときは，code page番号とみなして
      Format形式 4 の Code Table を用いる。/1 は /1252 と同じ。

 たとえば，以下のように書く。

  wnsr8r      ^w\fonts\times.ttf/1

542. DVIファイルに埋め込んだフォントの情報を得るプログラム etfdump.exe を添付。

543. -ftt: で読み込まれるマップファイルから，%input で他のマップファイルを読み
 込み指定していた場合，指定されたファイルが存在しないときエラーで終了すること
 があった。



                             Ver.3.13

544. CTRL+A, CTRL+B, CTRL+C, CTRL+D のキーに機能を定義した場合，それらが次回に
 引き継がれなかった。

545. ソースファイルに Visual C 6.0 用のワークスペース dviout.dsw, dviout.dsp 
 を添付。

546. DDE の XTYP_EXECUTE トランザクションの [FileReopen] で，ファイルの先頭ペ
 ージに移動することがあったのを修正

547. 和文フォントをdviout自身で展開し，和文縦書きに横書き和文フォントを流用す
 る場合， ￣ と ＿ (2131, 2132)の２文字を90度時計回りに回転し，≠ (2162)は回転
 しないで用いるように変更。

548. HyperTeX special と source special をともに使った場合，source specialが認
 識されないことがあった。

549. 乙部氏による以下の修正の取り込み
 ・ページの境近辺におけるsource special のジャンプ位置の修正
 ・DDEでのファイルオープンで，現在開いているものと同じものが要求されたとき，
   再オープンを省略するように変更
 ・DDEのXTYP_EXECUTEトランザクションコマンドの [PageOpen(*)] で，[PageOpen(l)]
   としたとき，最後のページを表示するようにした
 ・winttf.lzh, exjfonts.lzh 中のファイルの不具合修正
 など

550. プレゼンテーションモードでは，フォントサーチの情報表示を止めるようにした。

551. プロパティーシートでの \magstep の設定ウインドウで，現在の値が反映されて
 いなかったのを修正。



                             Ver.3.13.1

552. -TEXROOT: -TEXPK: にネットワークドライブを設定し，さらにそのサブディレクト
リに \\ が含まれる場合にも対応した（実際は，サーチが大変遅いので避けるのが無難）。

553. パラメータ -mag: が正しく読み込まれなかったのを修正。

554. 内蔵フォントで，jis-v.tfm, jisg-v.tfm （縦書用JISフォントメトリック）が
  正しく使われていなかったのを修正。



                             Ver.3.13.2

555. 縦方向２頁同時表示／全頁連続スクロール機能(Display → Y-two pages)を新設。
  プレゼンテーションモードでの使用が主目的で，この場合は縦方向に全ての頁が繋が
  っているようにスクロールする。たとえば，必要なら Presentation → Cut edge 
 （微調整は，[Paper] の -OX: -OY: Papersize など）のあと Display → Y-two pages,
  ESC, 6 とプレゼンテーションモードに入ると，頁の境界が表示されないので，文書全
  体が（縦に繋がって）一つの紙面のように表示される（文書の元の頁の紙面は縦長にし
  ておく）。

556. プレゼンテーションモードでの線描画機能のサポート。
  プレゼンテーションモードの中では:
    F12:         描画機能の ON/OFF
    F11:         線描画モード
    Shift + F11: 矩形描画モード
    Shift + F5:  red(default)
    Shift + F6:  black
    Shift + F7:  blue
    Shift + F8:  green
    Shift + Left button of Mouse:       新たな始点
    Shift + Right button of Mouse:      新たな終点 or 通過点
    CTRL + Shift + Left button(Mouse) : 最後の始点の修正
    CTRL + Shift + Right button(Mouse): 最後の終点 or 通過点の修正
    Delete:                             最後の点の削除

  各始点毎に色を定義できる。
  頁が変更されると，描画されたものは消される。
  ルーペ非対応。

557. CTRL+SHIFT+矢印キー による紙面の上下左右への位置補正をサポート。
  具体的には，パラメータ -OX, -OY (in [Paper]) の変更で，最小単位は，0.5 pt = 
  0.176mm である。プレゼンテーションモード中で位置補正した場合，そのモードを抜
  け出ると元に戻る。

558. フォント名の長さの限度が 24 byte であったのを 128 byte までに変更。

559. 2ページ同時表示モードでGDIリソースを著しく消費する不具合があったのを解消
  （乙部）

560. dviprt機能での印刷のダイアログの Setup... における Paper supply で，Upper
  と Lower が逆になっていたのを修正。

561. TrueType フォントのチェックを外し，Windows がサポートする Open Type などに
  対応した。

562. graphic packages で，dvipdfm オプションを指定した場合の画像の取り込みに対
  応した。具体的には，以下の special である。

 \special{pdf: image width <width>pt height <height>pt depth <depth>pt(<file_name>)}

563. pTeX の縦書きモードで tpic を使うとき，dvipsk に合わせて座標を回転させるモ
  ードを設けた（[Graphic] → tpic）。

564. プレゼンターションモードで，SHIFT+F1 キーを押すと，キー操作のヘルプメッセ
  ージが表示されるようにした（F1 キーは，On-Line ヘルプへ）。

565. 「dviout におけるトラブル」が，dviout のメニュー Help → Troubles in dviout
  から見られるようにした。標準のパッケージ構成のように，dviout のディレクトリに
  DOC\dvioutQA.html が存在している場合に有効である。

566. dviout の初期化の指定ファイル initial.par のDVIファイルへの埋め込みで，コマ
  ンドが複数行の場合，正しく解釈されていなかったのを修正。

567. デフォルトのキー配列で，CTRL+Q, CTRL+\ に，それぞれ Non-default parameters
  の表示，Setup Parameters のダイアログの起動を定義した。これらは，プレゼンテー
  ションモード中でも有効。

568. [Alt]+X でプレゼンテーションモードから抜け出ると，Windows のデフォルトの色
  （dviout の preview での紙面の外の色）が変わってしまうことがあったのを修正。

569. プレゼンテーションモードでの FIT/FULL で，紙面をカットする位置がずれること
  があったのを修正。



                             Ver.3.13.3

570. 印刷ダイアログにページ指定のオプションボタンを設けた。印刷ページを入力して
  出力（[Input by User]) する，あるいは，あらかじめ登録したマクロから選んで指定
  の範囲を出力することができる。外部プログラムを呼び出す印刷には無効。

  [Input by User] を選ぶと，ページを入力でき

    12 4 8 5 20-30 -5 60-

  とすると，12,4,8,5,20,21,22,...,30,1,2,3,4,5,60,61,... の順に出力される。
  その他，特殊記号として

  P    以降のページを，先頭からのページ数でなくて，実際のページ番号とみなす。
  .    空白ページの出力
  Z+   以降の各用紙の出力毎に一旦停止する
  Z-   上記を解除
  Z    上記の一旦停止スイッチの解除と設定のトグルスイッチ
  M    マクロブロックの設定。以降のページ出力は，このマクロに従う。
       以前のマクロは解除される。
  Q    ここで終了し，以下を無視する。
  @<file_name>  <file_name>で与えられるパス名のファイルを読み込む。
      パス名 <file_name> は，空白を含んではならない。ネスティングは不可。

  例えば，以下のようにする。

    P 1-49 Z 50 Z 51-100

  選択される各マクロは，dviout のディレクトリの下の par\*.pgm という各ファイルに
  対応する。ユーザが新たなファイルを追加したり，変更することができる。
  書き方については，Help を参照。

  [Check] ボタンを押して，印刷されるページを確かめることができる。

571. コマンラインからの起動，文字列サーチやDDEでの移動で souce specials を使った
  場合に，更に文字列を指定することが出来るようになった。例えば，foo.tex の 235行
  目の文字列 This を示すには

    dviout foo.dvi "#235/This foo.tex"

  などとすればよい。"This is" という文字列の場合は

    dviout foo.dvi "#235/This is foo.tex"

  とすればよい（最後の文字列は，ソースファイル名。それを特定せずによいときは * 
  とする）。

  文字列サーチが単語単位かどうかは，dviout を起動して文字列サーチをどちらかで行っ
  てdviout を抜け出すと，以降それがデフォルトとなる。

572. source special で起動し，再びそのページで source special を使って移動しよう
  とすると，アクセス違反となることがあったのを修正 (by Otobe)。

573. source special や HyperTeX で移動したとき，移動先で若干のアニメーションを行
  ない，見つかりやすくした (by Otobe)。View → Animation cursor でアニメーション
  の On/Off ができるようにした。

574. Help → Anchors of HyerTeX および Help → Source specials において，プレビ
  ュー画面上の該当個所が，それぞれ緑，赤の十字で示されるようになった。

575. 日本語Windows Systemでない場合は，文字列サーチで上位ビットが立った1 byte文
  字を含む文字列の指定ができるようにした。日本語Windows Systemの場合は従来通り
  Shift JISでの和文文字を指定できる。

576. 矩形領域を画像保存後，dviout が不安定になることがあったのを修正。

577. 矩形領域の画像保存では，EMF または BMP 形式として，クリップボードにコピーで
  きるようになった。



                             Ver.3.14

578. 最もよく使われている角藤氏のpTeXのパッケージ（Web2C 7.3.7）では，環境変数
  TEXMFMAIN, TEXMF を定義しないのが標準となったが，この場合でもフォントの所在の
  推定の [Guess] ボタンの後で，(No) Set default values for TEXROOT/TEXPK/L を選
  べば，デフォルトが正しく設定されるようになった。

579. Help → System Info. に，可能ならば TeX と pTeX のバージョン情報が表示され
  るようになった。

580. 矩形領域を切り出してPNG画像として保存する機能を使ったときに表示される画像サ
  イズが正しくなかった。

581. -key= のパラメータにおけるキー機能の設定で，CTRL+<key> の定義に関連する場
  合に，一部不具合があったのを修正。

582. 環境変数 TMP と TEMP の定義内容が等しくて，その定義内容に空白文字が含まれる
  と，Help → System Info. が環境変数 TEMP を表示する無限ループになっていたのを
  修正。



                             Ver.3.14.1


583. source specials を使った preview 画面へのジャンプで用いるTeX のソースファイ
  ル名には，フルパス名も指定できるようになった。以下のような場合に対応している。

  c:\home\user\myname\tex\mybook\main.tex　　　　　　　 :main source file
  c:\home\user\myname\tex\mybook\chapter1\chap1.tex
  c:\home\user\myname\tex\mybook\reference.tex

  main.tex:
    ...
    \input chapter1/chap1.tex
    ...
    \input reference.tex
    ...

  となっているとき，以下のような指定のいずれも有効

    "# 123 main.tex"
    "# 99  reference.tex"
    "# 99  c:\home\user\myname\tex\mybook\main.tex"
    "# 234 chapter1/chap1.tex"
    "# 234 chapter1\chap1.tex"
    "# 234 C:\home\user\myname\tex\mybook\chapter1\chap1.tex"
    "# 234 c:/home/user/myname/tex/mybook/chapter1/chap1.tex"

  なお，chap1.tex の 234行目の「東京」という文字列へのジャンプは，コマンドライン
  からならば，main.dvi が存在する c:\home\user\myname\tex\mybook においては

    dviout -1 main.dvi "# 234/東京 chapter1\chap1.tex"

  などと指定する。ただし，\input でフルパス名を指定したファイルの場合は，ジャン
  プ先の指定でもフルパス名を指定すること。アルファベットの大文字・小文字や，パス
  の区切り記号の '\' と '/' の違いは無視される。

584. dviout の起動パラメータの最初に -1 を指定できるようになった。これは，最初の
  dviout を起動するか，それが起動されていれば，最初の dviout へパラメータを渡す。
  source specials によるジャンプなどに用いるとよい。-1 の代わりに，-2, -3, -4, 
  -5 も可で，-n は，n 番目の dviout まで起動可，を意味みし，n 番目まで起動されて
  いれば，それにパラメータを渡す。

585. メニューバーの Jump に，Direct Jump to Editor を設けた。これのチェックが ON
  で，source specials によるジャンプが可能なとき，「Shift + マウスの左ボタンクリ
  ック」で示された文字をもとにエディターでの該当個所付近にジャンプする。
  Shift+マウスの左ボタンクリックの後，[→Src] を選んだのと等価。

586. ALT+\ に，マウスカーソルの形を変える機能を定義した。

587. ＭＳ 明朝と ＭＳ ゴシックが System に登録されている場合は，日本語対応のシ
  ステムと判定するようにした（従来は，日本語がシステムのデフォルト言語のときの
  み）。また，dviout.exe を dvioutj.exe と名前を変更して起動すると強制的に日本
  語対応に，dvioute.exe とすると欧文対応（和文ファイル名は非サポート）になる。

588. メニューバーのサブメニューに，対応する機能が割り当てられたキーを表示するよ
  にした。ただし，全ての対応するキーが表示されるわけではない。また，キー機能割り
  当てをデフォルトと変えた場合，次回起動された dviout から正しい表示となる。関連
  して，デフォルトのキー機能を若干変更した。

  CTRL+F: 文字列検索ダイアログへ
  CTRL+Q: System Info. の表示
  CTRL+[: SHIFT+マウスの左右のボタンによる矩形領域定義のON/OFF

589. メニューバーの ALT+F, J, S, D, V, N, P, O, H による選択が，手の形のカーソル
  のときも有効になるようにした。

590. dviout がアイコン化されているとき，DDE の [WinNormal] で元に戻ってアクティ
  ブになるようにした。

591. 矩形領域が定義されているときのクリップボードへの画像コピーは，その領域か
  ページ全体かを尋ねるダイアログを出さずに，矩形領域のみを切り出すようにした。


                             Ver.3.14.2

592.  SFDファイルを使って，TeXの8bit文字コードから16bit文字コードのTrueType
  フォントを使うサブフォントをサポートしました（by Cho Jin-Hwan）。
  SFDファイル *.sfd の所在は，パラメータ -TEXSUBF: で指定します。

593. メニューバーのサブメニューを若干変更した。たとえば，ALT+PB5 で B5 用紙に，
  ALT+PA4 で A4 用紙に変更，などとなった。

594. dvioutにおける小ヒント集 doc\dviouttips.html を入れた。メニューバーの Help
  から参照できる。

595. 円形のルーペが正しく動作していなかったのを修正。

596. -macro: の定義で，それぞれを " " で囲まないと正常に動作しないことがあったの
  を修正。

597. -macro: を定義し，それを以下のように Shift+F* に割り当てた。
  Shift+F1: 周囲の空白を削って，プレゼンテーションモードで，縦連結スクロール表示
            Alt+NE, Alt+D0, [Esc], 6 のキー操作に対応
  Shift+F2: プレゼンテーションモードや，領域カットからの復帰
  Shift+F5: 周囲の空白を削って，プレゼンテーションモードで，非スクロール表示
            Alt+NE, [Esc], 5 のキー操作に対応
  Shift+F6: 周囲の空白を削って，プレゼンテーションモードで，一方向スクロール表示
            Alt+NE, [Esc], 6 のキー操作に対応
  SHift+F7: 位置のずらしからの復帰
            -X=0mm, -Y=0mm の設定に対応
  これを，デフォルトの定義とした（Alt+OS, [Key], [Default], [Save]/[Ok] でデフォ
  ルトのキー定義になる)

598. ページ範囲が設定されているときは，Alt+NE で Cut Edge を行うときに調べるのを
  その範囲に限るようにした（デフォルトは，全ページに渡って調べる）。

599. DDE の XTYP_EXECUTEトランザクションで，以下をサポート。
  [WinIconic]  dviout をアイコン化する。
  なお，[WinNormal] で元に戻ります。

600. source special の -src: の先頭に以下のように < を書くと，source special で
  エディタを呼び出し後，dviout をアイコン化するようにした。

      <c:\Program Files\Hidemaru\Hidemaru.exe^s/j%d "%s"



                             Ver.3.14.3


601. メニューバーに Option → Choose Parameters... が追加された。これは，
  dviout.exe のあるディレクトリのサブディレクトリ par に存在するパラメータファイ
   ル *.par で「タイトル」が存在するものを表示し，選択して設定する機能，および，
  名前や説明を付加して，現在の dviout のパラメータをリストに追加する機能がある。
  パラメータファイルのフォーマットは従来のものと互換性があって，以下の通り。

  ; で始まる行は，コメント行
    先頭の行から続くコメント行の部分は，ヘッダ部分と解釈される。
    このヘッダ部分のうち
  ;# で始まるものがあれば，その最初のものを「タイトル」とする。ただし
  ;#j で始まっていれば，非日本語 Windows では無視する。
  ;#e で始まっていれば，日本語Windows では無視する。
  ;; または ;` で始まっている行は，説明文として，取り込み前のダイアログで表示さ
     れる。なお，;` で始まっている行があれば，ダイアログで Registry にも設定を
     書き込むかどうかの選択ボタンが表示される。

  [OK]         選択したパラメータファイルの説明を表示し，必要ならそれ取り込む
  [Save]       現在のdvioutのパラメータを，リスト内にタイトルや説明をつけて保存
  [Edit]       選んだパラメータファイルを notepad で編集する
  [Hide]       選択したパラメータファイルを，リストから隠す
  [→Hidden]   隠したもののリストを表示
  [→Current]  隠したもののリストの表示から，元のリストの表示に戻る
  [Appear]     隠したもののリストから選んで，元のリストに戻す
  [Kill]       隠したもののリストから選んで，そのファイルを削除する

602. dvioutの内蔵のTrueTypeフォント展開で，和文フォントにはインデックスファイル
  *.tti を必要とするが，これが存在しない場合，生成するかどうか尋ねるダイアログが
  開く（生成には，dviout のパッケージに含まれる ttindex.exe が必要で，*.tti ファ
  イルは，和文TrueTypeフォントと同じディレクトリに作られる）。

603. プレゼンテーション・モードのとき，線画機能やカバーシート機能のためのメニュ
　ー・ダイアログが起動するようになった。Shift+F12（起動していないときの起動もこ
  のキー）や [+] ボタンで，メニューの形が変わり，メニューが左上端にあるときは，
  [-] ボタンで右下端に移動，それ以外では左上端に移動する。メニューが左上端にある
  とき以外は，カーソルがその場所に来ているときのみ，メニューが表示される。
  [x] ボタンでメニューを消し去ることができるが，その後 Shift+F12 で復活できる。

604. 矢印の形のマウスカーソルで，souce specials が有効なとき，マウスの左ボタンの
  ダブルクリックで source specials による，TeX のソースへのジャンプが可能になった。

605. ttindex.exe を，DOS版からWin32 console版へ変更した（角藤氏のパッケージから
  のコピー）

606. HyperTeX をプロパティーシートで有効／無効の設定を変えても，ツールバーの対応
  するボタンの On/Off 状態に直ちに反映していなかったのを修正。

607. 情報ウインドウで表示する内容のサイズが大きいため表示が複数ページに渡る場合
  ページの切れ目が，行の切れ目になるようにした。

608. -ftt: で指定されたフォントマップファイルの %input 文で読み込むファイル名の
  先頭が $ で始まっていれば，それが存在しなくても Warning メッセージを出さない
  ようにした。新しく添付された ttfonts.map には

  %input $user.map

  という行がある。$user.map を dviout のディレクトリに作成してそこにユーザが追加
  する定義や %input 文を書いておくならば，dviout の今後の上書きバージョンアップ
  でも保たれる。

609. プレゼンテーション・モード移行時のメニューの On/Off が，メニューバーの 
  Presentation → Presentation Menu によって設定できるようになった。メニューの形
  状などと共に，Presentation → Save Presentation settings でこれらの設定を保存
  してデフォルトにできる。

610. 文字列サーチで，HyperTeX のアンカーがサポートされなくなっていたが，仕様変更
  して修正。アンカーの文字列は，（半角）空白の後，記号 # に続いて指定する。
  # の代わりに = を使うと，任意の URL が指定可能。
  文字列を " " で囲って表すと，例えば以下のようになる。

  "with me"                          : 文字列 with me
  " 12"                        　    : 12ページ目
  " #name"                           : HyperTeX のアンカー name
  " 12 foo.tex"                      : foo.tex の12行目（source special)
  " 12/I am foo.tex"                 : foo.tex の12行目の I am (source special)
  " =http://akagi.ms.u-tokyo.ac.jp"  : URL の http://akagi.ms.u-tokyo.ac.jp

611. 文字列コピーやエディターへのsource specialsによるジャンプの後，和文文字列
  の検索や，和文文字列を指定したエディターからdvioutへのsource specialsによる
  ジャンプがターゲットの検索に失敗することがあったのを修正。

612. Presentation → Draw → Thick を設け，プレゼンテーション・モードでの線画の
  線を太くできるようにした。プレゼンテーション中に Shift+F9 またはメニューで変
  更できる。

613. プレゼンテーション・モードでの線画で，Ctrl+Shift+左クリックによる始点の修正
  が正しく機能していなかったのを修正。

614. 情報表示Windows（Alt+HS などで使われる）に [S] [L] ボタンがつき，これにより
  そのWindowsサイズを，大／中／小 と変更できる。

615. dviprt オプションでの印刷機能で，用紙サイズ等につき dvips用と，dvipdfm用の
  オプションなどを設けた。これを利用した例を，Option→Choose parameters に入れた。
  ^w  dvipdfm 用オプション
      A3,A4,A5,A6,B3,B4,B5,B6,Letter,Legal,Landscape
      OX,OY: オフセット

  ^W  dvips 用オプション
      Paper size, Landscape, Even/Odd pages, Reverse Printing
      OX,OY: オフセット

  ^d  DVIファイルのフルパス名から，拡張子 .dvi を除いたもの

  ^D  DVIファイルの名前（拡張子とディレクトリの部分は除いたもの）

  ^Z  または ^Z^<n> 
      以下をメッセージとみなし，印刷ダイアログで表示する（dviprt が On のとき）
      メッセージに ; があれば，その最初の ; は改行記号に変換される。
     <n> は整数で，以下の各ビットがそれぞれの有効／無効を切り替える。
         1: Collate copies
         2: Reverse order
         4: Copies
         8: + ボタン
        16: ページ指定オプション
        32: 袋綴じ印刷
        64: 拡大縮小
  ^z  または ^z^<n>
     上記と同じだが，外部プログラム起動時にWindowを開く。

616. 印刷ページ指定オプションのマクロに関しても，表示のリストから隠す，戻す，削
  除する，編集する，という操作が可能になった（Option → Choose Parameters のパラ
  メータファイルと同様）。

617. DDE における XTYP_REQUEST transaction で，DVIファイル名を得るパラメータ
  "dvifile" のバリエーションとして，"DVIfile" によりショートファイル名の形式で
  もフルパス名が得られるようにした。

618. tips on dviout の英語版を添付

619. 新パラメータ -Set: を設けた。パラメータファイルでの使用が主目的で，Set の値
  は DDE における [Function(key)] の 引数と同じ。キー入力と同様の効果をもたらす。

620. エディタから source specials で dviout へジャンプするとき，ソースファイル名
 を，必要なら '  ' で囲むことが出来るようになった。フルパス名でソースファイルを
 指定する場合に，パス名に空白を含むことがあるので，それに対する対処が主目的。

621. ttfonts.map など -ftt: から参照されるフォントマップ・ファイルをデフォルトで
  dviout.exe のディレクトリのサブディレクトリ map に置くように変更。よって，-ftt:
  の設定ボタンを押すと，^x\map\ttfonts.map をまず探すようにした。dviout.exe の
  ディレクトリにある ttfonts.map などの *.map は削除可（あるいは，サブディレク
  トリ map に移動）。



                             Ver.3.15


622. 配布形態を zip 形式と exe 形式に変更。

623. dviout の Window の最大化を行うキーシンボル !M を新設。例えば以下のようにパ 
  ラメータ -Set=!m をつけて dviout を起動すれば，最大化した状態で起動される。
    dviout -Set=!m

624. メニューバーから Help → Other Info → Map Info で，-ftt: によるフォントマ
  ッピングの情報が表示されるようになった。

625. プレゼンテーションモードに入った後にカバーシートを有効に変更すると，カバー
  シートが動かせないことがあったのを修正。

626. dviout のWindows のフレームを Windows XP に合わせてわずかに変更（by 乙部氏）

627. chkspc.exe というプログラムを作成しパッケージに収めた。以下の specials
        color specials: color push/pop, background
        tpic  speciasl: pn, sh
  がページ独立になっていないDVIファイルに対し，本来のページ独立性を保つようにDVI
  ファイルを修正する機能をもつ。この独立性が失われていると，dviout などのDVIware
  や dvidvi などの DVI tools で，（ページを超えて specials が有効にならないため）
  期待される結果にならないことを防ぐことができる。

628. メニューバーに Option → Check color specials が設けられた。このオプション
  を有効にしておくと，color specials の push/pop のスタックがページ内部で閉じて
  いるかどうかをチェックし，閉じていなければDVIファイルがページ独立になるよう 
  chkspc.exe を起動してDVIファイルを修正することができる。
　chkspc.exe は，dviout.exe と同じディレクトリに存在することが必要である。

629. メニューバーに Option → Change Japanese fonts が設けられた。このオプション
  により，現在のDVIファイルで使われるWindows の日本語TrueTypeフォントをデフォル
  トのものと異った日本語TrueTypeフォントで置き換えることができる。

630. メニューバーの検索文字列のエディットボックスにおいて，その右の矢印を押して
  以前の文字列を選んだ場合，あるいは，エディットボックスをダブルクリックした場合
  に検索が開始されるように修正した（by 乙部氏）。

631. dvispc.exe に，DVI ファイルと Text ファイルとの間の相互変換機能を設けた。
  なお，Geoffrey Tobin氏による DVIware DTL -- DVI Text Language (dt2dv/dv2dt)形
  式との互換オプションも存在する。

632. -dviprt: の ^Z^n のサブオプション（cf. 615）により，印刷ダイアログの有効項
  目の制御が可能になった。印刷ダイアルログは一部のみ表示され，[+] ボタンによっ
  て，全体表示と一部表示が切替られるようになった。

633. プロパティーシートの [Graphic] の -GS: に Direct PS というスイッチがついた。
  これが Off であると，PostScript コードが直接書かれた specials は，PSfrag を除
  いて無視する（通常の EPSF 画像の取り込みには関係しない）。
  hyperref.sty を用いて dvips オプションをつけたときの出力に含まれるHyperTeX 対
  応の汎用性の無い specials を無視するためにこのオプションを設けた。

634. View → Show Child Window を設けた。これは，-Wshow: に対応するスイッチで，
  外部プログラム起動時に Window を開くかどうかのスイッチである。

635. dviout の Install を行うと，PC98 かどうかを判定し（by 乙部氏），-Wshow: が
  デフォルトで ON になるようにした。

636. 印刷ダイアログで，dviprt 機能を使い，さらに Collate Copies のチェックが初期
  状態でチェックされていた場合，それが有効でなかったのを修正。

　　                  Ver.3.15 (February 16, 2003)

637. 深いディレクトリ（16段程度）があると，gen: や gsx: のボタンを押しての自動設
  定が正しく動作しないことがあったのを修正。

638. dvispc によるページ独立性の自動修正による DVI ファイルの書き換えに不具合が
  あったのを修正（DVIファイルに拡張子 .dvi を付けた形で上書き指定すると，ファイ
  ルサイズが 0 になってしまった）。



                             Ver.3.15.1


639. -ftt: によるフォントマッピングファイルで，unicode の属性を指定されたフォン
  ト定義は，Windows2000/XP またはそれ以降の Windows 以外では無視するようにした。
  ただし，/C と指定すると無視されない（cf. -ftt: の Help）。

640. 印刷ダイアログからのページ指定オプションに入っている「中綴じ」の例が正しく
  なかったので修正。

641. Option → Continuous Renew を設けた。これは，絶えず（0.5秒おきに）DVIファイ
  ルの更新をチェックし，プレビュー画面の更新を行う。

642. 印刷の際，解像度や用紙サイズの違いのため印刷をキャンセルして再度印刷ダイア
  ログに戻ったとき，バックグランドの再表示が行われなかったのを修正。

643. 「指定したDVIファイルが存在しない」などの理由で表示に失敗した場合，直前に表
  示していたDVIファイルがあれば，それに戻るようにした（乙部）。

644. Ctrl+Shift+マウスの左クリックで表示される文字のコードが 0 の場合に 1 と表示
  されていたのを修正。

645. pTeXの縦書きで和文TrueTypeフォントを用い，さらに LaTeX2e graphics package 
  の \scalebox などを用いて文字を拡大すると，文字の横の位置がずれるのを修正。

646. CID コード（Adobe-Japan1-4）から unicode への変換をサポート（角藤）。
  ftt: で指定されたフォントマップファイルに，cid2uni と指定するか，あるいは，
  Option → Setup Parameters... → [WinJFont] の Change Font あるいは Add Font 
  で CID→Uni を指定。

647. -dviprt: の ^z^n または ^Z^n オプションに続けて ^{...} を2個まで指定できる
 ようになった。これにより，その前に ^X{...} ^X}...{ ^Y{...} ^Y}...{ と書かれたオ
 プションを有効にするかどうか，ユーザがダイアルログで選択できるようになった。
 ^{...} の ... はダイアログで表示される文字列（次項参照）。
 n = 0 のときは，^n は省略可能。

648. 印刷ダイアログにおける dviprt 機能のデフォルトを，dvipdfm(x) による PDF 変
  換に変更した。dviprtの値は以下の通り（実際は1行）

  dvipdfm^X{x}.exe ^w -s ^a-^b "^q" ^Y{;"^d.pdf"}
  ^z^{dvipdfmx}^{View PDF}Make PDF by dvipdfm

649. メニューバーのFileメニューに Dviprt を設けた。これは，dviprt にチェックをつ
  けて，印刷ダイアログを開くオプションである。また，ツールボタンの user（ニコニ
  コマークのボタン。表示されていない場合は，View → Change Tool Buttons を選択）
  のデフォルトを Dviprt にした。

650. 上記 948, 949 に応じて，サンプルのパラメータファイル（Option → Choose
  Parameters... で使われる）のいくつかを修正した。

651. cmode が，auto mode (p2) や pacth2 以外での印刷で，縮小袋綴じ印刷などで，画
 像が欠けることがあったのを修正。

652. ALT+J D/U による紙面スクロールは，表示画面の高さ／幅の 9/10 となるようにし
  た（従来は，紙面の下部／上部への移動）。表示画面の高さ／幅が紙面の高さ／幅に比
  べてあまり小さくない場合は，実際の動作は従来と変わらない。



                             Ver.3.16


653. patch2 モード（デフォルトでの印刷の時のモード）での和文文字列の回転において
  文字の表示位置の補正を行った。

654. DVIファイルの dviout への関連づけ，スタートメニューへのdvioutの登録の2つの
  KeyID  !j と !k を設けた（通常 j と k は小文字で書く）。
  たとえば，インストール用の install.par に以下のように書いておく

  Set=!j!k
  TEXROOT=c:\usr\local\share\texmf\fonts
  TEXPK=^r\tfm\\^s^tfm;^r\pk\\^s.^dpk;^r\vf\\^s.vf;^r\ovf\\^s.ovf;^r\tfm\\^s.tfm

655. フォントのパスの [Guess] で，最近広く用いられている角藤氏のパッケージがイン
  ストールされているかどうかチェックし，検知されれば最初にそれをデフォルトとして
  選択可能にした。

656. パラメータ -isp: を新設した。これは，dviout が解釈できなくても警告メッセー
  ジを出さない specials を，; で区切って指定することができる。たとえば

  isp=pdf:;epsfig:

657. 表示画面でグリッドの表示をサポート。メニューバーの View → Glid から。
  On/Off とグリッドのメッシュのサイズ調整ができる。グリッド原点は紙面の左上端
  から下と右に 1 inch ずつ入った点（TeX の原点）か，紙面の左上端かが選択可。

658. tpic specials で，非常に扁平な円を低解像度で描画すると，dviout がフリーズ
  することがあったのを修正（by Otobe)。

659. マウスの左ボタンのダブルクリックでのエディターへのジャンプ（source 
  specials）で，取り込み画像ファイルが指定された場合，対応する画像エディターへ
  ジャンプする機能を新設した。取り込み画像ファイルの拡張子と呼び出し手順とを，
  新設のパラメータ -gsrc: で，たとえば以下のように指定する。

  .ps.eps=c:\usr\local\bin\psedit.exe^s"%n";.bmp=mspaint^s"%s"

  拡張子を . から書き，同じ手順ならば並べて，その後に = に続けて手順を書き，別
  の指定は ; で区切る。手順の指定は -src: と同様で，^s はプログラム名とパラメー
  タの区切り記号（必須），%s はグラフィックファイル名，%n はグラフィックファイ
  ル名から拡張子を除いたもの。

  関連して，メニューバーの [Jump] に Graphic Editor へのジャンプ機能の ON/OFF
  切り替えスイッチを設けた。

660. 初期設定（インストール）メニューにおける解像度設定で，-dpi: が 1000 を超
  える場合，プレビューと印刷とで解像度を自動変更する機能の設定を促すダイアログ
  が表示されるようになった。

661. bmc.exe が使う susie plug-in を bmc.exe のディレクトリに置いた場合，環境に
  よっては bmc.exe から参照できなかったのを修正。

662. dvipdfmx の自由な紙面サイズ指定が，起動パラメータで可能になったので，印刷
  ダイアログからのPDFへの変換も対応した。すなわち，紙面サイズが A4,B5,...など
  の従来からサポートされている固定サイズのものは，従来のサイズ指定を行う。
  一方，それ以外のサイズでは，dvipdfmx を使っていて，しかも20040204以降の版で
  ある場合に，新しいサイズ指定を用い，そうでなければサイズ指定は行わない。

663. File → Save as Image... （矩形領域を指定しての切り出しをサポート）で，拡
  張子により外部のDVIファイルから画像ファイルへの変換用の一般的なプログラムを
  呼ぶことが可能になった。現在，PDF変換用の dvipdfmx 用のバッチファイルが付属。

  拡張子 .foo の画像ファイル出力の場合，utility\dvi$foo.bat に変換の手順を書い
　ておけば，それが呼び出される。渡されるパラメータは

   %1  横の原点移動  （単位は cm）. デフォルト(移動なし）は 2.54cm
   %2  縦の原点移動  （単位は cm）. デフォルト(移動なし）は 2.54cm
   %3  紙面の横幅    （単位は cm）
   %4  紙面の縦の長さ（単位は cm）
   %5  出力するページの番号（１つのみ）
   %6  DVIファイルのフルパス名（" " で囲まれた形式）
   %7  出力ファイルのフルパス名
   %8  横の移動      （単位は cm）. デフォルト(移動なし）は 0cm
   %9  縦の移動      （単位は cm）. デフォルト(移動なし）は 0cm

  utility\dvi$pdf.bat の中身は，1行のみで以下の通り

  dvipdfmx -x %1 -y %2 -p %3,%4 -s %5 -o %6 %7

664. Help → System Info. で -gsx: にgswin32c.exe のパスが設定されていて，それ
  が正しくない場合にゴミが表示されることがあったのを修正。 

665. DVIファイルの再生成とsource specialによるpreview画面表示とをコマンドライン
　から引き続いて行った場合に，目的の部分の表示にならなかったのを修正。



                           Ver.3.16.1 - Ver.3.17

666. dviout special に，`input が新設された。\special{dviout `input <string>}
  により，文字列<string>がクリップボードにコピーされる。通常 HyperTeX specials
  と併用して使われる。
  `input の代わりに `in と書くと，<string>の中に一つの空白のあと2桁の16進数が
  あると，それらはそのコードの一つの文字に置き換わる。ただし，<string>の先頭が
   . で，そのあと2桁の16進数があると，同様にそれらはそのコードの一つの文字に置
  き換わる。先頭が .. ならばそれは . に置き換わる。
  また，`in の代わりに `in* と書くと，その文字列のpreview画面での表示が省略さ
  れる。
  たとえば

  \special{html:<a href="dviout:`input \string\alpha">}$\alpha$
  \special{html:</a>}

  上は，HyperTeX\keyin.sty を使うと

  ...
  \usepackage{keyin}
  ...
  \keyin{\alpha}{$\alpha$}

  と書ける。\keyin{<string>}{<string>} とほぼ等しいコマンドとして

  \K{<string>\K}

  がある。

  keyin.sty を利用した例では

  \keyin{\begin{equation} 0d 0a\end{equation}}{式入力}
  $\K{x_1+\cdots+x_n\K}=1$

  TeX のソースファイル作成中において，何度か使う複雑な数式などのソースの部分
  <string> を \K{<string>\K} としておくと，dviout に表示されるホットスポットの
  クリックで，そのソース部分が入力されるので便利である。TeX のソース作成中は

  \usepackage{keyin}

  とし，最終原稿では

  \usepackage[Kfalse]{keyin}

  とするか，あるいは \K{ と \K} をすべて空白に変更し，\usepackage{keyin} を削
  除するとよい。なお

  \usepackage[Kverb]{keyin}

  とすると，含まれるタブや改行もクリップボードにコピーされる。

667. メニューバーに Help → Help TeX が新設された。前項の機能を利用するもので，
  クリックすると対応するシンボルのTeXにおけるキーワードがクリップボードにコピ
  ーされる。デフォルトでは HyperTeX\input.dvi を表示するので，その内容（ソース
  ファイルは HyperTeX\input.tex）を修正すれば，自由に変更・拡張できる。

668. パラメータ -texhelp: が新設され，Help → Help TeX で表示するDVIファイルと
  そのパラメータが指定できる。DVIファイルは，最後に指定し，末尾が .dvi でなけ
  ればならない。DVIファイルを指定しない場合，デフォルトの^x\HyperTeX\input.dvi
  となる。
　　デフォルトのDVIファイルで，ディスプレイが 1024x768dot であって，600/6 や
  300/3 のように実質100dpiでpreviewしているときは，以下のようなパラメータ例が
  考えられる。

  -NULL=(555,-20)-(1027,737)

  同様に実質100dpiでpreviewしている場合，ディスプレイが 1600x1200dot では

  -NULL=(1130,-20)-(1603,737)

  などが適当であろう。

669. dvispc において，color specials における stack underflow のエラーのある
  DVIファイルの修復に失敗することがあったのを修正。

670. LIPS/ESC Page などによる印刷機能を使った場合，袋とじや拡大縮小などの印刷
  の指定のダイアログが無効になっていたのを修正。


                             Ver.3.17.1

671. bmc.exe の -b オプションによる *.bb ファイル作成について，PDFファイルもサ
  ポートされた。

672. 印刷時に mode を自動変更する機能を設定していた場合，印刷後にはパラメータ
  値を印刷直前の状態に戻すようにした（いままでは，元の mode の設定値に戻して
  いた）。

                             Ver.3.17.2

673. 1ページのみからなる文書の場合に，2ページ同時表示モードへ移行できないよう
  に変更した。

674. 印刷の際に，Unite job のデフォルトの設定が適切でないことがあったのを修正。
  また，ディスクの空き容量が少ない場合，Unite job のチェックをはずすかどうかの
  ダイアログが出るようにした。

675. -dpi: の設定値が 100 の整数倍であって -texhelp: が未設定の時，Help → Help
  TeX における入力支援ファイルの表示サイズと位置を右上隅になるようにした。

676. DDE による dviout との接続において，複数の dviout が起動されている場合，
  トピック名を dviout でなくて dviout2 のように番号をつけることにより，そのい
  ずれであるかを指定できるようにした（番号をつけないと，番号が最小のもの）。
  なお，表示中のdviファイル名のフルパス名をトピック名とすることもできる。

  一方，XTYP_REQUESTトランザクションで，文字列 "number" をアイテムとして渡すと
  dviout は接続している dviout の番号の文字列を返す（最初が "1"）。


                             Ver.3.17.3

677. dviout special の `in や `input におけるクリップボードへのコピーの際に，
  ALT キーを押していると，クリップボードに追加となるように変更した。よって，
  Help → Help TeX において，複数のものを順にまとめてクリップボードに取り込め
  るようになった。

678. マウスクリックによって HyperTeX 経由の dviout special の `in や `input を
  使う場合（たとえば Help → Help TeX におけるホットスポットのクリック），CTRL
  を押していれば，（クリップボード経由でなくて）直接エディターなどにコピーでき
  るようになった。

　一度目は，該当のエディタを（5秒以内に）アクティブにすれば，そこにコピーされ
  それ以降は，自動的にそのエディタがアクティブになってコピーされる。

　該当のエディタが閉じられた場合や，CTRL の他に ALT も押していた場合は，コピー
  されるエディタの再設定となる。

679. HyperTeX から DVI ファイルへのローカルジャンプの場合，ファイル名に一文字の
  ? を含めることが許され，? は 0,1,...,9 に置き換えて順にファイルが捜され，最初
  に見つかった DVI ファイルが表示されるようになった。

  実際に，Help → Help TeX において MyHelp のクリックで使われる。関連して，
  .\HYPERTEX\input7.tex と ,\HYPERTEX\input7.dvi がパッケージに追加された。


							Ver.3.17.4 - Ver.3.18

680. \special{bmpfile= ...} の Graphic specials で，watermark のオプションが加
   わった。これは，dviout の画面表示サイズに画像を取り込むコマンドである（プレ
   ゼンテーション用）。

681. 表示制御のための dviout special `+<levels> を新設した（主にプレゼンテー
  ション用）。
  これは他の dviout specials を含めて一つの dviout special にまとめることや，
  HyperTeX special の中に入れることはできない。

  \special{dviout `+}  以下，ページの終わりまたは `+<levels> の dviout special
　  が現れるまでの出力を止める（文字や線の描画とともに，この dviout special 以
    外の specials を無視）

  \special{dviout `+-}  以下，`+<levels> の dviout specialが現れるまでの出力を
    復活する。

  \special{dviout `+<levels>} 現在のレベルが<levels>で指定した範囲にあるときの
    み以下の画面表示を行う。levels は，-2,4-6,8- などと指定（複数を並べてよい）
    4-6 は，4 から 6 まで，-2 は 0 から 2 まで，8- は 8 以上を意味する。
    また，数字の代わりに M はそのページに今まで現れた最大の level + 1 で，M を
    n 個並べて書くと，今まで現れた最大の level + n を表す。一方 m を n 個並べ
    て書くと，今まで現れた最大の level - n + 1 を 表す｡

    この機能は，起動時や，[SPACE] で移動をした場合に有効で，最初の level は 0
    となり [SPACE] を押すと level が一つずつ増える。たとえば，あるページが

   ... part 1 ...
   \special{dviout `+1-'}
   ... part 2 ...
   \special{dviout `+2-'}
   ... part 3 ...
   \special{dviout `+-'}
   ... part 4 ...

   となっていたとすると，最初は part 1 と 4 が表示され，[SPACE] を押していくと
   次に part 2 が，その次に part 3 が加わり，その次の [SPACE] で次のページに移
   動し，level は 0 に戻る。

   従来の \special{pause} を \special{dviout `+M-} で置き換えると，プレゼンテ
   ーションモードにおいて似た動作となる。ただし前者は，画面上の位置でそれ以降
   を隠し，後者はソースにおける位置で，そのページのそれ以降の内容を隠す
   （[SPACE]で進行）。

   前のページに戻ったときは，level が十分大きいとしてそのページが表示される。
   level を 0 とするには，CTRL+N などを用いる（次項を参照）。

682. 表示制御の dviout specials を使用したプレゼンテーションのサンプル
   .\sample\slisamp4.dvi とそのソースファイルをパッケージに含めた。

683. メニューバーに Display → Kill stop level を設けた。これがチェックされて
   いると，dviout specials の <levels> が指定してある `+<levels> を無視する。
   さらに KeyID !0 （デフォルトでは CTRL+U）と !1（デフォルトでは CTRL+V） を
   設け，前者が有効，後者が無視に対応し，dviout specials で指定できる。これら
   は次回の表示から有効になる。
   一方，reNew ボタン（CTRL+N がデフォルト）を押すと，上記がチェックされていな
   ければ（これがデフォルト），level 0 としてそのページが表示される。
   プレゼンテーション・モードにおいて現れるメニューにも Stop CTRL を新たに設け
   た。

684. color specials で background color が設定されていると，誤って
        color specials in this DVI file are not page-independent!
   の警告が出ることがあったのを修正。

685. 4ページまたは16ページ同時表示モードで，マウス右ボタンのクリックと同様，マ
  ウスの左ボタンのダブルクリックか，あるいはマウスカーソルが矢印のときは単なる
  左ボタンのクリックでも該当ページにジャンプできるようになった。

686. Help -> Help TeX -> MyHelp -> Myhelp2 において，通常の記号入力（Shift JIS)
  および，HTML の記号入力が可能になった（CTRL を押しながらマウスの左ボタンでク
  リックすると，エディタに直接入力できる）。

687. 「CID コード -> Unicode 変換」において，Adobe-Japan1-6 に対応した（by AOKI
  Yoshihiro (tokyo-shoseki)）。さらに，異字体なども広く採用し（CIDで区別できて
  Unicodeで区別できないものは同一視），表示可能な文字を増やし，表示できない場
  の処理も改善した（by TANAKA, Takuji）。

688. メニューバーに Option → Clipboard+Editor を設けた。これがチェックされて
  いると，HyperTeX 経由の dviout special の `in や `input を使う場合の CTRL を
  押している場合と，押していない場合の機能が逆になる（cf. 678）。KeyID !2 がこ
  のチェックをはずし，!3 がこのチェックを付ける機能として新たに設けられた。

689. ニコニコマークのデフォルトを，dvipdfm によるPDF変換から，dvipdfmx による
  PDF変換に変更。またこれを用いた場合，用紙サイズの自動設定に一部不十分な点が
  あったのを修正。

690. Help → Help TeX の内容を充実（longtable, bar etc.)。
  Xy-pic などのHelpを作成して添付（Help → Help TeX → MyHelp → Xy-pic）。

691. Visual C 2005 用のプロジェクトファイル dviout.vcproj（by Otobe）を添付。
  共に無料で提供されてインタネットからダウンロード可能な Visual C++ 2005 
  Express Edition と Microsoft Platform SDK により，dviout.exe が作成できるよ
  うになった。

  http://www.microsoft.com/japan/msdn/vstudio/express/visualc/usingpsdk/

  対応して，dviout のソースを若干修正した．


                             Ver.3.18.1

692. -ToEdit: という文字列型オプションを新設し，dviout special の `in や 
　`input を使って Editor へ直接コピーする方法を指定できるようになった．
  指定した文字列において

   ^c                Clipboard へのコピー
   ^e                SendMessage(EditWnd,WM_CHAR, , ) によるコピー
   ^@ ^A ^B ... ^_   それぞれ CTRL+@ CTRL+A CTRL+B ... CTRL+_ のキー入力
   ^^                ^ のキー入力
　 その他の文字      それ自身のキー入力

   ^c^V  デフォルトで多くのエディタに有効（ただし，Clipboard へのコピーを伴う）
   ^e    直接エディターにコピー（秀丸などで有効，Notepad や Word では無効）

693. 公開される dviout.exe の作成に使うコンパイラを VC++8 に変更した。

694. Help → Help TeX のWindowsのデフォルトの高さを，Windows XPスタイルにも適
  合させた。


                             Ver.3.18.1

692. -ToEdit: という文字列型オプションを新設し，dviout special の `in や 
　`input を使って Editor へ直接コピーする方法を指定できるようになった．
  指定した文字列において

   ^c                Clipboard へのコピー
   ^e                SendMessage(EditWnd,WM_CHAR, , ) によるコピー
   ^@ ^A ^B ... ^_   それぞれ CTRL+@ CTRL+A CTRL+B ... CTRL+_ のキー入力
   ^^                ^ のキー入力
　 その他の文字      それ自身のキー入力

   ^c^V  デフォルトで多くのエディタに有効（ただし，Clipboard へのコピーを伴う）
   ^e    直接エディターにコピー（秀丸などで有効，Notepad や Word では無効）

693. 公開される dviout.exe の作成に使うコンパイラを VC++8 に変更した。

694. Help → Help TeX のWindowsのデフォルトの高さを，Windows XPスタイルにも適
  合させた。

                             Ver.3.18.2

695. タブレットPCでのプレゼンテーション用に，プレビュー画面でペンを用いた描画
  が可能になった。

　・プレゼンテーション画面（縦連続スクロールモードには未対応）
    線画で線や箱がShiftキーやマウスボタンを用いて描けたが，Shiftキーを用いない
    場合，ペン（マウスの左ボタンを押したマウス移動に相当）で曲線が描ける。
　　線画のメニューでの選択は以下のように対応する。
      Draw  (F12)  機能の ON/OFF
      Line  (F11)  通常の線画
      Box  (SF11)  蛍光ペンでの線画
      Red   (SF5)  赤
      Black (SF6)  黒（ただし Box を選んだ場合，消しゴム機能）
      Green (SF8)  緑
      Thick (SF9)  描画の太さの変更

  ・通常のプレビュー画面
    Display → Pen →
      On     ペン機能 On/Off
             カーソルが手の形でないとき（メニューバーで変更可）線画可能
      Erace  ペン画を消去
      Color  ペンの色指定
      Width  ペンの太さを指定
      Thin   色の濃さを指定

　現在の仕様：
　・ページ移動すると，ペン画は消去される
　・画面拡大率を変更してもペン画は残るが，上書きはできない（消去すれ
    ば新たに書き込みが可能）
  ・印刷には未対応
  ・白黒反転モードでは不具合あり

696. 表示制御のための dviout special `+<levels> を使用したプレゼンテーションで
  の再描画の際の画面のちらつきを軽減するようにした。メニューバーの Presentation
  → Flashless でON/OFFとなる（不都合があるときは OFF に）。

697. プレゼンテーションモードにおいて
  上下スクロールが不要なとき，下向き矢印は[Space]，上向き矢印は[Back Space]の
  代わりをするようにした（Tablet PC対応のため），また, [Shift+Delete] でペン画
  像を消すようにした。

698. special xxxfile=... の無単位は bp とした（Ver.3.18で入った不具合）。

699. 水平スクロールバーが存在しないときには、方向キーの←→がページ移動となる
  ようにした。

700. href の上に来たときのマウスカーソルを変更した。

701. プレゼンテーション時のマウスカーソルをレーザーポインタ風にした。

702. プレゼンテーションモード復帰時の用紙サイズ復元を修正した。

703. stop special の前のページに戻った後の動作を変更した。

704. ステータスバー非表示時（プレゼンテーション時等）のフォント／画像生成
　メッセージの表示方式を変更した。
　（将来的にはここにタイマーを表示できるようにする予定です）


                             Ver.3.18.3α5

705. 矢印キーは（スクロールの必要がない場合）ページ移動する。
　-> 上下・左右共。これによって「パワーポイント用のプレゼンテーション装置」
　　でページ移動ができるようになっているのではないかと期待しています。

706. へルプの標準を HTML ヘルプとした（阿部紀之氏）
　-> Windows Vista から標準ヘルプシステムが変更になっていることの対応。


                             Ver.3.18.4

707. tabctrl.c の PaperTabProc() の char tmp[32]; を char tmp[64] に修正
 （片柳雄大氏)

708. プレゼンテーション・モードのときの PgDnキーの作用を Spaceキーと同じに
  変更（いくつかのプレゼンテーション・マウスに対応）


                             Ver.3.18.5

709. パラメータ・ファイルの中に環境変数を書いて，それを展開して読み込む機能
　をつけた．パラメータ・ファイルに

  ;expandenv=1

  という行があると，それ以降そのファイル内のパラメータ中の環境変数が展開される．

  ;expandenv=0

  という行があると，それ以降の環境変数の展開はされない．
　なお，環境変数は両側を % と % とで鋏むことにより示す．
  例えば，install.par に

  ;expandenv=1
  TEXROOT=%USERPROFILE%\.texlive2013\texmf-config\fonts

  などと書いておく．


710. 表示と印刷の際で解像度を自動変更する機能を使っているとき，印刷後に
      Illegal Args(1/1)
      no match -DPI=300
  というWaring表示がされていたのを修正（井汲景太氏）

-----
Ver.3.19 以降 (TeX Users Group subversion repository版)の更新内容は
ソースファイルのパッケージに含まれる ChangeLog をご参照ください。
https://www.tug.org/svn/dviout/trunk/ChangeLog?view=log
